2011-08-07  Juri Linkov  <juri@jurta.org>

	* faces.el (list-faces-display): Remove extra angle bracket
	from `help-mode-map'.

	* info.el (Info-history-toc-nodes): Doc fix.

	* longlines.el (longlines-mode): Doc fix.

2011-08-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/js.el (js--regexp-literal): Accept regexps at the beginning
	of statements and in a few more cases (bug#9183).

	* emacs-lisp/cl-macs.el (cl--make-usage-var, cl--make-usage-args):
	New functions.
	(cl-transform-lambda): Use them (bug#9239).

2011-08-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-same-window)
	(display-buffer-same-frame, display-buffer-other-window)
	(pop-to-buffer-same-window, pop-to-buffer-same-frame)
	(pop-to-buffer-other-window)
	(pop-to-buffer-same-frame-other-window)
	(pop-to-buffer-other-frame): Make them defuns.
	(switch-to-buffer): Don't set LABEL argument of pop-to-buffer.

2011-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (make-composed-keymap): Move from C.  Change calling
	convention, and improve docstring to bring attention to a subtle point.
	* minibuffer.el (completing-read-default): Adjust accordingly.

2011-08-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-open-connection-setup-interactive-shell)
	(tramp-open-shell): Use `tramp-shell-quote-argument'.

	* net/trampver.el: Update release number.

2011-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-font-lock-paren): Don't mistake "main" for
	"in" (bug#9190).

2011-08-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/sendmail.el (sendmail-query-once): Restore the current
	buffer after querying (bug#9074).

	* dired.el (dired-flagged): Use different faces for marked and
	flagged files (bug#6117).

	* emacs-lisp/cl-macs.el (dolist): Mention that there's a nil block
	(bug#4433).

	* ido.el (ido-mode): Switch off the message if called
	non-interactively.

	* mail/smtpmail.el (smtpmail-query-smtp-server): Try port 25
	before 587, since it appears that that's more likely to work for
	more people.

	* cus-edit.el (custom-file): When running under emacs -q, always
	refuse to save the customisations, even if the .emacs file doesn't
	exist.

	* info.el: Remove the `Info-beginning-of-buffer' function
	(bug#8325).

	* net/network-stream.el (network-stream-open-starttls):
	Use `starttls-available-p' to see whether starttls.el can be used.

2011-08-01  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-in-window): Don't set dedicated status
	of window here (Bug#9215).
	(display-buffer-pop-up-window, display-buffer-pop-up-frame)
	(display-buffer-pop-up-side-window)
	(display-buffer-in-side-window): Set dedicated status of window here.

2011-08-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/package.el (package-generate-autoloads): Load autoloads
	before binding generated-autoload-file.

2011-08-01  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc-handler-333): Clarify docstring.

2011-07-30  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2.2.

	* net/trampver.el: Update release number.

2011-07-30  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-touch-initial): Remove function.
	(dired-do-chxxx): For op-symbol `touch', set `initial' to the
	current time, and `default' to the last modification time of the
	current marked file (bug#6887).

2011-07-28  Jose E. Marchesi  <jemarch@gnu.org>

	* simple.el (goto-line): Use string-to-number to provide a
	numeric argument to read-number (bug#9163).

2011-07-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-maybe-send-script): Don't let-bind the
	connection process, it could be nil.

2011-07-27  Leo Liu  <sdl.web@gmail.com>

	Simplify url handling in rcirc-mode.

	* net/rcirc.el (rcirc-browse-url-map, rcirc-browse-url-at-point)
	(rcirc-browse-url-at-mouse): Remove.
	* net/rcirc.el (rcirc-markup-urls): Use `make-button'.

2011-07-26  Alan Mackenzie  <acm@muc.de>

	Fontify bitfield declarations properly.

	* progmodes/cc-langs.el (c-has-bitfields): New lang variable.
	(c-symbol-chars): Now exported as a lang variable.
	(c-not-primitive-type-keywords): New lang variable.

	* progmodes/cc-fonts.el (c-font-lock-declarations): Jump over the
	QT keyword "more" to prevent "more slots: ...." being spuriously
	parsed as a bitfield declaraion.

	* progmodes/cc-engine.el (c-beginning-of-statement-1):
	Refactor and enhance to handle bitfield declarations.
	(c-punctuation-in): New function.
	(c-forward-decl-or-cast-1): Enhance CASE 3 to handle bitfield
	declarations properly.

2011-07-26  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--all-events): Take care of
	multiple vcalendars in a single file.
	(icalendar--convert-float-to-ical): Checkdoc fixes.

2011-07-25  Deniz Dogan  <deniz@dogan.se>

	* image.el (insert-image): Clarifying docstring.

2011-07-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-barf-unless-okay): Return the value of
	`tramp-send-command-and-check' if there is no error.
	(tramp-send-command-and-read): Suppress *all* errors if NOERROR.

2011-07-22  Alan Mackenzie  <acm@muc.de>

	Prevent cc-langs.elc being loaded at run time.

	* progmodes/cc-mode.el: Remove two autoload forms which loaded
	cc-langs.

	* /progmodes/cc-langs.el (c-make-init-lang-vars-fun): Don't emit
	"(require 'cc-langs)".  Quote a form so it will evaluate at
	(cc-mode's) compilation time.

2011-07-22  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-file-name-handler): Avoid recursive
	loading.  (Bug#9114)

2011-07-21  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-pop-up-window)
	(display-buffer-pop-up-side-window)
	(display-buffer-in-side-window): Call display-buffer-set-height
	and display-buffer-set-width after setting the new window's
	buffer so `fit-window-to-buffer' and friends work on the right buffer.

2011-07-20  Sam Steingold  <sds@gnu.org>

	* progmodes/etags.el (etags-file-of-tag, etags-tags-table-files)
	(etags-tags-included-tables): Call `convert-standard-filename' on
	the file names contained in TAGS so that windows Emacs can handle
	TAGS files created by cygwin ctags.

2011-07-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* proced.el (proced-update): Revert yesterday's bug#1779 patch,
	which apparently didn't work.

2011-07-19  Roland Winkler  <winkler@gnu.org>

	* proced.el (proced-send-signal): For *Marked Processes* buffer
	put point at beginning of buffer.

2011-07-19  Stephen Berman  <stephen.berman@gmx.net>

	* proced.el (proced-format): Make header lines align with the text
	(bug#1779).

2011-07-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* view.el (view-buffer): Allow running in `special' modes if we're
	visiting a file (bug#8615).

2011-07-19  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-alist-of-strings-p)
	(display-buffer-alist-set-1, display-buffer-alist-set-2):
	New functions.
	(display-buffer-alist-set): Rewrite to handle Emacs 23 options
	more accurately.

2011-07-18  Alan Mackenzie  <acm@muc.de>

	Fontify declarators properly when, e.g., a jit-lock chunk begins
	inside a declaration.

	* progmodes/cc-langs.el (c-symbol-chars): Correct a typo.

	* progmodes/cc-fonts.el (c-font-lock-enclosing-decls):
	New function.
	(c-complex-decl-matchers): Insert reference to
	c-font-lock-enclosing-decls.

	* progmodes/cc-engine.el (c-backward-single-comment):
	(c-backward-comments): Bind open-paren-in-column-0-is-defun-start
	to nil around calls to (forward-comment -1).

2011-07-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* image.el (put-image): Doc typo fix.

	* progmodes/etags.el (tags-search): Doc typo fix.

	* mail/smtpmail.el (smtpmail-via-smtp): Query the user for
	password if we get errors 550 to 554.

2011-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/gnutls.el (gnutls-log-level): Remove.

	* textmodes/fill.el (adaptive-fill-regexp): Include EN DASH as an
	indentation character (bug#6380).

	* files.el (buffer-offer-save): Made permanently local (bug#6241).

	* doc-view.el (doc-view-make-safe-dir): Rewrite the error message
	to clarify what the problem is (bug#4291).

	* simple.el (current-kill): Clarify what
	`interprogram-paste-function' does (bug#7500).
	(auto-fill-mode): Document `auto-fill-function' in relation to
	`auto-fill-mode' (bug#2470).

2011-07-16  Lawrence Mitchell  <wence@gmx.li>

	* emacs-lisp/cl-macs.el (defstruct): Ignore argument to setf
	method if slot is read-only (bug#9035).

2011-07-16  Martin Rudalics  <rudalics@gmx.at>

	* frame.el (select-frame-set-input-focus): New argument NORECORD.
	* window.el (pop-to-buffer): Select window used even if it was
	selected before, see discussion of (Bug#8615), (Bug#6954).
	Pass argument NORECORD on to select-frame-set-input-focus.

2011-07-15  Glenn Morris  <rgm@gnu.org>

	* subr.el (read-char-choice): Allow quitting.  (Bug#9001)
	Respect help-form.

2011-07-09  Lawrence Mitchell  <wence@gmx.li>

	* net/gnutls.el (gnutls-min-prime-bits): New variable.
	(gnutls-negotiate): Use it.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/gnutls.el (gnutls-negotiate):
	Upcase `gnutls-algorithm-priority'.

2011-07-15  Glenn Morris  <rgm@gnu.org>

	* jka-compr.el (jka-compr-verbose): Move from here...
	* jka-cmpr-hook.el (jka-compr-verbose): ... to here.  (Bug#9090)
	Add missing :version tag.
	* info.el: No need to require jka-compr when compiling.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/gnutls.el (gnutls-algorithm-priority): New variable.
	(gnutls-negotiate): Use it.

	* emacs-lisp/cl-macs.el (declare): Link to the "Declarations" node.

	* info.el (Info-beginning-of-buffer): New command.
	(Info-mode-map): Use it instead of `beginning-of-buffer' to allow
	announcing `b' as the key (bug#8325).
	(Info-mode-menu): Use `Info-beginning-of-buffer' for consistency.

	* emacs-lisp/cl-macs.el (declare): Doc string fix-up.

	* international/mule-cmds.el
	(describe-specified-language-support): Make the error message
	clearer (bug#8905).

	* emacs-lisp/cl-macs.el (declare): Add a doc string (bug#8690).

	* isearch.el (isearch-barrier): Add a doc string, since it's
	mentioned in a function doc string (bug#8678).

2011-07-15  Martin Rudalics  <rudalics@gmx.at>

	* window.el (switch-to-buffer): Call pop-to-buffer with normalized
	buffer argument (Bug#9083) and self-identifying label argument.

2011-07-15  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/debug.el (debug): Doc fix.  (Bug#8273)

2011-07-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* man.el (Man-fontify-manpage): Fix message when formatting the
	man page (bug#7929).

2011-07-14  Eli Zaretskii  <eliz@gnu.org>

	* buff-menu.el (Buffer-menu-buffer+size): Accept an additional
	argument LRM; if non-nil, append an invisible LRM character to the
	buffer name.
	(list-buffers-noselect): Call Buffer-menu-buffer+size with the
	last argument non-nil, when formatting buffer names.
	(Buffer-menu-mode, list-buffers-noselect): Force left-to-right
	paragraph direction.

2011-07-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* man.el (Man-bgproc-sentinel): Skip any arguments and only output
	the man page name (bug#7929).

	* image.el (put-image): Mention the `put-image' overlay property
	(bug#7834).

	* scroll-bar.el (set-scroll-bar-mode): Mention that
	`scroll-bar-mode' lists the values (bug#7772).

	* image-mode.el (image-mode-fit-frame): Mention that it's a toggle
	command (bug#7729).

	* rect.el (apply-on-rectangle): Return the point after the last
	operation.
	(string-rectangle): Go to the point after the last operation
	(bug#7522).

	* printing.el (pr-toggle-region): Clarify the documentation
	slightly (bug#7493).

	* time.el (display-time-update):
	Allow `display-time-mail-function' to return nil (bug#7158).
	Fix suggested by Detlev Zundel.

	* vc/diff.el (diff): Clarify the order the file names are read
	(bug#7111).

	* mouse.el (mouse-set-region): Link to `mouse-drag-copy-region' in
	the doc string (bug#7015).

	* font-lock.el (font-lock-maximum-decoration): Mention what
	numeric levels mean (bug#6935).

	* startup.el (initial-buffer-choice): Don't mention the `none'
	selection, which is against policy.

2011-07-14  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-normalize-special):
	Replace `dedicated' by `dedicate' to dedicate window (Bug#9072).

2011-07-14  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (version<, version<=, version=): Mention "-CVS" and
	"-12345" alpha version numbers.

2011-07-14  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el: Add advertised binding for set-mark-command
	(Bug#5772).

2011-07-14  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el (mode-line-other-buffer):
	* bookmark.el (bookmark-bmenu-2-window):
	* bs.el (bs-cycle-next, bs-cycle-previous):
	* net/tramp-cmds.el (tramp-append-tramp-buffers): Revert to using
	switch-to-buffer.

	* net/tramp-compat.el (tramp-compat-pop-to-buffer-same-window):
	Delete.

2011-07-14  Juanma Barranquero  <lekktu@gmail.com>

	* follow.el (follow-debug-message, follow-redisplay):
	* jka-cmpr-hook.el (with-auto-compression-mode):
	Fix typos in docstrings.

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* subr.el (with-silent-modifications): Clarify somewhat what the
	macro inhibits (bug#6525).

	* simple.el (eval-expression): Note what it does if called
	interactively (bug#6495).

2011-07-13  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (switch-to-buffer): New arg FORCE-SAME-WINDOW.
	Use pop-to-buffer buffer-or-name if it is nil.

	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Remove switch-to-buffer.

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* files.el (make-directory): Clarify that an error will be raised
	if there's an error (bug#6397).

	* startup.el (initial-buffer-choice): Add `none' as a choice
	(bug#6234).

	* subr.el (add-hook): Clarify section about buffer-local hooks
	(bug#6218).

	* dired.el (dired-flagged): Clarify doc string (bug#6117).

2011-07-13  Juanma Barranquero  <lekktu@gmail.com>

	* tabify.el (untabify): Preserve the current column so that point
	doesn't move (bug#6032).

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* progmodes/cperl-mode.el (cperl-syntaxify-by-font-lock):
	Rewrite to avoid awkward possessive "s" (bug#5986).

2011-07-13  Glenn Morris  <rgm@gnu.org>

	* dired.el (dired-use-ls-dired): Doc fix.  (Bug#9039).
	(dired-insert-directory): Give a message the first time
	if ls is found not to support --dired.

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* simple.el (toggle-truncate-lines): Clarify what is toggled
	(bug#5580).  Text by Drew Adams.

2011-07-13  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (blink-matching-open): Make the error message from the
	last change less verbose.

2011-07-13  Dan Nicolaescu  <dann@ics.uci.edu>

	* font-lock.el (font-lock-comment-face): Use the high contrast
	"yellow" color for font-lock-comment-face on low color terminals
	using a dark background color (bug#4221).

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired.el (dired-insert-set-properties): Make the doc string
	reflect what it does now (bug#5325).

	* simple.el (blink-matching-open): Say that we were unable to find
	the match within the limit, if we're limited (bug#5122).

	* international/mule-cmds.el (prefer-coding-system): Add an
	example (bug#4869).

	* progmodes/etags.el (tags-search): Document `file-list-form'
	(bug#4731).

2011-07-13  Lawrence Mitchell  <wence@gmx.li>

	* net/browse-url.el (browse-url-default-browser)
	(browse-url-browser-function): Make the default browser choice a
	bit more logical (bug#4300).  Also clean up the doc string.

2011-07-13  Juanma Barranquero  <lekktu@gmail.com>

	* bindings.el (completion-ignored-extensions): Add OpenMCL/Clozure
	binary endings (bug#4440).

2011-07-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* info.el (info-insert-file-contents): Inhibit jka-compr messages,
	which can be pretty annoying (bug#8971).

	* jka-compr.el (jka-compr-verbose): New variable, and use
	throughout (bug#8971).

	* info.el (Info-find-file): Fall back on the installation
	directory if we can't find the info node anywhere else.

2011-07-13  Sergei Organov  <osv@javad.com>  (tiny change)

	* vc/vc.el (vc-revert-file):
	Don't set file time-stamp in the past.  (Bug#5181)

2011-07-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* files.el (after-find-file): Give a better error message when
	trying to find a symlink that points to a file that doesn't exist
	(bug#4398).

	* progmodes/cc-vars.el: Remove (probably) misleading comment
	(bug#4396).

2011-07-12  Johan Bockgård  <bojohan@gnu.org>

	* mouse-sel.el (mouse-sel-primary-overlay): Use the `region' face.

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* mouse-sel.el: Hack restoring functionality, while keeping
	compatibility with 2010-07-03 changes to mouse selection.
	(mouse-sel-primary-overlay): New var.
	(mouse-sel-selection-alist): Use it.
	(mouse-sel-mode): Doc fix; remove points that are default features
	of mouse.el.

2011-07-12  Johan Bockgård  <bojohan@gnu.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Fix previous fix (bug#2490).

2011-07-12  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-initialize):
	Use pop-to-buffer-same-window.
	(bibtex-search-entries): Fix interactive call.

2011-07-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Fontise bytecomp Error lines more correctly (bug#2490).
	Fix suggested by Johan Bockgård.

	* subr.el (remove-duplicates): Remove; `delete-dups' is sufficient.

	* dired-x.el (dired-guess-default): Use `delete-dups'.

2011-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el (dired-mark-prompt):
	* dired-aux.el (dired-read-shell-command): Doc fix.

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/sendmail.el (sendmail-query-once):
	Use `customize-save-variable' unconditionally, now that it works under
	emacs -Q.

	* mail/smtpmail.el (smtpmail-query-smtp-server): Ditto.

	* cus-edit.el (custom-file): Take an optional no-error variable.
	(customize-save-variable): Set the variable, and give a warning if
	running under "emacs -q".

2011-07-11  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `auto-coding-functions', `fill-nobreak-predicate' and
	`find-directory-functions' (bug#5327).

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* vc/ediff.el (ediff-patch-file): Clarify doc string (bug#3138).

	* cus-edit.el (custom-guess-name-alist): -alist variables should
	use the `alist' type (bug#3120).  Suggested by Drew Adams.

	* printing.el: Add documentation to all the `pr-toggle-' commands.

2011-07-11  Leo  <sdl.web@gmail.com>  (tiny change)

	* files.el (toggle-read-only): Only do the `C-x C-q' warning on VC
	backends where it makes sense (bug#2623).

2011-07-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired-x.el (dired-guess-default): Remove duplicate shell command
	entries (bug#2028).
	(dired-guess-default): Fix grammar in doc string (bug#2028).
	(dired-guess-shell-alist-user): Clarify the example a bit (bug#2030).

	* subr.el (remove-duplicates): New conveniency function.

2011-07-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* tool-bar.el (tool-bar-mode): Clarify positive/negative arguments
	(bug#1526).

2011-07-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-normalize-default): Don't invert
	meaning of even-window-heights.  Reported by Eli Zaretskii
	<eliz@gnu.org>.

2011-07-10  Bob Rogers  <rogers@rgrjr.dyndns.org>

	* vc/vc.el (vc-diff-internal): Fix race condition (Bug#1256).

2011-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (display-buffer): Fix arguments to
	display-buffer-reuse-window in last change.

	* faces.el (link): Use a less saturated blue on light backgrounds.

	* startup.el (fancy-startup-text, fancy-about-text)
	(fancy-startup-tail): Use font-lock faces, for background safety.

2011-07-09  Bob Nnamtrop  <bobnnamtrop@gmail.com>  (tiny change)

	* emulation/viper-cmd.el (viper-change-state-to-vi):
	Limit triggering of abbrev expansion (Bug#9038).

2011-07-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-default-specifiers): Remove.
	(display-buffer-macro-specifiers): Remove default specifiers.
	(display-buffer-alist): Default to nil.
	(display-buffer-reuse-window): New optional argument other-window.
	(display-buffer-pop-up-window): Allow splitting internal
	windows.  Check whether a live window was created.
	(display-buffer-other-window-means-other-frame)
	(display-buffer-normalize-arguments): Rename to
	display-buffer-normalize-argument and rewrite.  Set the
	other-window specifier.
	(display-buffer-normalize-special): New function.
	(display-buffer-normalize-options): Rename to
	display-buffer-normalize-default and rewrite.
	(display-buffer-normalize-options-inhibit): Remove.
	(display-buffer-normalize-specifiers): Rewrite.
	(display-buffer): Process other-window specifier and call
	display-buffer-reuse-window with it.  Emulate Emacs 23 behavior
	more faithfully.
	(pop-up-windows, even-window-heights): Restore Emacs 23 default values.
	(display-buffer-alist-set): Don't handle 'unset default values.
	(display-buffer-in-window, display-buffer-alist-set):
	Replace symbol "dedicated" by "dedicate".  Reported by Tassilo Horn
	<tassilo@member.fsf.org>.

2011-07-09  Leo Liu  <sdl.web@gmail.com>

	* register.el (insert-register): Restore accidental change on
	2011-06-26.  (Bug#9028)

2011-07-09  Glenn Morris  <rgm@gnu.org>

	* subr.el (remq): Handle the empty list.  (Bug#9024)

2011-07-08  Andreas Schwab  <schwab@linux-m68k.org>

	* mail/sendmail.el (send-mail-function): No longer delay custom
	initialization.
	* custom.el (custom-initialize-delay): Doc fix.

2011-07-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* abbrev.el (expand-abbrev): Try to preserve point (bug#5805).

2011-07-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-start-file-process): Use a
	human-friendly prompt.

2011-07-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/vc-bzr.el (vc-bzr-revision-keywords): Remove svn, it's only
	provided by a particular plugin.

2011-07-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/sendmail.el (sendmail-query-once): If we aren't allowed to
	save customizations (with "emacs -Q"), just set the variable
	instead of erroring out.

	* mail/smtpmail.el (smtpmail-query-smtp-server): Ditto.

2011-07-08  Juri Linkov  <juri@jurta.org>

	* arc-mode.el (archive-zip-expunge, archive-zip-update)
	(archive-zip-update-case): Use 7z if found by `executable-find'.
	The order of searching the available programs is the same as in
	`archive-zip-extract' (bug#8968).

2011-07-07  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-line-wrapping-menu): Revert last change.
	(menu-bar-options-menu): Tweak descriptions.

2011-07-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* menu-bar.el (menu-bar-line-wrapping-menu): Make all the Options
	menu items into verb phrases (bug#1421).  Also refill to fit under
	80 columns.

2011-07-07  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (info, Info-read-node-name-2, Info-read-node-name-1)
	(Info-read-node-name): Doc fix (Bug#1084).

	* thingatpt.el (forward-thing, bounds-of-thing-at-point)
	(thing-at-point, beginning-of-thing, end-of-thing, in-string-p)
	(end-of-sexp, beginning-of-sexp)
	(thing-at-point-bounds-of-list-at-point, forward-whitespace)
	(forward-symbol, forward-same-syntax, word-at-point)
	(sentence-at-point): Doc fix (Bug#1144).

2011-07-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* info.el (Info-mode-map): Remove S-TAB binding, since [backtab]
	should cover it (bug#1281).

	* cus-edit.el (custom-show): Mark as obsolete.

	* net/network-stream.el (network-stream-open-starttls): If gnutls
	negotiation fails, then possibly try again with a non-encrypted
	connection (bug#9017).

	* mail/smtpmail.el (smtpmail-stream-type): Note that `plain' can
	be used.

2011-07-07  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-next-error-move): Use `compilation-message'
	property, and handle its changed format.
	Look for the correct line number.
	Use file's line contents (but not past first =) to find
	correct line in message.

2011-07-07  Kenichi Handa  <handa@m17n.org>

	* international/characters.el (build-unicode-category-table):
	Delete it.
	(unicode-category-table): Set it by unicode-property-table-internal.

	* international/mule-cmds.el (char-code-property-alist): Move to
	to src/chartab.c.
	(get-char-code-property): Call unicode-property-table-internal to
	load a file.  Call get-unicode-property-internal where necessary.
	(put-char-code-property): Call unicode-property-table-internal to
	load a file.  Call put-unicode-property-internal where necessary.
	put-unicode-property-internal where necessary.
	(char-code-property-description):
	Call unicode-property-table-internal to load a file.

	* international/charprop.el:
	* international/uni-bidi.el:
	* international/uni-category.el:
	* international/uni-combining.el:
	* international/uni-comment.el:
	* international/uni-decimal.el:
	* international/uni-decomposition.el:
	* international/uni-digit.el:
	* international/uni-lowercase.el:
	* international/uni-mirrored.el:
	* international/uni-name.el:
	* international/uni-numeric.el:
	* international/uni-old-name.el:
	* international/uni-titlecase.el:
	* international/uni-uppercase.el: Regenerate.

	* loadup.el: Load international/charprop.el before
	international/characters.

2011-07-07  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (next-buffer, previous-buffer): Signal an error if
	called from a minibuffer window.

	* bindings.el: Revert 2011-07-04 change.

2011-07-06  Richard Stallman  <rms@gnu.org>

	* mail/rmailmm.el (rmail-mime-process): Use markers for buf positions.
	(rmail-mime-insert-bulk, rmail-mime-insert-text):
	Treat markers like ints.
	(rmail-mime-entity): Doc fix.

2011-07-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/smtpmail.el (smtpmail-default-smtp-server): Made into a
	defcustom again for backwards compatibility.

	* simple.el (shell-command-on-region): Fill.

	* dired-aux.el (dired-kill-line): Add a doc string.

	* dabbrev.el (dabbrev-abbrev-char-regexp): Note that nil defaults
	to "\\sw\\|\\s_" (bug#358).

	* dired.el (dired-mode): Clarify "unmark or unflag" (bug#8770).
	(dired-unmark-backward): Ditto.
	(dired-flag-backup-files): Ditto.

	* dired-x.el (dired-mark-sexp): Ditto.

2011-07-06  Richard Stallman  <rms@gnu.org>

	* mail/rmailmm.el: Give entity a new slot, TRUNCATED.
	(rmail-mime-entity): New arg TRUNCATED.
	(rmail-mime-entity-truncated, rmail-mime-entity-set-truncated):
	New functions.
	(rmail-mime-save): Warn if entity is truncated.
	(rmail-mime-toggle-hidden): Likewise, for showing.
	(rmail-mime-process-multipart): Record when an entity is truncated.

	* mail/rmailmm.el (rmail-search-mime-message): Don't get confused
	if ENTITY is a string.

2011-07-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* emacs-lisp/lisp-mode.el (eval-defun-1): Update the documentation
	of faces when `M-C-x'-ing their definitions (bug#8378).
	Also clean up the code slightly.

	* progmodes/grep.el (rgrep): Don't bind `process-connection-type',
	because that makes the colours go away.

	* mail/sendmail.el (send-mail-function): Change the default to
	`sendmail-query-once'.
	(sendmail-query-once): Add an autoload cookie.

	* net/network-stream.el (network-stream-open-starttls): Try using
	a plain connection even if the server offered STARTTLS, and we
	kinda wanted to use it, if Emacs doesn't have any STARTTLS
	capability.  This should make smtpmail.el work in slightly more
	configurations.

2011-07-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-compat.el (tramp-compat-pop-to-buffer-same-window):
	New defun.
	* net/tramp-cmds.el (tramp-append-tramp-buffers): Use it.

2011-07-06  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el: Version 3.0
	(sql-product-alist): Add product :completion-object,
	:completion-column, and :statement attributes.
	(sql-mode-menu, sql-interactive-mode-map): Fix List entries.
	(sql-mode-syntax-table): Mark all punctuation.
	(sql-font-lock-keywords-builder): Temporarily remove fallback on
	ansi keywords.
	(sql-regexp-abbrev, sql-regexp-abbrev-list): New functions.
	(sql-mode-oracle-font-lock-keywords): Improve.
	(sql-oracle-show-reserved-words): New function for development.
	(sql-product-font-lock): Simplify for source code buffers.
	(sql-product-syntax-table, sql-product-font-lock-syntax-alist):
	New functions.
	(sql-highlight-product): Set product specific syntax table.
	(sql-mode-map): Add statement movement functions.
	(sql-ansi-statement-starters, sql-oracle-statement-starters):
	New variable.
	(sql-statement-regexp, sql-beginning-of-statement)
	(sql-end-of-statement, sql-signum): New functions.
	(sql-buffer-live-p, sql=find-sqli-buffer): Add CONNECTION parameter.
	(sql-show-sqli-buffer): Bug fix.
	(sql-interactive-mode): Store connection data as buffer local.
	(sql-connect): Add NEW-NAME parameter.  Redesign interaction
	with sql-interactive-mode.
	(sql-save-connection): Save buffer local settings.
	(sql-connection-menu-filter): Change menu entry name.
	(sql-product-interactive): Bug fix.
	(sql-preoutput-hold): New variable.
	(sql-interactive-remove-continuation-prompt): Bug fixes.
	(sql-debug-redirect): New variable.
	(sql-str-literal): New function.
	(sql-redirect, sql-redirect-one, sql-redirect-value, sql-execute):
	Redesign.
	(sql-oracle-save-settings, sql-oracle-restore-settings)
	(sql-oracle-list-all, sql-oracle-list-table): New functions.
	(sql-completion-object, sql-completion-column)
	(sql-completion-sqlbuf): New variables.
	(sql-build-completions-1, sql-build-completions)
	(sql-try-completion): New functions.
	(sql-read-table-name): Use them.
	(sql-contains-names): New buffer local variable.
	(sql-list-all, sql-list-table): Use it.
	(sql-oracle-completion-types): New variable.
	(sql-oracle-completion-object, sql-sqlite-completion-object)
	(sql-postgres-completion-object): New functions.

2011-07-06  Glenn Morris  <rgm@gnu.org>

	* window.el (pop-to-buffer): Doc fix.

2011-07-06  Markus Heiser  <markus.heiser@darmarit.de>  (tiny change)

	* progmodes/gud.el (gud-pdb-marker-regexp): Accept \r char (Bug#5653).

2011-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* window.el (special-display-popup-frame): Doc fix (Bug#8853).

	* info.el (Info-directory-toc-nodes): Minor doc fix (Bug#8833).

2011-07-05  Chong Yidong  <cyd@stupidchicken.com>

	* button.el (button): Inherit from link face.  Suggested by Dan
	Nicolaescu.

2011-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gdb-mi.el: Fit in 80 columns.
	(gdb-setup-windows, gdb-restore-windows): Avoid other-window and
	switch-to-buffer.

	* progmodes/which-func.el (which-func-ff-hook): Don't output a message
	if imenu is simply not configured (bug#8941).

2011-07-05  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-post-undo-hook): New allout outline-change
	event hook to signal undo activity.
	(allout-post-command-business): Run allout-post-undo-hook if an
	undo just occurred.
	(allout-after-copy-or-kill-hook, allout-mode): Minor docstring changes.
	* allout-widgets.el (allout-widgets-after-undo-function):
	Ensure the integrity of the current item's decoration after it has been
	in the vicinity of an undo.
	(allout-widgets-mode): Include allout-widgets-after-undo-function
	on the new allout-post-undo-hook.

2011-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-interaction-mode-abbrev-table):
	Let define-derived-mode define it.
	* emacs-lisp/derived.el (define-derived-mode): Try to avoid creating
	cycles of abbrev-table inheritance (bug#8998).

2011-07-05  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el: Add support for biblatex.
	(bibtex-BibTeX-entry-alist, bibtex-biblatex-entry-alist)
	(bibtex-BibTeX-field-alist, bibtex-biblatex-field-alist)
	(bibtex-dialect-list, bibtex-dialect, bibtex-no-opt-remove-re)
	(bibtex-entry-alist, bibtex-field-alist): New variables.
	(bibtex-entry-field-alist): Obsolete alias for
	bibtex-BibTeX-entry-alist.
	(bibtex-entry-alist, bibtex-field-alist): New widgets.
	(bibtex-set-dialect): New command.
	(bibtex-entry-type, bibtex-entry-head)
	(bibtex-entry-maybe-empty-head, bibtex-any-valid-entry-type):
	Bind via bibtex-set-dialect.
	(bibtex-Article, bibtex-Book, bibtex-Booklet, bibtex-InBook)
	(bibtex-InCollection, bibtex-InProceedings, bibtex-Manual)
	(bibtex-MastersThesis, bibtex-Misc, bibtex-PhdThesis)
	(bibtex-Proceedings, bibtex-TechReport, bibtex-Unpublished):
	Define via bibtex-set-dialect.
	(bibtex-name-in-field, bibtex-remove-OPT-or-ALT):
	Obey bibtex-no-opt-remove-re.
	(bibtex-vec-push, bibtex-vec-incr): New functions.
	(bibtex-format-entry, bibtex-field-list)
	(bibtex-print-help-message, bibtex-validate)
	(bibtex-search-entries): Use new format of bibtex-entry-alist.

2011-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-goto-locus):
	* net/tramp-cmds.el (tramp-append-tramp-buffers):
	* bs.el (bs-cycle-next, bs-cycle-previous):
	* bookmark.el (bookmark-bmenu-list, bookmark-bmenu-2-window):
	* bindings.el (mode-line-other-buffer):
	* autoinsert.el (auto-insert):
	* arc-mode.el (archive-extract):
	* abbrev.el (edit-abbrevs): Fix some uses of switch-to-buffer.

2011-07-05  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lock.el (emacs-lock-mode): Fix typo in variable name.
	Fix check of `emacs-lock-unlockable-modes'.
	Coerce true values of `emacs-lock--try-unlocking' to t.

2011-07-05  Juanma Barranquero  <lekktu@gmail.com>

	* obsolete/old-emacs-lock.el: Rename from emacs-lock.el.
	* emacs-lock.el: New file.

2011-07-05  Julien Danjou  <julien@danjou.info>

	* textmodes/rst.el (rst-define-level-faces): Use `facep' rather
	than `boundp' to check if face is set.

2011-07-05  Juanma Barranquero  <lekktu@gmail.com>

	* register.el (registerv-make):
	* window.el (window-min-height): Fix typos in docstrings.

2011-07-05  Jan Djärv  <jan.h.d@swipnet.se>

	* dynamic-setting.el (dynamic-setting-handle-config-changed-event):
	Update doc string.

2011-07-04  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-execute): Catch quit and call
	`server-return-error' to pass the error back to emacsclient and
	close the connection (bug#8942).

2011-07-04  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-encrypt-unencrypted-on-saves): Do not provide
	insecure exception for current topic.  Also note that auto-saves
	are handled differently.

	(allout-auto-save-temporarily-disabled), (allout-just-did-undo):
	State variables for tracking auto-save inhibition situation.

	(allout-write-contents-hook-handler): Rename from
	'allout-write-file-hook-handler', and describe how it depends on
	write-contents-functions sensitivity to non-nil value to prevent
	file write.

	(allout-auto-save-hook-handler): Remove.  auto-save does not check
	this in individual buffers, only in the starting buffer, so this
	is not the right way for us to inhibit auto-save in a buffer
	according to its condition.

	(allout-mode): Use new allout-write-contents-hook-handler, and
	only with write-contents-functions.  Remove auto-save provisions -
	they're implemented elsewhere.

	(allout-before-change-handler): If undo is in progress, note that
	for attention of allout-post-command-business.

	(allout-post-command-business): If the command we're following was
	an undo, check for change in the status of encrypted items and
	adjust auto-save inhibitions accordingly.

	(allout-toggle-subtree-encryption): Adjust auto-save inhibition
	according to whether there are or aren't any plain-text topics
	pending encryption.

	(allout-inhibit-auto-save-info-for-decryption):
	Adjust buffer-saved-size and some allout state to inhibit auto-saves if
	there are plain-text topics pending encryption.

	(allout-maybe-resume-auto-save-info-after-encryption): Adjust
	buffer-saved-size and some allout state to not inhibit auto-saves
	if there are no longer any plain-text topics pending encryption.

	(allout-next-topic-pending-encryption, allout-encrypt-decrypted):
	No longer provide for exemption of the current topic.

2011-07-04  Juri Linkov  <juri@jurta.org>

	Add 7z operations to delete and save changed members (bug#8968).
	* arc-mode.el (archive-7z-expunge, archive-7z-update):
	New defcustoms.
	(archive-7z-write-file-member): New function.
	(archive-7z-summarize): Fix the number of dashes in the
	listing output.

2011-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcmpl-linux.el (pcomplete-pare-list): Re-add, from pcomplete.el
	(bug#8958).

2011-07-04  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el: Ignore next-buffer and previous-buffer in
	minibuffer-local-map.

	* font-lock.el (font-lock-builtin-face): Change light background
	color to dark slate blue (Bug#6693).

2011-07-04  Wang Diancheng  <dcwang@kingbase.com.cn>  (tiny change)

	* progmodes/gdb-mi.el (gdb): Use completion-at-point.

2011-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (find-file): Use pop-to-buffer-same-window (bug#8911).
	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Add switch-to-buffer.

2011-07-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* isearch.el (isearch-search-fun-function): Clarify further the
	meaning of the function returned.

2011-07-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cmds.el (tramp-cleanup-this-connection): New command.

	* net/tramp-sh.el (tramp-color-escape-sequence-regexp): New defconst.
	(tramp-sh-handle-insert-directory, tramp-convert-file-attributes):
	Use it.
	(tramp-remote-path): Add "/bin" and "/usr/bin".  On busyboxes,
	`tramp-default-remote-path' does not exist.
	(tramp-send-command-and-read): New optional argument NOERROR.
	(tramp-open-connection-setup-interactive-shell)
	(tramp-get-remote-path, tramp-get-remote-stat): Use it.
	(tramp-get-remote-readlink): Do not mask with `ignore-errors'.
	(tramp-process-sentinel): Flush also process' connection property.
	(tramp-sh-handle-start-file-process): Do not set process
	sentinel.  It is done now ...
	(tramp-maybe-open-connection): ... here.  (Bug#8929)

2011-07-04  MON KEY  <monkey@sandpframing.com>

	* play/animate.el (animate-string): Doc fixes and allow changing
	the buffer name (bug#5417).

2011-07-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* play/animate.el (animation-buffer-name): Rename from *animate*.

2011-07-04  Paul Eggert  <eggert@cs.ucla.edu>

	* emacs-lisp/timer.el: Use time-date fns rather than rolling our own.
	This is simpler and helps future-proof the code.
	(timer-until): Use time-subtract and float-time.
	(timer--time-less-p): Use time-less-p.

2011-07-04  Juanma Barranquero  <lekktu@gmail.com>

	* type-break.el (timep): Use the value of `float-time' to avoid a
	byte-compiler warning.

	* server.el (server-eval-and-print): Return any result, even nil.

2011-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	* type-break.el: Accept time formats that the builtins accept.
	(timep, type-break-time-difference): Accept any format that
	float-time accepts, rather than insisting on (HIGH LOW USECS) format.
	This is simpler and helps future-proof the code.
	(type-break-time-difference): Round rather than ignoring
	subseconds components.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* info.el (Info-apropos-matches): Make non-interactive, since it
	doesn't seem to do anything useful as a command (bug#8829).

2011-07-03  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (frame-background-mode, frame-set-background-mode):
	Move from faces.el.
	(frame-default-terminal-background): New function.

	* custom.el (custom-push-theme): Don't record faces in `changed'
	theme; this doesn't work correctly for per-frame face settings.
	(disable-theme): Use face-set-after-frame-default to reset faces.
	(custom--frame-color-default): New function.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired.el (dired-flagging-regexp): Remove unused variable
	(bug#8769).

2011-03-29  Kevin Ryde  <user42@zip.com.au>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	`perl-Test2' extend to match possible "fail #N" rep count
	(bug#8377).

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/feedmail.el (feedmail-buffer-to-smtpmail):
	`smtpmail-via-smtp' now returns the error instead of nil.

	* isearch.el (isearch-search-fun-function): Clarify the doc string
	(bug#8101).

2011-07-03  Richard Kim  <emacs18@gmail.com>  (tiny change)

	* textmodes/texnfo-upd.el (texinfo-insert-menu): Don't insert
	unnecessary spaces (bug#8987).

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (open-network-stream): Use the
	:end-of-capability command thoughout.

2011-07-03  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* net/network-stream.el (open-network-stream): Add the
	:end-of-capability command parameter, used by pop3.el.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired.el (dired-map-over-marks): Refill the doc string (bug#6814).

	* fringe.el (fringe-query-style): Remove redundant text " (type ?
	for list)" (bug#6475).

	* files.el (file-expand-wildcards): Ignore non-readable
	sub-directories while trying to find matches instead of signalling
	an error (bug#6297).

	* man.el (Man-reference-regexp): Allow matching possible
	word-wrapped references (bug#6289).

	* vc/vc.el (vc-modify-change-comment): Change *VC-log* to *vc-log*
	for consistency with the other vc buffers (bug#6197).
	(vc-checkin): Ditto.

	* vc/vc-arch.el: Fix comments to match the *VC-log* name change.

	* longlines.el (longlines-mode): Document what ARG does (bug#6150).

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* custom.el (defcustom): Clarify that :set is only used in the
	Customize user interface (bug#6089).

	* progmodes/flymake.el (flymake-mode): If the buffer isn't
	associated with a file, refuse to run instead of erroring out
	(bug#6084).

	* textmodes/fill.el (fill-region): Remove the "Ordinarily" from
	the doc string, since it appears that using `fill-column' always
	controls the width (bug#7845).

	* simple.el (shell-command-on-region): Say where the error output
	went if `shell-command-default-error-buffer' is set (bug#6857).

2011-07-02  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-yank-processing): Adjust cursor position for
	backwards-deleted space.

	(allout-rebullet-heading): Register changes with
	allout-exposure-changed-hook, so the modified topic is properly
	decorated.

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* minibuffer.el (completion-in-region): Document PREDICATE
	(bug#7136).

	* info-look.el (info-lookup-add-help): Clarify that ARGS is a list
	of keyword/argument pairs (bug#6904).

	* replace.el (multi-occur):
	Mention `multi-occur-in-matching-buffers' in the doc string (bug#7566).

2011-07-02  Drew Adams  <drew.adams@oracle.com>

	* dired.el (dired-mark-if): Make the message about whether it's
	marking or unmarking clearer (bug#8523).

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* disp-table.el (display-table-print-array): New function.
	(describe-display-table): Use it to print the vectors more pretty
	(Bug#8859).

2011-07-02  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-state-get-1): Don't assign clone numbers.
	Add clone-of item to list of window parameters.
	(window-state-put-2): Don't process clone numbers.
	(display-buffer-alist): Fix doc-string.

2011-07-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (remq): Don't allocate if it's not needed.
	(keymap--menu-item-binding, keymap--menu-item-with-binding)
	(keymap--merge-bindings): New functions.
	(keymap-canonicalize): Use them to refine the canonicalization.
	* minibuffer.el (minibuffer-local-completion-map)
	(minibuffer-local-must-match-map): Move initialization from C.
	(minibuffer-local-filename-completion-map): Move initialization from C;
	don't inherit from anything here.
	(minibuffer-local-filename-must-match-map): Make obsolete.
	(completing-read-default): Use make-composed-keymap to combine
	minibuffer-local-filename-completion-map with either
	minibuffer-local-must-match-map or
	minibuffer-local-filename-completion-map.

2011-07-01  Glenn Morris  <rgm@gnu.org>

	* type-break.el (type-break-time-sum): Use dolist.

	* textmodes/flyspell.el (flyspell-word-search-backward):
	Replace CL function.

2011-07-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse--strip-first-event): New function.
	(function-key-map): Use it to map fringe clicks to normal clicks
	by default.

	* vc/vc-bzr.el (vc-bzr-revision-keywords): Update.
	(vc-bzr-revision-completion-table): Add support for annotate and date.

	* emacs-lisp/derived.el (define-derived-mode): Make abbrev-table
	inherit from parent.

2011-07-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dired-aux.el (dired-diff): Doc fixup (bug#8816).
	(dired-show-file-type): Doc fixup (bug#8818).

	* dired.el (dired-mode): Fix up the doc string as suggested by
	Drew Adams (bug#8817).

	* progmodes/flymake.el (flymake-find-file-hook): Add an `autoload'
	cookie, since the manual says that it should be possible to add
	this function to `find-file-hook' (bug#8709).

2011-07-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine.el: Moved all cfengine3.el functionality
	here.  Noted Ted Zlatanov as the maintainer.
	(cfengine-common-settings, cfengine-common-syntax): New functions
	to set up common things between `cfengine-mode' and
	`cfengine3-mode'.
	(cfengine3-mode): New mode.
	(cfengine3-defuns cfengine3-defuns-regex
	(cfengine3-class-selector-regex cfengine3-category-regex)
	(cfengine3-vartypes cfengine3-font-lock-keywords)
	(cfengine3-beginning-of-defun, cfengine3-end-of-defun)
	(cfengine3-indent-line): Add from cfengine3.el.

2011-07-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-encoding-command-interactive): New defcustom.

	* net/tramp-sh.el (tramp-maybe-open-connection): Use it.

2011-07-01  Martin Rudalics  <rudalics@gmx.at>

	* window.el (same-window-buffer-names, same-window-regexps)
	(same-window-p, special-display-frame-alist)
	(special-display-popup-frame, special-display-function)
	(special-display-buffer-names, special-display-regexps)
	(special-display-p, pop-up-frame-alist, pop-up-frame-function)
	(pop-up-frames, display-buffer-reuse-frames, pop-up-windows)
	(split-window-preferred-function, split-height-threshold)
	(split-width-threshold, even-window-heights)
	(display-buffer-mark-dedicated, window-splittable-p)
	(split-window-sensibly, window-safely-shrinkable-p):
	Un-obsolete.
	(display-buffer): Don't spread args with function specifier
	because special-display-popup-frame won't like it.

2011-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	Time-stamp simplifications and fixes.
	These improve accuracy slightly, and future-proof the code
	against some potential changes to current-time format.

	* woman.el (woman-decode-buffer, WoMan-log-end): Log fractional secs
	by using time-since and float-time.

	* vc/ediff-util.el (ediff-calc-command-time): Use time-since
	and float-time.  Say "NNN.NNN seconds" rather than "NNN seconds
	+ NNN microseconds".

	* type-break.el (type-break-time-sum): Rewrite using time-add.

	* play/hanoi.el (hanoi-current-time-float): Remove.
	All uses replaced by float-time.

	* nxml/rng-maint.el (rng-time-function): Rewrite using time-subtract.
	This yields a more-accurate answer.
	(rng-time-to-float): Remove; no longer needed.

	* emacs-lisp/timer.el (timer-relative-time): Use time-add.

	* calendar/timeclock.el (timeclock-seconds-to-time):
	Defalias to seconds-to-time, since they're the same thing.

	* emacs-lisp/elp.el (elp-elapsed-time):
	* emacs-lisp/benchmark.el (benchmark-elapse):
	* allout-widgets.el (allout-elapsed-time-seconds): Use float-time.

2011-07-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (bury-buffer): Don't iconify the only frame.
	(switch-to-buffer): Revert to Emacs<23 behavior, i.e. do not fallback
	to pop-to-buffer.  Use pop-to-buffer-same-frame if you don't like that.

2011-07-01  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/em-smart.el (eshell-smart-display-navigate-list):
	Add mouse-yank-primary.

2011-07-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* progmodes/cfengine3.el: New file to support CFEngine 3.x.

2011-07-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/find-func.el (find-library--load-name): New fun.
	(find-library-name): Use it to find relative load names when provided
	absolute file name (bug#8803).

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* textmodes/flyspell.el (flyspell-word): Consider words that
	differ only in case as potential doublons (bug#5687).

	* net/soap-client.el (soap-invoke, soap-wsdl-resolve-references):
	Remove two rather uninteresting debugging-like messages to make
	debbugs.el more silent.

	* comint.el (comint-password-prompt-regexp): Accept "Response" as
	a password-like phrase.

2011-06-30  Mastake YAMATO  <yamato@redhat.com>

	* progmodes/cc-guess.el: New file.

	* progmodes/cc-langs.el (c-mode-menu): Add "Style..." submenu.

	* progmodes/cc-styles.el (cc-choose-style-for-mode): New function
	derived from `c-basic-common-init'.

	* progmodes/cc-mode.el (top-level): Require cc-guess.
	(c-basic-common-init): Use `cc-choose-style-for-mode'.

2011-06-30  Lawrence Mitchell  <wence@gmx.li>

	* progmodes/js.el (js-mode): Don't stomp on global settings (bug#8933).

2011-06-30  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-guess-continued-construct):
	Correct the handling of template-args-cont, particularly for when font
	lock is disabled.  Name this case as "CASE G".

2011-06-30  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-yank-processing): Fix injection of extra space
	between bullet and non-whitespace character in first topic when
	pasting, ensuring that the actual spacing in the pasted topic
	following the bullet char is preserved.  This extra space was
	causing pasted encrypted topics to get a decrypted status even
	when the content was actually still encrypted.  Now the decryption
	status from before the paste is preserved.

	(allout-flag-region): Set all allout overlays so they evaporate
	when reduced to zero length (evanescent), to prevent overlay
	leakage.

2011-06-30  Glenn Morris  <rgm@gnu.org>

	* w32-fns.el (w32-charset-info-alist): Declare.

	* find-dired.el (find-grep-options): Simplify.

	* term/ns-win.el (ns-set-resource): Declare.

	* ses.el (row, col): Declare dynamic variables honestly.

	* textmodes/reftex-parse.el (index-tags): Declare.

2011-06-30  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (customize-push-and-save): New function.

	* files.el (hack-local-variables-confirm): Use it.

	* custom.el (load-theme): New arg NO-CONFIRM.
	Use customize-push-and-save (Bug#8720).
	(custom-enabled-themes): Doc fix.

	* cus-theme.el (customize-create-theme)
	(custom-theme-merge-theme): Callers to load-theme changed.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* thingatpt.el (thing-at-point-short-url-regexp): Require that
	short URLs have at least one dot in them (bug #7614).

	* progmodes/grep.el (rgrep): Bind `process-connection-type' to
	nil, because using a pty is apparently too slow (bug #895).

2011-06-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/sendmail.el (sendmail-query-once): New function.
	(sendmail-query-once-function): New variable.

2011-06-29  Glenn Morris  <rgm@gnu.org>

	* files.el (auto-mode-alist): Add .f03, .f08 for f90-mode.

	* ses.el (top-level): Require cl when compiling.
	(ses-set-localvars): Fix error statement.
	Call it at compile time to silence a storm of warnings.

2011-06-29  Martin Rudalics  <rudalics@gmx.at>

	* window.el (normalize-live-buffer): Rename to
	window-normalize-buffer.
	(normalize-live-frame): Rename to window-normalize-frame.
	(normalize-any-window): Rename to window-normalize-any-window.
	(normalize-live-window): Rename to window-normalize-live-window.
	(make-window-atom): Rename to window-make-atom.
	(window-resize-reset): Rename to window--resize-reset.
	(window-resize-reset-1): Rename to window--resize-reset-1.
	(resize-mini-window): Rename to window--resize-mini-window.
	(resize-subwindows-skip-p): Rename to
	window--resize-subwindows-skip-p.
	(resize-subwindows-normal): Rename to
	window--resize-subwindows-normal.
	(resize-subwindows): Rename to window--resize-subwindows.
	(resize-other-windows): Rename to window--resize-siblings.
	(resize-this-window): Rename to window--resize-this-window.
	(resize-root-window): Rename to window--resize-root-window.
	(resize-root-window-vertically): Rename to
	window--resize-root-window-vertically.
	(normalize-buffer-to-display): Rename to
	window-normalize-buffer-to-display.
	(normalize-buffer-to-switch-to): Rename to
	window-normalize-buffer-to-switch-to.
	Correspondingly update all callers of the functions listed
	above.
	(display-buffer-alist, display-buffer-normalize-arguments)
	(display-buffer-normalize-options, display-buffer)
	(display-buffer-alist-set): Use "function" instead of
	"fun-with-args".

2011-06-28  Chong Yidong  <cyd@stupidchicken.com>

	* mail/emacsbug.el (report-emacs-bug): Handle non-gnu bug
	addresses more clearly.  Add hyperlinks for bug-gnu-emacs and
	debbugs.gnu.org.  Mention acknowledgment email.

2011-06-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/smtpmail.el (smtpmail-send-it): Leave off changing the
	buffer multibyteness, since it shouldn't matter.

2011-06-28  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-in-side-window): Handle dedicated
	windows as in display-buffer-reuse-window.
	(display-buffer-normalize-alist): Use value of override
	specifier.
	(display-buffer-normalize-specifiers): Use value of
	other-window-means-other-frame specifier.
	(display-buffer-alist): Rewrite some texts in widgets.
	(display-buffer): Spread arguments when calling function
	specified by fun-with-args.

2011-06-28  Deniz Dogan  <deniz@dogan.se>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-syntax-table):
	Unnest `let'.

	* textmodes/css-mode.el (css-font-lock-keywords): Fix grouped
	selectors (Bug#5732).
	(css-proprietary-nmstart-re): Use `regexp-opt'.

2011-06-27  Jari Aalto  <jari.aalto@cante.net>

	* eshell/em-ls.el: Display `ls -l' dates in ISO format (Bug#8440).
	(eshell-ls-date-format): New defcustom.
	(eshell-ls-file): Use it.

2011-06-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help-fns.el (describe-variable): Fix message for terminal-local vars.

2011-06-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* net/ange-ftp.el: Allow loading .gz files (Bug#6923).
	(ange-ftp-make-tmp-name): New arg.
	(ange-ftp-file-local-copy): Use it.

2011-06-27  Jambunathan K  <kjambunathan@gmail.com>

	* tar-mode.el (tar-untar-buffer): Set coding-system-for-write to
	no-conversion (Bug#8870).

2011-06-27  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-right, window-left, window-child)
	(window-child-count, window-last-child)
	(window-iso-combination-p, walk-window-tree-1)
	(window-atom-check-1, window-tree-1, delete-window)
	(window-state-get-1, display-buffer-even-window-sizes): Adapt to
	new naming conventions - window-vchild, window-hchild,
	window-next and window-prev are now called window-top-child,
	window-left-child, window-next-sibling and window-prev-sibling
	respectively.
	(resize-window-reset): Rename to window-resize-reset.
	(resize-window-reset-1): Rename to window-resize-reset-1.
	(resize-window): Rename to window-resize.
	(window-min-height, window-min-width)
	(resize-mini-window, resize-this-window, resize-root-window)
	(resize-root-window-vertically, adjust-window-trailing-edge)
	(enlarge-window, shrink-window, maximize-window)
	(minimize-window, delete-window, quit-restore-window)
	(split-window, balance-windows, balance-windows-area-adjust)
	(balance-windows-area, window-state-put-2)
	(display-buffer-even-window-sizes, display-buffer-set-height)
	(display-buffer-set-width, set-window-text-height)
	(fit-window-to-buffer): Rename all "resize-window" prefixed
	calls to use the "window-resize" prefix convention.
	(display-buffer-alist): Fix symbol for label specifier.
	(display-buffer-reuse-window): Set reuse-dedicated to cdr of
	corresponding specifier.
	Reported by Juanma Barranquero <lekktu@gmail.com>.

2011-06-27  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* ses.el (ses-destroy-cell-variable-range): Fix heading comment
	convention.
	(ses-call-printer): Does not pass an empty string to formatter when the
	cell is empty to keep from barking printer Calc math-format-value.

2011-06-27  Richard Stallman  <rms@gnu.org>

	* battery.el (battery-mode-line-limit): New variable.
	(battery-update): Handle it.

	* mail/rmailmm.el (rmail-mime-process-multipart):
	Handle truncated messages.

2011-06-27  Glenn Morris  <rgm@gnu.org>

	* progmodes/flymake.el (flymake-err-line-patterns):
	Allow for column numbers in the ant/javac pattern.  (Bug#8866)

2011-06-27  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* ses.el (ses-relocate-range): Keep rest of arguments for ses-range.
	(ses--clean-!, ses--clean-_): New functions.
	(ses-range): Add configurability of readout order, and conversion
	to Calc vector.

	* ses.el (ses-repair-cell-reference-all): New function.
	(ses-cell-symbol): Set macro as safe, so that it can be used in
	formulas.

	* ses.el: Update cycle detection algorithm.
	(ses-localvars): Add ses--Dijkstra-attempt-nb and
	ses--Dijkstra-weight-bound, and initial values thereof when applicable.
	(ses-set-localvars): New function.
	(ses-make-cell): Add property-list as a cell element.
	(ses-cell-property-get-fun, ses-cell-property-get)
	(ses-cell-property-delq-fun, ses-cell-property-set-fun)
	(ses-cell-property-pop-fun, ses-cell-property-get-handle-fun):
	New functions.
	(ses-cell-property-set, ses-cell-property-pop)
	(ses-cell-property-get-handle): New macro.
	(ses-cell-property-handle-car, ses-cell-property-handle-setcar):
	New aliases, used for code readability.
	(ses-calculate-cell, ses-update-cells): Use Dijkstra algorithm for
	cycle detection.
	(ses-self-reference-early-detection): New defcustom.
	(ses-formula-references): Robustify against self-refering cells.
	(ses-mode): Use ses-set-localvars.
	(ses-command-hook): Add call to ses-initialize-Dijkstra-attempt
	before lauching the update processing.
	(ses-initialize-Dijkstra-attempt): New function.
	(ses-recalculate-cell): Update for cycle detection based on
	Dijkstra algorithm.

	* ses.el: Fix commenting and indenting convention.

2011-06-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bs.el (bs-cycle-next): Complete last change.

2011-06-27  Drew Adams  <drew.adams@oracle.com>

	* faces.el (list-faces-display): Add help-mode-map to output (bug#8939).

2011-06-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (network-stream-open-starttls):
	Don't re-get capabilities unless we've reestablished connection.
	(network-stream-open-starttls): Fix stupid typo with gnutls-clii.

	* mail/smtpmail.el (smtpmail-via-smtp): Bind coding-system-for-*
	to binary to possibly avoid line encoding issues on Windows (among
	other things).

2011-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (open-network-stream): Return an :error
	saying what the problem was, if possible.

	* mail/smtpmail.el (smtpmail-via-smtp): Report the error from the
	server.

	* net/network-stream.el (network-stream-open-starttls): If we
	wanted to use STARTTLS, and the server offered it, but we weren't
	able to because we had no STARTTLS support, then close the connection.
	(open-network-stream): Return an :error element, if present.

2011-06-26  Chong Yidong  <cyd@stupidchicken.com>

	* hl-line.el (hl-line-sticky-flag): Doc fix.
	(global-hl-line-sticky-flag): New option (Bug#8323).
	(global-hl-line-highlight): Obey it.

	* vc/vc.el (vc-revert-show-diff): Default to t.

2011-06-26  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout-widgets.el (allout-widgets-post-command-business):
	Stop decorating intermediate isearch matches.  They're not being
	undecorated when an isearch is continued past, and isearch
	automatically collapses them.  This leads to "widget leaks", where
	decorated items accumulate in collapsed areas.  Lines with lots of
	hidden widgets can slow down cursor travel, substantially.
	Too much complicated machinery would be needed to ensure undecoration,
	so we're doing without this nicety.

	(allout-widgets-tally-string): Don't try to do a hash-table-count
	of allout-widgets-tally when it's nil.  This eliminates spurious "Error
	during redisplay: (wrong-type-argument hash-table-p nil)" warnings in
	*Messages* when allout-widgets-maintain-tally is t.

2011-06-26  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-normalize-argument): Rename to
	display-buffer-normalize-arguments.  Handle special meaning of
	LABEL argument.  Respect special-display-function when popping up
	a new frame.  Fix code searching for a window showing the buffer
	on another frame.
	(display-buffer-normalize-specifiers):
	Call display-buffer-normalize-arguments.
	(display-buffer-in-window): Don't undedicate the window if its
	buffer remains the same.
	Reported by Drew Adams <drew.adams@oracle.com>.
	(display-buffer-alist): Add choice for same-window macro
	specfier.
	(display-buffer): Mention special meaning of LABEL argument in
	doc-string.  Fix quoting.  Don't pop up a new frame even as
	fallback.

2011-06-26  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-cycle-next): Pass current buffer to `bury-buffer' to
	avoid deleting the current window in some cases (bug#8911).

2011-06-26  Andreas Schwab  <schwab@linux-m68k.org>

	* emacs-lisp/smie.el (smie-bnf->prec2): Fix last change.
	(Bug#8934)

2011-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (network-stream-open-starttls):
	Use built-in TLS support if `gnutls-available-p' is true.
	(network-stream-open-tls): Ditto.

2011-06-26  Leo Liu  <sdl.web@gmail.com>

	* register.el (registerv): New struct.
	(registerv-make): New function.
	(jump-to-register, describe-register-1, insert-register):
	Support the jump-func, print-func and insert-func slot of a registerv
	struct.  (Bug#8415)

2011-06-26  Chong Yidong  <cyd@stupidchicken.com>

	* vc/vc.el (vc-revert-show-diff): New defcustom.
	(vc-diff-internal): New arg specifying diff buffer.
	(vc-revert): Obey vc-revert-show-diff.  If we show a diff, don't
	reuse an existing *vc-diff* buffer (Bug#8927).

	* progmodes/cperl-mode.el (cperl-mode): Derive from prog-mode.

2011-06-26  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-critical-indent): New option.
	(f90-font-lock-keywords-2, f90-blocks-re, f90-end-block-re)
	(f90-start-block-re, f90-mode-abbrev-table): Add block, critical.
	(f90-mode): Doc fix.
	(f90-looking-at-critical, f90-looking-at-end-critical): New funcs.
	(f90-no-block-limit, f90-calculate-indent, f90-end-of-block)
	(f90-beginning-of-block, f90-next-block, f90-indent-region)
	(f90-match-end): Handle block, critical.

2011-06-25  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-included-files): Doc fix.
	(diary-include-files): New function, extracted from
	diary-include-other-diary-files and diary-mark-included-diary-files.
	(diary-include-other-diary-files, diary-mark-included-diary-files):
	Just call diary-include-files.
	(diary-mark-entries): Reset diary-included-files on first call.

	* calendar/diary-lib.el (diary-mark-entries)
	(diary-mark-included-diary-files):
	Visit included diary-files in temp buffers.

	* progmodes/f90.el (f90-keywords-re, f90-font-lock-keywords-1)
	(f90-blocks-re, f90-program-block-re, f90-end-block-re)
	(f90-start-block-re, f90-imenu-generic-expression)
	(f90-looking-at-program-block-start, f90-no-block-limit):
	Add support for submodules.

	* progmodes/f90.el (f90-keywords-re, f90-keywords-level-3-re)
	(f90-procedures-re, f90-constants-re): Add some F2008 stuff.

2011-06-25  Eli Zaretskii  <eliz@gnu.org>

	* net/ange-ftp.el (ange-ftp-insert-file-contents): Let-bind
	buffer-file-type before setting its value, to avoid disastrous
	global effects on decoding files for DOS/Windows systems.  (Bug#8780)

2011-06-25  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-unload-function): Pass -1 to `allout-mode'.

	* ses.el (ses-unload-function):
	* emacs-lisp/re-builder.el (re-builder-unload-function): Simplify.

	* proced.el (proced-unload-function):
	* progmodes/cperl-mode.el (cperl-mode-unload-function): Remove.

2011-06-25  Andreas Rottmann  <a.rottmann@gmx.at>

	* server.el (server-create-window-system-frame): Add parameters arg.
	(server-process-filter): Doc fix.  Handle frame-parameters.

2011-06-25  Juanma Barranquero  <lekktu@gmail.com>

	Fix bug#8730, bug#8781.

	* loadhist.el (unload--set-major-mode): New function.
	(unload-feature): Use it.

	* progmodes/python.el (python-after-info-look): Add autoload cookie.
	(python-unload-function): New function.

2011-06-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/rmail.el (rmail-show-message-1): Use restore-buffer-modified-p.

2011-06-25  Giuseppe Scrivano  <gscrivano@gnu.org>

	* net/browse-url.el (browse-url-firefox-program): Add icecat to
	the candidates list.

2011-06-24  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/verilog-mode.el (verilog-mode): Fix test for bound variable.

2011-06-23  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el: Going to grep hit in Rmail buffer finds the message.
	(rmail-variables): Set next-error-move-function.
	(rmail-what-message): Take argument POS.
	(rmail-next-error-move): New function.

2011-06-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/smie.el (smie-bnf->prec2): Give more understandable error
	messages for adjacent non-terminals.

2011-06-23  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-retry-ignored-headers): Add message-id.
	(rmail-show-message-1): Preserve buffer modified flag.
	(rmail-start-mail): Don't specify use of rmail-mail-return;
	that's done by mail-bury now.
	(rmail-mail-return): Handle arg NEWBUF.

2011-06-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-method-out-of-band-p): Check, whether
	SIZE is a number.

2011-06-23  Martin Rudalics  <rudalics@gmx.at>

	* window.el (get-lru-window, get-mru-window)
	(get-largest-window): Never return a minibuffer window.
	(display-buffer-pop-up-window): Fix a bug that could lead to
	reusing the minibuffer window.
	(display-buffer): Pass original specifier argument to
	display-buffer-function instead of the normalized one.
	Reported by Thierry Volpiatto <thierry.volpiatto@gmail.com>.

2011-06-22  Leo Liu  <sdl.web@gmail.com>

	* minibuffer.el (completing-read-function)
	(completing-read-default): Move from minibuf.c

2011-06-22  Richard Stallman  <rms@gnu.org>

	* mail/sendmail.el (mail-bury): If Rmail is in use, return nicely
	to Rmail even if not started by a special Rmail command.

	* mail/rmailmm.el (rmail-insert-mime-forwarded-message):
	Copy the buffer currently showing just one message.

2011-06-22  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-entry-update): Use mapc.
	(bibtex-clean-entry): First delete the old key so that a
	customized algorithm for generating the new key does not get
	confused by the old key.
	(bibtex-url): Obey regexp of first step.
	(bibtex-search-entries): Do not use add-to-list with local
	list-var.

2011-06-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/smtpmail.el (smtpmail-try-auth-methods): If the user has
	stored a user name, then query for the password first, instead of
	waiting for SMTP to give an error message and the trying again.

2011-06-22  Lawrence Mitchell  <wence@gmx.li>

	* net/browse-url.el (browse-url-xdg-open): Use 0, rather than nil
	BUFFER in call-process.

2011-06-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/smtpmail.el (smtpmail-via-smtp): Make sure we don't send
	QUIT twice.
	(smtpmail-try-auth-methods): Require user name and password from
	auth-source.

2011-06-22  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-default-specifiers)
	(display-buffer-alist): Remove entries for pop-up-frame-alist.
	Suggested by Katsumi Yamaoka <yamaoka@jpl.org>.
	(split-window): Normalize SIDE argument (Bug#8916).

	* frame.el (pop-up-frame-alist, pop-up-frame-function)
	(special-display-frame-alist, special-display-popup-frame):
	Remove duplicate declarations.  These are now in window.el.

2011-06-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mail/smtpmail.el (smtpmail-via-smtp):
	Set :use-starttls-if-possible so that we always use STARTTLS if the
	server supports it.  SMTP servers that support STARTTLS commonly
	require it.

	* net/network-stream.el (network-stream-open-starttls): Support
	upgrading to STARTTLS always, even if we don't have built-in support.
	(open-network-stream): Add the :always-query-capabilies keyword.

	* mail/smtpmail.el: Rewritten to do opportunistic STARTTLS
	upgrades with `open-network-stream', and rely solely on
	auth-source for all credentials.  Big changes throughout the file,
	but in particular:
	(smtpmail-auth-credentials): Remove.
	(smtpmail-starttls-credentials): Remove.
	(smtpmail-via-smtp): Check for servers saying they want AUTH after
	MAIL FROM, too.

	* net/network-stream.el (network-stream-open-starttls):
	Provide support for client certificates both for external and built-in
	STARTTLS.
	(auth-source): Require.
	(open-network-stream): Document the :client-certificate keyword.
	(network-stream-certificate): Change cert-cert to cert and
	cert-key to key.

2011-06-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-cache.el (top): Don't load the persistency file when
	"emacs -Q" has been called.

2011-06-21  Tim Harper  <timcharper@gmail.com>

	* term/ns-win.el (ns-initialize-window-system):
	Set application-specific `ApplePressAndHoldEnabled' system
	resource to NO as it is not yet supported by the NS port.

2011-06-21  Juanma Barranquero  <lekktu@gmail.com>

	* misc.el (list-dynamic-libraries--refresh): Compute header here...
	(list-dynamic-libraries): ...not here.

2011-06-21  Leo Liu  <sdl.web@gmail.com>

	* subr.el (sha1): Implement sha1 using secure-hash.

2011-06-21  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-alist): In default value do not
	enforce searching a window on any but the selected frame.
	Reported by Katsumi Yamaoka <yamaoka@jpl.org>.
	(display-buffer-select-window): Remove function.
	(display-buffer-in-window): When a window on another frame gets
	reused, do not select it any more but just raise its frame if
	necessary (Bug#8851) and (Bug#8856).
	(display-buffer-normalize-options): Handle pop-up-frames related
	options more faithfully.
	(pop-to-buffer): Don't rely on `display-buffer' selecting the
	window if it is on another frame.
	(display-buffer-alist, display-buffer-default-specifiers):
	Don't make new frame unsplittable by default.
	(display-buffer-normalize-argument): Fix doc-string typo and use
	'same-frame-other-window instead of 'other-window when associating
	with display-buffer-macro-specifiers.

2011-06-21  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* play/5x5.el (5x5-solve-rotate-left, 5x5-solve-rotate-right):
	New functions.
	(5x5-mode-map, 5x5-mode-menu): Bind them.
	(5x5-draw-grid): Tweak the solver's rendering.

2011-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist): Rename
	`caml' to `python-tracebacks-and-caml'; allow leading tabs (bug#8585).

2011-06-21  Drew Adams  <drew.adams@oracle.com>

	* menu-bar.el: Use function variable instead of switch-to-buffer.
	(menu-bar-select-buffer-function): New variable.
	(menu-bar-update-buffers): Use it (bug#8876).

2011-06-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (add-to-list): Add handler to check the
	variable's status.

2011-06-20  Jan Djärv  <jan.h.d@swipnet.se>

	* x-dnd.el (x-dnd-version-from-flags)
	(x-dnd-more-than-3-from-flags): New functions that handle long-as-cons
	and long as number (Bug#8899).
	(x-dnd-handle-xdnd): Call functions above (Bug#8899).

2011-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-metadata): Add `metadata' to the alist.
	(completion-try-completion, completion-all-completions): Compute the
	metadata argument if it's missing; make it optional (bug#8795).

	* wid-edit.el: Use lex-bind and move towards completion-at-point.
	(widget-complete): Use new :completion-function property.
	(widget-completions-at-point): New function.
	(default): Use :completion-function instead of :complete.
	(widget-default-completions): Rename from widget-default-complete;
	Rewrite.
	(widget-string-complete, widget-file-complete, widget-color-complete):
	Remove functions.
	(file, symbol, function, variable, coding-system, color):
	* international/mule-cmds.el (default-input-method, charset)
	(language-info-custom-alist):
	* cus-edit.el (face): Use new property :completions.

	* progmodes/pascal.el (pascal-completions-at-point): New function.
	(pascal-mode): Use it.
	(pascal-mode-map): Use completion-at-point.
	(pascal-toggle-completions): Make obsolete.
	(pascal-complete-word, pascal-show-completions):
	* progmodes/octave-mod.el (octave-complete-symbol):
	Redefine as obsolete alias.
	* progmodes/octave-inf.el (inferior-octave-completion-at-point):
	Signal absence of completion info for old Octave,
	(inferior-octave-complete): Redefine as obsolete alias.
	* progmodes/meta-mode.el: Use lexical-binding and completion-at-point.
	(meta-completions-at-point): Rename from meta-complete-symbol and
	adapt it for use on completion-at-point-functions.
	(meta-common-mode): Use it.
	(meta-looking-at-backward, meta-match-buffer): Remove.
	(meta-complete-symbol): Redefine as obsolete alias.
	(meta-common-mode-map): Use completion-at-point.
	* progmodes/make-mode.el: Use lexical-binding and completion-at-point.
	(makefile-mode-map): Use completion-at-point.
	(makefile-completions-at-point): Rename from makefile-complete and
	adapt it for use on completion-at-point-functions.
	(makefile-mode): Use it.
	(makefile-complete): Redefine as obsolete alias.

2011-06-20  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el: Delete trailing whitespaces once and for all.

2011-06-20  Daniel Colascione  <dan.colascione@gmail.com>

	* emacs-lisp/syntax.el (syntax-ppss): Further improve docstring.

2011-06-19  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (auto-mode-alist): Entry for m2-mode (Bug#8852).

	* info.el (Info-apropos-toc-nodes): Minor doc fix (Bug#8833).

2011-06-19  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-other-window-means-other-frame):
	Call display-buffer-normalize-alist.
	(display-buffer-normalize-specifiers-1): Rename to
	display-buffer-normalize-argument.  New argument other-frame.
	Rewrite.
	(display-buffer-normalize-specifiers-2): Rename to
	display-buffer-normalize-options.
	(display-buffer-normalize-alist-1): New function.
	(display-buffer-normalize-specifiers-3): Rename to
	display-buffer-normalize-alist.
	Call display-buffer-normalize-alist-1.
	(display-buffer-normalize-options-inhibit): New variable.
	(display-buffer-normalize-specifiers): Rewrite calling
	display-buffer-normalize-alist,
	display-buffer-normalize-argument, and
	display-buffer-normalize-options.  Don't call the latter if
	display-buffer-normalize-options-inhibit is non-nil.
	(frame-auto-delete): New option.
	(window-deletable-p): Use frame-auto-delete.
	(window-list-no-nils, window-state-ignored-parameters)
	(window-state-get-1, window-state-get, window-state-put-list)
	(window-state-put-1, window-state-put-2, window-state-put):
	New functions.
	(display-buffer-normalize-options): Move special-display-p group
	after pop-up-frame group (Bug#8851) and (Bug#8856).

2011-06-18  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/rx.el (rx-constituents): Add support for numbered
	groups (Bug#8776).
	(rx-submatch-n): New function.
	(rx): Document it.

	* dired-x.el (dired-mark-unmarked-files): Fix interactive spec
	(Bug#8768).

	* replace.el (occur-mode-map): Set occur-edit-mode binding to "e".

	* textmodes/fill.el (default-justification): Add :safe (Bug#8879).

	* cus-face.el (custom-declare-face): Call custom-theme-recalc face
	anytime existing face settings are present (Bug#8889).

	* progmodes/delphi.el (delphi-mode-syntax-table): Use defvar.
	(delphi-mode): Use define-derived-mode to inherit from prog-mode.
	Remove unused argument.

2011-06-18  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-default-specifiers):
	Remove pop-up-frame.  Add pop-up-window-min-height,
	pop-up-window-min-width, and another reuse-window specifier
	(Bug#8882).  Reported by Dan Nicolaescu <dann@gnu.org>.
	(display-buffer-normalize-specifiers-2):
	Handle split-height-threshold and split-width-threshold also when
	pop-up-windows is unset.  Add a reuse-window specifier for the
	case popping up a new window fails.
	(special-display-popup-frame): Remove double quoting.
	(display-buffer-normalize-specifiers-1): Fix thinko.

2011-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shell.el (shell-completion-vars): Set pcomplete-termination-string
	according to comint-completion-addsuffix.

	* pcomplete.el: Convert to lexical binding and fix bug#8819.
	(pcomplete-suffix-list): Mark as obsolete.
	(pcomplete-completions-at-point): Capture pcomplete-norm-func and
	pcomplete-seen in the closure.
	(pcomplete-comint-setup): Setup completion-at-point as well.
	(pcomplete--entries): New function.
	(pcomplete--env-regexp): New var.
	(pcomplete-entries): Rewrite to work with partial-completion and
	without relying on pcomplete-suffix-list.
	(pcomplete-pare-list): Remove, unused.

2011-06-17  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-alist): Set pop-up-window-min-height
	and pop-up-window-min-width in default value.  Reported by
	Thierry Volpiatto <thierry.volpiatto@gmail.com>.  New specifier
	other-window-means-other-frame.
	(display-buffer-macro-specifiers): Comment out entry for
	other-window specifier.
	(display-buffer-other-window-means-other-frame): New function.
	(display-buffer-normalize-specifiers-1): New arguments
	buffer-name and label.  Treat other-window case specially.
	(display-buffer-normalize-specifiers-2): Treat other-window case
	specially.
	(display-buffer-normalize-specifiers-3): New function.
	(display-buffer-normalize-specifiers):
	Call display-buffer-normalize-specifiers-3.

2011-06-17  Martin Rudalics  <rudalics@gmx.at>

	* window.el (same-window-p): Fix two typos introduced when
	adding with-no-warnings.
	(display-buffer-normalize-specifiers-1): Don't check
	pop-up-frames for 'unset initialization.
	(display-buffer-normalize-specifiers-2): Major rewrite using
	special-display-p and same-window-p (Bug#8851) and (Bug#8856).
	(pop-up-frames, display-buffer-reuse-frames)
	(display-buffer-mark-dedicated): Don't initialize to 'unset.
	Suggested by David Engster <deng@randomsample.de>.
	(even-window-heights): Initialize to 'unset.
	(display-buffer-alist-set): Handle new 'unset initializations.
	(display-buffer-macro-specifiers): Don't pop up a new frame in the
	other window case.

2011-06-16  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-normalize-specifiers-1):
	Respect current value of pop-up-frames for most reasonable values of
	second argument of display-buffer (Bug#8865).
	(switch-to-buffer-same-frame, switch-to-buffer-other-window)
	(switch-to-buffer-other-window-same-frame)
	(switch-to-buffer-other-frame): Fix doc-strings.  Reported by Drew
	Adams (Bug#8875).
	(display-buffer): Don't check noninteractive when calling
	display-buffer-pop-up-frame.
	(display-buffer-pop-up-frame): Never pop up a frame in
	noninteractive mode (Bug#8857).
	(enlarge-window, shrink-window): Don't report an error when the
	window can't be resized as requested (Bug#8862).

2011-06-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcmpl-rpm.el (pcomplete/rpm): Minor simplification.

	* emacs-lisp/debug.el (debug): Don't leave the buffer in Debugger.

	* abbrev.el (define-abbrev-table): Don't add a table multiple times.

2011-06-15  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-fonts.el (c-font-lock-declarations): 1: Whilst checking
	for declarators, disable knr checking to speed up for normal files.
	2: Refactor, replacing a sequence of nested if forms by a cond form.

2011-06-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (open-network-stream): Add the keyword
	:always-query-capabilities for the case where you want to force a
	`plain' network connection, but the protocol still requires the
	capabilitiy command (i.e., SMTP and EHLO).

	* subr.el (process-live-p): Rename from `process-alive-p' for
	consistency with other `-live-p' functions.

2011-06-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (same-window-buffer-names, same-window-regexps)
	(special-display-frame-alist, special-display-popup-frame)
	(special-display-function, special-display-buffer-names)
	(special-display-regexps, pop-up-frame-alist)
	(pop-up-frame-function, pop-up-frames, display-buffer-reuse-frames)
	(pop-up-windows, split-window-preferred-function)
	(split-height-threshold, split-width-threshold, even-window-heights)
	(display-buffer-mark-dedicated): Don't encourage the use of
	display-buffer-alist from Elisp code.

2011-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/python.el (python-mode): Derive from prog-mode.
	* progmodes/ps-mode.el (ps-mode):
	* progmodes/mixal-mode.el (mixal-mode):
	* progmodes/cfengine.el (cfengine-mode):
	* progmodes/ld-script.el (ld-script-mode): Likewise.

2011-06-15  Martin Rudalics  <rudalics@gmx.at>

	* window.el (display-buffer-alist): Trim default value to avoid
	popping up a new frame (Bug#8857) or reusing an arbitrary window
	on another frame.
	(display-buffer): Do not fall back on popping up a new frame in
	batch mode (Bug#8857).

2011-06-14  Chong Yidong  <cyd@stupidchicken.com>

	* cus-theme.el (describe-theme-1): Use custom-theme-p.
	(custom-theme-summary): New function.
	(customize-themes): Use it.

2011-06-13  Glenn Morris  <rgm@gnu.org>

	* cus-dep.el (custom-make-dependencies): Use up command-line-args-left.

2011-06-13  Martin Rudalics  <rudalics@gmx.at>

	* help.el (help-window): Remove variable.
	(help-window-point-marker, temp-buffer-max-height)
	(temp-buffer-resize-mode, help-window-select): Rewrite doc-strings.
	(help-print-return-message): Don't set help-window.
	(resize-temp-buffer-window): Rewrite cod eand doc-string.
	(help-window-setup-finish): Remove.
	(help-window-display-message, help-window-setup)
	(with-help-window): Major rewrite based on new
	display-buffer-window variable.

	* help-mode.el (help-mode-finish): Remove help-window related
	code.

	* view.el (view-exits-all-viewing-windows): Remove reference to
	view-return-to-alist in doc-string.
	(view-return-to-alist): Make obsolete.
	(view-buffer): Call pop-to-buffer-same-window and remove
	undo-window code.
	(view-buffer-other-window): Call pop-to-buffer-other-window and
	simplify code.  Ignore second argument.
	(view-buffer-other-frame): Call pop-to-buffer-other-frame and
	simplify code.  Ignore second argument.
	(view-return-to-alist-update): Make obsolete.
	(view-mode-enter): Rename second argument to QUIT-RESTORE.
	Rewrite using quit-restore window parameters.
	(view-mode-exit): Rename second argument to EXIT-ONLY.
	Rewrite using quit-restore-window.
	(View-exit, View-exit-and-edit, View-leave, View-quit)
	(View-quit-all, View-kill-and-leave): Call view-mode-exit with
	appropriate arguments.
	(view-end-message): Use quit-restore window parameter.

	* window.el (display-buffer-function): Rewrite doc-string.
	(display-buffer-window, display-buffer-alist): New variables.
	(display-buffer-split-specifiers)
	(display-buffer-side-specifiers)
	(display-buffer-macro-specifiers): New constants.
	(display-buffer-even-window-sizes, display-buffer-set-height)
	(display-buffer-set-width, display-buffer-select-window)
	(display-buffer-in-window, display-buffer-reuse-window)
	(display-buffer-split-window-1, display-buffer-split-window)
	(display-buffer-split-atom-window, display-buffer-pop-up-window)
	(display-buffer-pop-up-frame, display-buffer-pop-up-side-window)
	(display-buffer-in-side-window, normalize-buffer-to-display)
	(display-buffer-normalize-specifiers-1)
	(display-buffer-normalize-specifiers-2)
	(display-buffer-normalize-specifiers, display-buffer-frame):
	New functions.
	(display-buffer): Major rewrite.
	(display-buffer-other-window, display-buffer-other-frame)
	(pop-to-buffer, switch-to-buffer-other-window)
	(switch-to-buffer-other-frame): Rewrite.
	(display-buffer-same-window, display-buffer-same-frame)
	(display-buffer-same-frame-other-window)
	(pop-to-buffer-same-window, pop-to-buffer-same-frame)
	(pop-to-buffer-other-window)
	(pop-to-buffer-same-frame-other-window)
	(pop-to-buffer-other-frame, switch-to-buffer-same-frame)
	(switch-to-buffer-other-window-same-frame): New functions.
	(same-window-p, special-display-p): Rewrite disabling warnings.
	Make obsolete.
	(pop-up-frames, display-buffer-reuse-frames, pop-up-windows)
	(display-buffer-mark-dedicated): Initialize to symbol 'unset.
	Make obsolete
	(same-window-buffer-names, same-window-regexps)
	(special-display-frame-alist, special-display-popup-frame)
	(special-display-function, special-display-buffer-names)
	(special-display-regexps, pop-up-frame-alist)
	(pop-up-frame-function, split-window-preferred-function)
	(split-height-threshold, split-width-threshold)
	(even-window-heights): Make obsolete.

2011-06-12  Glenn Morris  <rgm@gnu.org>

	* term/xterm.el (terminal-init-xterm): `version' may be nil.  (Bug#8838)
	Misc simplifications.

2011-06-12  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-safely-shrinkable-p): Restore function which
	was inadvertently removed in change from 2011-06-11.  Declare as
	obsolete.

	* calendar/calendar.el (calendar-generate-window):
	Use window-iso-combined-p instead of combination of one-window-p and
	window-safely-shrinkable-p.

2011-06-12  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-mode-syntax-table):
	* progmodes/f90.el (f90-mode-syntax-table):
	Set % to punctuation.  (Bug#8820)
	(f90-find-tag-default): Remove, no longer needed.

2011-06-12  Daniel Colascione  <dan.colascione@gmail.com>

	* emacs-lisp/syntax.el (syntax-ppss): Clarify which items are invalid.

2011-06-11  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (image-animated-p): Return animation delay in seconds.
	Avoid bit manipulation in Lisp; use `delay' entry in the metadata.
	(image-animate-timeout): Remove DELAY argument.  Don't assume
	every subimage has the same delay; get it from image-animated-p.
	(image-animate): Caller changed.

2011-06-11  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-debug-message): Add `tramp-with-progress-reporter'
	to ignored backtrace functions.

2011-06-11  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-disp-window-function): Doc fix.
	(appt-check): Handle overlapping appointments.  (Bug#8337)

2011-06-11  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-tree-1, window-tree): New functions, moving
	the latter to window.el.
	(bw-get-tree, bw-get-tree-1, bw-find-tree-sub)
	(bw-find-tree-sub-1, bw-l, bw-t, bw-r, bw-b, bw-dir, bw-eqdir)
	(bw-refresh-edges): Remove.
	(balance-windows-1, balance-windows-2): New functions.
	(balance-windows): Rewrite in terms of window tree functions,
	balance-windows-1 and balance-windows-2.
	(bw-adjust-window): Remove.
	(balance-windows-area-adjust): New function with functionality of
	bw-adjust-window but using resize-window.
	(set-window-text-height): Rewrite doc-string.
	Use normalize-live-window and resize-window.
	(enlarge-window-horizontally, shrink-window-horizontally):
	Rename argument to DELTA.
	(window-buffer-height): New function.
	(fit-window-to-buffer, shrink-window-if-larger-than-buffer):
	Rewrite using new window resize routines.
	(kill-buffer-and-window, mouse-autoselect-window-select):
	Use ignore-errors instead of condition-case.
	(quit-window): Call delete-frame instead of delete-windows-on
	for the only buffer on frame.

2011-06-10  Martin Rudalics  <rudalics@gmx.at>

	* loadup.el (top-level): Load window before files for the sake
	of replace-buffer-in-windows.

	* files.el (read-buffer-to-switch)
	(switch-to-buffer-other-window)
	(switch-to-buffer-other-frame, display-buffer-other-frame):
	Move to window.el.

	* simple.el (get-next-valid-buffer, last-buffer, next-buffer)
	(previous-buffer): Move to window.el.

	* bindings.el (unbury-buffer): Move to window.el.

	* window.el (delete-other-windows-vertically): Move after
	definition of delete-other-windows.
	(other-window, delete-windows-on, replace-buffer-in-windows):
	Move here from window.c.
	(record-window-buffer, unrecord-window-buffer)
	(set-window-buffer-start-and-point, switch-to-prev-buffer)
	(switch-to-next-buffer): New functions.
	(get-next-valid-buffer, last-buffer, next-buffer): Move here
	from simple.el.  Call switch-to-next-buffer.
	(previous-buffer): Move here from simple.el.
	Call switch-to-prev-buffer.
	(bury-buffer): Move here from buffer.c.  Switch to previous
	buffer when window cannot be deleted.
	(unbury-buffer): Move here from bindings.el.
	(ctl-x-map): Move binding for other-window from window.c to
	here.
	(read-buffer-to-switch, switch-to-buffer-other-window)
	(switch-to-buffer-other-frame): Move here from files.el.
	(normalize-buffer-to-switch-to): New functions.
	(switch-to-buffer): Move here from buffer.c.
	Use read-buffer-to-switch and normalize-buffer-to-switch-to.

2011-06-10  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-min-height, window-min-width): Move here
	from window.c.  Add defcustoms and rewrite doc-strings.
	(resize-mini-window, resize-window): New functions.
	(adjust-window-trailing-edge, enlarge-window, shrink-window):
	Move here from window.c.
	(maximize-window, minimize-window): New functions.
	(delete-window, delete-other-windows, split-window): Move here
	from window.c.
	(window-split-min-size): New function.
	(split-window-keep-point): Mention split-window-above-each-other
	instead of split-window-vertically.
	(split-window-above-each-other, split-window-vertically):
	Rename split-window-vertically to split-window-above-each-other and
	provide defalias for old definition.
	(split-window-side-by-side, split-window-horizontally): Rename
	split-window-horizontally to split-window-side-by-side and provide
	defalias for the old definition.
	(ctl-x-map): Move bindings for delete-window,
	delete-other-windows and enlarge-window here from window.c.
	Replace bindings for split-window-vertically and
	split-window-horizontally by bindings for
	split-window-above-each-other and split-window-side-by-side.

	* cus-start.el (all): Remove entries for window-min-height and
	window-min-width.  Add entries for window-splits and
	window-nest.

2011-06-09  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-mode-line): New function.
	(appt-check, appt-disp-window): Use it.

	* files.el (hack-one-local-variable-eval-safep):
	Allow minor-modes with explicit +/-1 arguments.

2011-06-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* term/xterm.el (xterm): Add defgroup.
	(xterm-extra-capabilities): Add defcustom to supply known xterm
	capabilities, skip querying them, or query them (default).
	(terminal-init-xterm): Use it.
	(terminal-init-xterm-modify-other-keys): New function to set up
	modifyOtherKeys support to simplify `terminal-init-xterm'.

2011-06-09  Martin Rudalics  <rudalics@gmx.at>

	* window.el (resize-window-reset, resize-window-reset-1)
	(resize-subwindows-skip-p, resize-subwindows-normal)
	(resize-subwindows, resize-other-windows, resize-this-window)
	(resize-root-window, resize-root-window-vertically)
	(window-deletable-p, window-or-subwindow-p)
	(frame-root-window-p): New functions.

2011-06-09  Glenn Morris  <rgm@gnu.org>

	* net/ange-ftp.el (ange-ftp-switches-ok): New function.
	(ange-ftp-get-files): Use it.

2011-06-09  Alexander Klimov  <alserkli@inbox.ru>  (tiny change)

	* mail/sendmail.el (mail-recover-1, mail-recover):
	* files.el (recover-file, recover-session):
	Handle dired-listing-switches not being just a single short option.

2011-06-09  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-display-message, appt-disp-window):
	Handle lists of appointments.

2011-06-08  Martin Rudalics  <rudalics@gmx.at>

	* window.el (one-window-p): Move down in code.
	Rewrite doc-string.
	(window-current-scroll-bars): Rewrite doc-string.
	Normalize live window argument.
	(walk-windows, get-window-with-predicate, count-windows):
	Rewrite doc-string.  Use window-list-1.
	(window-in-direction-2, window-in-direction, get-mru-window):
	New functions.

2011-06-08  Reuben Thomas  <rrt@sc3d.org>

	* progmodes/flymake.el (flymake-compilation-prevents-syntax-check):
	Doc fix (Bug#8713).

2011-06-08  Chong Yidong  <cyd@stupidchicken.com>

	* repeat.el (repeat-on-final-keystroke): Fix type (Bug#8696).

2011-06-08  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature-special-hooks):
	Add `comint-output-filter-functions'.

2011-06-08  Ivan Kanis  <gnu@kanis.fr>

	* calendar/appt.el (appt-check): Move some initializations into the let.

2011-06-08  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-height): Defalias to window-total-height.
	(window-width): Defalias to window-body-width.

2011-06-07  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-animation): New command.
	(image-mode-map): Bind it to RET.
	(image-mode): Update message.
	(image-toggle-display-image): Avoid a spurious cache flush.
	(image-transform-rotation): Doc fix.
	(image-transform-properties): Return quickly in the normal case.
	(image-animate-loop): Rename from image-animate-max-time.

	* image.el (image-animate-max-time): Move to image-mode.el.
	(create-animated-image): Remove unnecessary function.
	(image-animate): Rename from image-animate-start.  New arg.
	(image-animate-stop): Remove; just use image-animate-timer.
	(image-animate-timer): Use car-safe.
	(image-animate-timeout): Rename argument.

2011-06-07  Martin Rudalics  <rudalics@gmx.at>

	* window.el (get-lru-window, get-largest-window): Move here from
	window.c.  Rename first argument to ALL-FRAMES.
	Rephrase doc-strings.
	(get-buffer-window-list): Rewrite using window-list-1.
	Rephrase doc-string.
	(window-safe-min-height, window-safe-min-width): New constants.
	(window-size-ignore, window-min-size, window-min-size-1)
	(window-sizable, window-sizable-p, window-size-fixed-1)
	(window-size-fixed-p, window-min-delta-1, window-min-delta)
	(window-max-delta-1, window-max-delta, window-resizable)
	(window-resizable-p, window-total-height, window-total-width)
	(window-body-width): New functions.
	(window-full-height-p, window-full-width-p): Rewrite using
	window-total-size.
	(window-body-height): Rewrite using window-body-size.

2011-06-06  Martin Rudalics  <rudalics@gmx.at>

	* window.el (window-right, window-left, window-child)
	(window-child-count, window-last-child, window-any-p)
	(normalize-live-buffer, normalize-live-frame)
	(normalize-any-window, normalize-live-window)
	(window-iso-combination-p, window-iso-combined-p)
	(window-iso-combinations)
	(walk-window-tree-1, walk-window-tree, walk-window-subtree)
	(windows-with-parameter, window-with-parameter)
	(window-atom-root, make-window-atom, window-atom-check-1)
	(window-atom-check, window-side-check, window-check):
	New functions.
	(ignore-window-parameters, window-sides, window-sides-vertical)
	(window-sides-slots): New variables.
	(window-size-fixed): Move down in code.  Minor doc-string fix.

2011-06-05  Andreas Schwab  <schwab@linux-m68k.org>

	* comint.el (comint-dynamic-complete-as-filename)
	(comint-dynamic-complete-filename): Correctly call
	completion-in-region.

2011-06-05  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc-prompt-for-encryption): Fix bug introduced
	in last change.

2011-06-05  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc-prompt-for-encryption): New function.
	(rcirc): Use it to prompt for encryption.

2011-06-05  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-search-buffer): New variable.
	(bibtex-search-entries): New command bound to C-c C-a.
	(bibtex-display-entries): New function.

2011-06-05  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-generate-url-list): Fix docstring.
	(bibtex-insert-kill): After yanking insert newline if necessary.
	(bibtex-initialize): Call bibtex-string-files-init only once.
	(bibtex-mode): Do not call easy-menu-add.
	(bibtex-validate-globally): Use save-excursion in bibtex buffers.
	(bibtex-yank): Set arg properly if nil.

2011-06-05  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-search-entry-globally):
	New variable.
	(bibtex-search-entry): Use it.

2011-06-05  Roland Winkler  <winkler@gnu.org>

	* textmodes/bibtex.el (bibtex-entry-format): New option
	sort-fields.
	(bibtex-format-entry, bibtex-reformat): Honor this option.
	(bibtex-parse-entry): Return fields in proper order.

2011-06-05  Juanma Barranquero  <lekktu@gmail.com>

	* doc-view.el (doc-view-remove-if): Move computation of result out
	of `dolist' to silence misleading lexical-binding warning.

2011-06-04  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/timer.el (timer-activate): Remove unused arg.
	(timer-activate, timer-activate-when-idle): Doc fix (Bug#8793).

2011-06-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-find-shell): Apply workaround also for
	"SunOS 5.10".

2011-06-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-set-completion-function, tramp-parse-rhosts)
	(tramp-parse-shosts, tramp-parse-sconfig, tramp-parse-shostkeys)
	(tramp-parse-hosts, tramp-parse-passwd, tramp-parse-netrc)
	(tramp-parse-putty):
	* net/tramp-sh.el (tramp-completion-function-alist-rsh)
	(tramp-completion-function-alist-ssh)
	(tramp-completion-function-alist-telnet)
	(tramp-completion-function-alist-su)
	(tramp-completion-function-alist-putty): Set `tramp-autoload'
	cookie.

	* net/tramp-ftp.el:
	* net/tramp-sh.el:
	* net/tramp-smb.el: Set `tramp-autoload' cookie, and eval after
	load "tramp.el" `tramp-set-completion-function'.

2011-06-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shell.el: Require and use pcomplete.
	(shell-dynamic-complete-functions): Add pcomplete-completions-at-point.
	(shell-completion-vars): Set pcomplete-default-completion-function.

2011-06-04  Deniz Dogan  <deniz@dogan.se>

	* iswitchb.el (iswitchb-window-buffer-p): Use `member' instead of
	`memq' (Bug#8799).

2011-06-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (make-progress-reporter): Add "..." by default (bug#8785).

2011-06-02  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--mark-unmark, bs--nth-wrapper):
	* mpc.el (mpc-select-extend, mpc-songpointer-context):
	* vc/log-view.el (log-view-beginning-of-defun):
	* vc/smerge-mode.el (smerge-apply-resolution-patch)
	(smerge-refine-forward, smerge-refine-chopup-region):
	Silence warning for unused `dotimes' counter variables.

2011-06-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/tramp.el (tramp-with-progress-reporter): Rename from
	with-progress-reporter.  Use `declare'.
	* net/tramp-smb.el:
	* net/tramp-sh.el:
	* net/tramp-gvfs.el: Update all uses.

2011-06-02  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-kill-stack-buffer): Make sure that the trail
	buffer isn't killed before making it current.

2011-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	Silence various byte-compiler warnings.
	* emacs-lisp/byte-run.el (make-obsolete-variable): New argument
	`access-type' and new obsolescence format.
	* emacs-lisp/bytecomp.el (byte-compile-warn-obsolete): Adjust to
	new format.
	(byte-compile-check-variable): New `access-type' argument.
	Only warn if the access-type is obsolete.
	(byte-compile-dynamic-variable-bind, byte-compile-variable-ref)
	(byte-compile-variable-set): Adjust callers.
	* help-fns.el (describe-variable): Adjust to new obsolescence format.
	* mail/sendmail.el (mail-mailer-swallows-blank-line): Only mark
	setting it as obsolete.
	* simple.el (minibuffer-completing-symbol):
	* font-lock.el (font-lock-beginning-of-syntax-function): Only mark read
	access as obsolete.
	* minibuffer.el (minibuffer-completing-file-name): Don't make it
	obsolete yet.
	* international/quail.el (quail-mouse-choose-completion): Remove unused
	code referring to obsolete var.
	(quail-choose-completion-string): Remove.
	* server.el (server-clients-with, server-kill-buffer-query-function)
	(server-kill-emacs-query-function): Silence "unused `proc'" warnings.
	* proced.el (proced-send-signal):
	* emacs-lisp/lisp.el (lisp-complete-symbol):
	Replace completion-annotate-function with completion-extra-properties.

2011-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (goto-line): Use read-number.
	(overriding-map-is-bound): Remove.
	(saved-overriding-map): Change default.
	(save&set-overriding-map): Rename from ensure-overriding-map-is-bound;
	Take the map as argument.
	(universal-argument, negative-argument, digit-argument): Use it.
	(restore-overriding-map): Adjust.
	(do-auto-fill): Use fill-forward-paragraph.
	(keyboard-quit): Don't signal an error when debug-on-quit is non-nil.

	* minibuffer.el (minibuffer-inactive-mode-map): New var.
	(minibuffer-inactive-mode): New major mode.
	* mouse.el (mouse-drag-region): Remove the "mouse-1 pops up
	the *Messages* buffer" hack.
	(mouse-popup-menubar): Don't burp if the event is a normal key.

	Miscellaneous tweaks.
	* emacs-lisp/cl-macs.el (dolist, dotimes): Use the same strategy for
	lexical scoping as in subr.el's dolist and dotimes.
	* emacs-lisp/bytecomp.el (byte-compile-unfold-bcf):
	Silence compiler warning.
	* thingatpt.el (forward-whitespace): Trivial coding style fix.
	* subr.el (with-output-to-temp-buffer): Provide an edebug spec.
	* international/ccl.el (ccl-compile): Trivial simplification.
	* help-fns.el (help-do-arg-highlight): Silence compiler warning.
	* emacs-lisp/testcover.el (testcover-end): Remove spurious
	`printflag' argument.
	* emacs-lisp/byte-run.el (make-obsolete, make-obsolete-variable):
	Purecopy the whole obsolescence data.

2011-06-01  Leo Liu  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-decode-coding-system): Revert last change;
	improve doc-string as suggested by Marco Pessotto
	<melmothx@gmail.com>.
	(rcirc-print): Fix last change.

2011-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (complete-with-action): Return nil for the metadata and
	boundaries of non-functional tables.
	(completion-table-dynamic): Return nil for the metadata.
	(completion-table-with-terminator): Add default case, using
	complete-with-action.
	(completion--metadata): New function.
	(completion-all-sorted-completions, minibuffer-completion-help): Use it
	to try and avoid pathological performance problems.
	(completion--embedded-envvar-table): Return `category' metadata.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* subr.el (process-alive-p): New tiny convenience function.

2011-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/debug.el (debug): Save&restore not just the buffer's
	content but also its previous major mode.

2011-05-31  Helmut Eller  <eller.helmut@gmail.com>

	* debug.el (debug): Restore the previous content of the
	*Backtrace* buffer when we exit with C-M-c.

2011-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el: Add metadata method to completion tables.
	(completion-category-overrides): New defcustom.
	(completion-metadata, completion--field-metadata)
	(completion-metadata-get, completion--styles)
	(completion--cycle-threshold): New functions.
	(completion-try-completion, completion-all-completions):
	Add `metadata' argument to choose completion-styles.
	(completion--do-completion): Use metadata to choose cycling.
	(completion-all-sorted-completions): Use metadata for sorting.
	Remove :completion-cycle-penalty which is not needed any more.
	(completion--try-word-completion): Add `metadata' argument.
	(minibuffer-completion-help): Check metadata for annotation function
	and sorting.
	(completion-file-name-table): Return `category' metadata.
	(minibuffer-completing-file-name): Make obsolete.
	* simple.el (minibuffer-completing-symbol): Make obsolete.
	* icomplete.el (icomplete-completions): Pass new `metadata' param to
	completion-try-completion.

2011-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/smtpmail.el (smtpmail-send-data): Add progress reporter.

2011-05-30  Leo Liu  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-debug-buffer): Use visible buffer name.
	(rcirc-print): Decode all incoming messages (bug#8744).
	(rcirc-decode-coding-system): Allow value nil for automatic coding
	system detection.

2011-06-01  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el (report-emacs-bug-hook): Mailclient ignores From.

2011-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (image-animate-max-time): Allow nil and t values.
	Default to nil.
	(create-animated-image): Doc fix.
	(image-animate-start): Remove second arg; just use
	image-animate-max-time.
	(image-animate-timeout): Doc fix.  Args changed.

	* image-mode.el (image-toggle-display-image): Ensure that the
	image spec passed to the animate timer is the same object as in
	the the buffer's display property (Bug#6981).
	(image-transform-properties): Doc fix.

	* image.el (image-animate-max-time): Default to nil.

2011-05-29  Martin Rudalics  <rudalics@gmx.at>

	* menu-bar.el (kill-this-buffer-enabled-p): Avoid looping over
	entire buffer list (Bug#8184).

2011-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* image.el (imagemagick-types-inhibit)
	(imagemagick-register-types): Doc fix.

2011-05-29  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc): Use the user's stored encryption method by
	default.

2011-05-29  Chong Yidong  <cyd@stupidchicken.com>

	* select.el: Don't perform clipboard-manager saving in hooks;
	leave the hooks empty.

2011-05-28  Leo Liu  <sdl.web@gmail.com>

	* replace.el (occur-menu-map, occur-edit-mode-map): New vars.
	(occur-mode-map): Bind occur-edit-mode.  Use occur-menu-map.
	(occur-edit-mode): New major mode (Bug#8463).
	(occur-after-change-function): New function.
	(occur-engine): Give Occur tags a read-only property.

2011-05-28  Kevin Ryde  <user42@zip.com.au>

	* subr.el (def-edebug-spec): Doc fix (Bug#8430).

2011-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el (help-echo): Make the initial non-indicator dash
	empty on graphical terminals (Bug#7295).

	* files.el (auto-mode-alist): Move config rule after the
	in-stripping one (Bug#8547).

	* newcomment.el (comment-end-skip): Doc fix (Bug#8659).

	* startup.el (normal-splash-screen): Remove gratuitous mode-line
	setting (Bug#8740).

2011-05-28  Alp Aker  <aker@pitt.edu>  (tiny change)

	* buff-menu.el (Buffer-menu-revert-function, Buffer-menu-sort)
	(Buffer-menu-buffer+size): Use Buffer-menu-buffer-column
	(Bug#8539).

2011-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/re-builder.el (re-builder): Improve doc (Bug#8286).

2011-05-28  Dima Kogan  <dkogan@cds.caltech.edu>  (tiny change)

	* progmodes/hideshow.el (hs-looking-at-block-start-p): New fun.
	(hs-hide-block-at-point, hs-find-block-beginning)
	(hs-already-hidden-p, hs-hide-block, hs-show-block): Use it
	(Bug#8279).

2011-05-28  Glenn Morris  <rgm@gnu.org>

	* startup.el (fancy-about-screen): Use standard mode line.  (Bug#8740)

2011-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* help-fns.el (describe-function-1): If the function is a derived
	major mode, print the parent mode.

	* progmodes/cc-mode.el (c-mode, c++-mode, objc-mode, java-mode)
	(idl-mode, pike-mode, awk-mode): Inherit from prog-mode.

2011-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--capf-wrapper): Check applicability before
	retuning non-nil for non-exclusive completion data.
	* progmodes/etags.el (tags-completion-at-point-function):
	* info-look.el (info-lookup-completions-at-point): Mark as
	non-exclusive.
	(info-complete): Adjust accordingly.

	* info-look.el: Convert to lexical-binding and completion-at-point.
	(info-lookup-completions-at-point): New function.
	(info-complete): Use it and completion-in-region.

2011-05-28  Drew Adams  <drew.adams@oracle.com>

	* isearch.el: Let M-e start with point at the first mismatched char.
	(isearch-fail-pos): New function.
	(isearch-edit-string): Use it.

2011-05-28  Dmitry Kurochkin  <dmitry.kurochkin@gmail.com>  (tiny change)

	* isearch.el (isearch-range-invisible): Use invisible-p (bug#8721).

2009-11-23  Toby Cubitt  <toby-predictive@dr-qubit.org>

	* emacs-lisp/avl-tree.el: New avl-tree-stack datatype.  Add new
	traversal functions for avl-trees.
	(avl-tree--stack): New struct.
	(avl-tree-stack-p, avl-tree--stack-repopulate): New funs.
	(avl-tree-enter): Add optional `updatefun' arg.
	(avl-tree--do-enter): Add optional `updatefun' arg.
	Change return value.
	(avl-tree-delete): Add optional `test' and `nilflag' args.
	(avl-tree--do-delete): Add `test' and `nilflag' args.
	Change return value.
	(avl-tree-member): Add optional `nilflag'
	(avl-tree-member-p): New function.
	(avl-tree-mapc, avl-tree-mapf, avl-tree-mapcar): New functions.
	(avl-tree-stack, avl-tree-stack-pop, avl-tree-stack-first)
	(avl-tree-stack-empty-p): New functions.

2009-11-23  Toby Cubitt  <toby-predictive@dr-qubit.org>

	* emacs-lisp/avl-tree.el (avl-tree--del-balance): Rename from
	avl-tree--del-balance1 and make it work both ways.
	(avl-tree--del-balance2): Remove.
	(avl-tree--enter-balance): Rename from avl-tree--enter-balance1 and
	make it work both ways.
	(avl-tree--enter-balance2): Remove.
	(avl-tree--switch-dir, avl-tree--dir-to-sign, avl-tree--sign-to-dir):
	New macros.
	(avl-tree--mapc, avl-tree-map): Add direction argument.

2011-05-27  David Michael  <fedora.dm0@gmail.com>  (tiny change)

	* files.el (interpreter-mode-alist): Add rbash (bug#8745).

2011-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* select.el: Support clipboard managers with built-in function
	x-clipboard-manager-save, via delete-frame-functions and
	kill-emacs-hook.
	(xselect-convert-to-targets): Add MULTIPLE target to list.
	(xselect-convert-to-save-targets): New function.

2011-05-27  Kenichi Handa  <handa@m17n.org>

	* mail/sendmail.el (mail-encode-header): Avoid double encoding by
	let-binding rfc2047-encode-encoded-words to nil.

2011-05-27  Glenn Morris  <rgm@gnu.org>

	* mail/emacsbug.el: Don't require url-util.

	* shell.el (shell-directory-tracker): Case matters.  (Bug#8735)

	* files.el (set-auto-mode):
	Also respect mode: entries at the end of the file.  (Bug#8586)

2011-05-26  Glenn Morris  <rgm@gnu.org>

	* files.el (hack-local-variables-prop-line, hack-local-variables):
	Downcase mode names, as seems to be traditional.
	(hack-local-variables, hack-local-variables-apply): Doc fixes.

	* mail/emacsbug.el (report-emacs-bug): Mention checking From address.
	(report-emacs-bug-hook): Try to validate the From address.  (Bug#8038)

2011-05-25  Julien Danjou  <julien@danjou.info>

	* textmodes/rst.el (rst-define-level-faces): Do not define face
	symbol if it is already defined.

2011-05-24  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* play/5x5.el (5x5-new-game, 5x5-randomize):
	Reset 5x5-solver-output to nil when a new grid is cast.
	(5x5-log-init, 5x5-log): Use defsubst instead of defmacro to shunt
	these debugging traces, as defmacro breaks the compiled code.

2011-05-24  Dmitry Kurochkin  <dmitry.kurochkin@gmail.com>  (tiny change)

	* isearch.el (isearch-range-invisible): Use invisible-p (bug#8721).

2011-05-24  Leo Liu  <sdl.web@gmail.com>

	* vc/vc-bzr.el (vc-bzr-sha1-program): Rename from sha1-program.
	(vc-bzr-sha1): Adapt.

	* sha1.el: Remove.  Function `sha1' is now builtin.

	* bindings.el: Provide sha1 feature.

2011-05-24  Kenichi Handa  <handa@m17n.org>

	* mail/sendmail.el: Require `rfc2047'.
	(mail-insert-from-field): Do not perform RFC2047 encoding.
	(mail-encode-header): New function.
	(sendmail-send-it): Set buffer-file-coding-system of the work
	buffer to the return value of select-message-coding-system.
	Call mail-encode-header.

	* mail/smtpmail.el (smtpmail-send-it): Call mail-encode-header.

2011-05-24  Sean Neakums  <sneakums@zork.net>  (tiny change)

	* mail/supercite.el (sc-default-cite-frame):
	Handle sc-nested-citation-p when sc-cite-blank-lines-p is non-nil.

2011-05-24  Glenn Morris  <rgm@gnu.org>

	* progmodes/python.el (brm-menu): Declare.

	* emulation/viper.el (viper-set-hooks): Declare.

	* play/5x5.el (5x5-log-init, 5x5-log): Evaluate when compiling.
	(5x5-log-init, 5x5-log, 5x5-solver): Doc fixes.
	(math-map-vec, math-sub, math-mul, math-make-intv, math-reduce-vec)
	(math-format-number, math-pow, calcFunc-arrange, calcFunc-cvec)
	(calcFunc-diag, calcFunc-trn, calcFunc-inv, calcFunc-mrow)
	(calcFunc-mcol, calcFunc-vconcat, calcFunc-index): Declare.

2011-05-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	Add an :exit-function for completion-at-point.

	* minibuffer.el (completion--done): New fun.
	(completion--do-completion): Use it.  New arg `expect-exact'.
	(minibuffer-complete, minibuffer-complete-word): Don't output message,
	since completion--do-completion does it for us now.
	(minibuffer-force-complete): Use completion--done and
	completion--replace.  Handle sole-completion case with more care.
	(minibuffer-complete-and-exit): Use new `expect-exact' arg.
	(completion-extra-properties): New var.
	(completion-annotate-function): Make obsolete.
	(minibuffer-completion-help): Adjust accordingly.
	Use completion-list-insert-choice-function.
	(completion-at-point, completion-help-at-point):
	Bind completion-extra-properties.
	(completion-pcm-word-delimiters): Add | (for uniquify, for example).
	* simple.el (completion-list-insert-choice-function): New var.
	(completion-setup-function): Preserve it.
	(choose-completion): Pay attention to it, shuffle the code a bit.
	(choose-completion-string): New arg `insert-function'.

	* textmodes/bibtex.el: Convert to lexical binding.
	(bibtex-mode-map): Use completion-at-point.
	(bibtex-mode): Use define-derived-mode&completion-at-point-functions.
	(bibtex-completion-at-point-function): New fun, from bibtex-complete.
	(bibtex-complete): Define as obsolete alias.
	(bibtex-complete-internal): Remove.
	(bibtex-format-entry): Remove unused sub-group in regexp.
	* shell.el (shell--command-completion-data)
	(shell-environment-variable-completion):
	* pcomplete.el (pcomplete-completions-at-point):
	* comint.el (comint--complete-file-name-data): Use :exit-function
	instead of completion-table-with-terminator so it also works for
	choose-completion.

2011-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* <lots-of-files>.el: Don't quote lambda expressions with `quote'.

	* vc/smerge-mode.el (smerge-refine-subst): Don't deactivate the mark
	(bug#8710).

	* emacs-lisp/lisp.el (up-list): Fix forward movement (bug#8708).

2011-05-23  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-inhibit-auto-fill-on-headline): Create new
	customization variable and implement: If non-nil, auto-fill will
	be inhibited while on topic's header line.

2011-05-23  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* play/5x5.el: I/ Add an arithmetic solver to suggest positions to
	click on.  II/ Make 5x5 multisession.  III/ Ensure that random grids
	always have a solution in grid size = 5 cases.
	(5x5-mode-map): Add keybinding to function `5x5-solve-suggest'.
	(5x5-solver-output, 5x5-log-buffer): New vars.
	(5x5-grid, 5x5-x-pos, 5x5-y-pos, 5x5-moves, 5x5-cracking):
	Make these variables buffer local to achieve 5x5 multi-session-ness.
	(5x5): Set 5x5-grid-size only if SIZE is non-negative.
	(5x5-grid-to-vec, 5x5-vec-to-grid, 5x5-log-init, 5x5-log, 5x5-solver)
	(5x5-solve-suggest): New funs.
	(5x5-randomize): Use 5x5-make-move instead of 5x5-flip-cell to
	randomize a grid so that we ensure that there is always a solution.
	(5x5-make-random-grid): Allow other movement than flipping.

2011-05-23  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/advice.el (ad-read-advised-function):
	Use `function-called-at-point' as the default default, if it has
	advice and passes PREDICATE.

2011-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-function-form): Only call
	byte-compile-lambda if it's actually a lambda.

	* emacs-lisp/eieio.el (eieio-defgeneric-form-primary-only-one):
	Fix function quoting.  Use backquote better.

2011-05-22  Yuanle Song  <sylecn@gmail.com>

	* nxml/rng-xsd.el (rng-xsd-check-pattern): Use case-sensitive
	matching (Bug#8516).

2011-01-22  Jari Aalto  <jari.aalto@cante.net>

	* vc/vc-dir.el (vc-default-dir-printer): Give edited tag a
	different face (Bug#8178).

2011-05-22  Chong Yidong  <cyd@stupidchicken.com>

	* vc/diff-mode.el (diff-changed): Don't use terminal specs for
	defface (Bug#8144).

2011-05-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/macroexp.el (macroexpand-all-1): Convert ' to #' for
	funcall as well (bug#8712).  Warn when performing those conversions.
	* emacs-lisp/bytecomp.el (byte-compile-form): Fix error report.

	* progmodes/grep.el (grep-mode): Fix it for good (bug#8684)!

2011-05-22  Glenn Morris  <rgm@gnu.org>

	* files.el (hack-local-variables-prop-line): Small simplifications.
	(hack-local-variables, hack-local-variables-prop-line):
	If MODE-ONLY, return the mode, rather than just `t'.

2011-05-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/grep.el (grep-mode): Fix last change (bug#8684).

2011-05-21  Glenn Morris  <rgm@gnu.org>

	* files.el (hack-local-variables-prop-line, hack-local-variables):
	If only interested in the mode, don't bother doing the other stuff.

	* image-mode.el (image-after-revert-hook):
	Redraw all frames on which the image is visible.  (Bug#8567)

	* dired-aux.el (dired-touch-initial): Just use current-time.  (Bug#6887)

	* wid-edit.el (widget-checklist-match-inline):
	Fix 2011-04-19 change.  (Bug#8649)

2011-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/checkdoc.el (checkdoc-sentencespace-region-engine):
	Also allow singlespace after single-letter capitals followed by a dot.

	* nxml/nxml-mode.el (nxml-electric-slash): Reindent when completion is
	enabled.  Suggested by James Ahlborn <jahlborn@gmail.com> (bug#8704).

2011-05-20  Nix  <nix@esperi.org.uk>

	* files.el (basic-save-buffer-2):
	Fix handling of break-hardlink-on-save with non-existent files.

2011-05-19  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc-mode): Initialize rcirc-urls to nil.
	(rcirc-markup-urls): Check if rcirc-url-regexp is nil.

2011-05-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-type-def-re):
	Handle "type, bind(c)".  (Bug#8691)

	* emacs-lisp/autoload.el (batch-update-autoloads):
	Set autoload-excludes by parsing loadup.el rather than Makefiles.

2011-05-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-actions): Set "first-password-request"
	property for the correct connection in case of multihops.

2011-05-18  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries): Remove fakemail.c.
	* mail/sendmail.el (sendmail-program): Fall back to just "sendmail".

	Rationalize calendar handling of day and month abbrev-arrays.
	* calendar/calendar.el (calendar-customized-p): New function.
	(calendar-abbrev-construct, calendar-make-alist): Change what it does.
	(calendar-day-name-array, calendar-month-name-array): Doc fix.
	Add :set function.
	(calendar-abbrev-length, calendar-day-abbrev-array)
	(calendar-month-abbrev-array): Make defcustoms, with appropriate :set.
	(calendar-day-abbrev-array, calendar-month-abbrev-array):
	Elements may no longer be nil.
	(calendar-day-name, calendar-month-name):
	Update for changed nature of abbrev arrays.
	* calendar/diary-lib.el (diary-name-pattern):
	Update for changed nature of abbrev arrays.
	(diary-mark-entries-1): Update calendar-make-alist calls.
	(diary-font-lock-date-forms): Doc fix for changed abbrev arrays.
	* calendar/cal-html.el (cal-html-day-abbrev-array):
	Simply inherit from calendar-day-abbrev-array.

2011-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/grep.el (grep-mode): Disable default
	compilation-directory-matcher setting (bug#8684).

2011-05-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents): Use "dd"
	instead of "head" and "tail".  There were problems with SunOS 5.9,
	and it performs better.

2011-05-17  Glenn Morris  <rgm@gnu.org>

	* mail/mail-utils.el (mail-dont-reply-to): Silence compiler.

	* progmodes/idlw-shell.el (idlwave-shell-complete-filename):
	Replace obsolete function.

	* shell.el (pcomplete-parse-arguments-function): Declare.

	* calendar/appt.el (appt-message-warning-time, appt-display-mode-line)
	(appt-display-diary, appt-display-interval, appt-prev-comp-time)
	(appt-check): Doc fixes.
	(appt-disp-window-function, appt-delete-window-function):
	Remove needless special case in custom :type.
	(appt-display-count): Default to 0, not nil.
	(appt-check): Reset appt-display-count to 0, not nil.

2011-05-17  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/python.el (python-font-lock-keywords):
	Add the Python 3.X keyword "nonlocal" (bug#8639).

2011-05-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/eieio.el (defmethod): Fix quoting of code (bug#8677).

2011-05-16  Kevin Ryde  <user42@zip.com.au>

	* info-look.el (makefile-automake-mode): New setups, looking in
	automake manual, then makefile-mode.
	(makefile-mode): Remove automake manual, have it just in
	makefile-automake-mode since there's various things different or
	not relevant to plain make.
	(makefile-mode): Remove "other-modes" non-existent automake-mode,
	believe a hypothetical automake-mode would go to makefile-mode,
	not the other way around.

2011-05-15  Chong Yidong  <cyd@stupidchicken.com>

	* vc/diff-mode.el (diff-fixup-modifs): Locate correct position for
	hunk-end tags (Bug#8672).

	* vc/vc-annotate.el (vc-annotate-mode-map): Bind = to
	vc-annotate-show-diff-revision-at-line (Bug#8671).

2011-05-14  Glenn Morris  <rgm@gnu.org>

	* vc/add-log.el (add-change-log-entry): Don't start adding a new entry
	in the middle of an existing one with multiple authors.  (Bug#8645)
	(change-log-font-lock-keywords): Also handle multiple author lines
	with leading tabs.  (Bug#8644)

	* calendar/appt.el (appt-check): Rename some local variables.
	Some simplification/reordering.

	* mail/feedmail.el (feedmail-confirm-outgoing-timeout)
	(feedmail-sendmail-f-doesnt-sell-me-out)
	(feedmail-queue-slug-suspect-regexp, feedmail-debug)
	(feedmail-debug-sit-for, feedmail-queue-express-hook)
	(feedmail-queue-runner-message-sender): Set :version.
	(bbdb-search, bbdb-records, smtp-via-smtp, smtp-server)
	(bbdb-dwim-net-address, vm-mail): Declare.
	(feedmail-binmail-gnulinuxish-template):
	Rename from feedmail-binmail-linuxish-template.
	(feedmail-buffer-to-smtp, feedmail-vm-mail-mode):
	Use insert-buffer-substring.

2011-05-14  Bill Carpenter  <bill@carpenter.org>

	* mail/feedmail.el (feedmail-patch-level): Increase.
	(feedmail-debug): New custom group.
	(feedmail-confirm-outgoing-timeout)
	(feedmail-sendmail-f-doesnt-sell-me-out)
	(feedmail-queue-slug-suspect-regexp, feedmail-debug)
	(feedmail-debug-sit-for, feedmail-queue-express-hook): New options.
	(feedmail-sender-line, feedmail-from-line)
	(feedmail-fiddle-headers-upwardly, feedmail-enable-spray)
	(feedmail-spray-this-address)
	(feedmail-spray-address-fiddle-plex-list)
	(feedmail-queue-use-send-time-for-date)
	(feedmail-queue-use-send-time-for-message-id)
	(feedmail-last-chance-hook, feedmail-queue-runner-mode-setter)
	(feedmail-buffer-eating-function):
	Doc fixes.
	(feedmail-spray-via-bbdb, feedmail-buffer-to-smtp)
	(feedmail-vm-mail-mode, feedmail-message-action-scroll-up)
	(feedmail-message-action-scroll-down): New functions.
	(feedmail-queue-directory, feedmail-queue-draft-directory):
	Use expand-file-name.
	(feedmail-prompt-before-queue-standard-alist): Add scroll entries.
	Remove C-v help entry.
	(feedmail-queue-buffer-file-name): New variable.
	(feedmail-mail-send-hook-splitter, feedmail-buffer-to-binmail)
	(feedmail-buffer-to-smtpmail, feedmail-queue-express-to-draft)
	(feedmail-message-action-send-strong, feedmail-message-action-edit)
	(feedmail-message-action-draft, feedmail-message-action-draft-strong)
	(feedmail-message-action-queue, feedmail-message-action-queue-strong)
	(feedmail-message-action-toggle-spray)
	(feedmail-run-the-queue-no-prompts)
	(feedmail-run-the-queue-global-prompt, feedmail-queue-reminder)
	(feedmail-look-at-queue-directory, feedmail-queue-subject-slug-maker)
	(feedmail-create-queue-filename, feedmail-rfc822-time-zone):
	(feedmail-fiddle-header, feedmail-give-it-to-buffer-eater)
	(feedmail-envelope-deducer, feedmail-fiddle-from)
	(feedmail-fiddle-sender, feedmail-default-date-generator)
	(feedmail-fiddle-date, feedmail-fiddle-message-id)
	(feedmail-fiddle-spray-address)
	(feedmail-fiddle-list-of-spray-fiddle-plexes)
	(feedmail-fiddle-list-of-fiddle-plexes)
	(feedmail-fill-to-cc-function, feedmail-fill-this-one)
	(feedmail-one-last-look, feedmail-fqm-p): Add debug calls.
	(feedmail-queue-runner-message-sender, feedmail-binmail-template):
	Change default.  Doc fix.
	(feedmail-queue-runner-cleaner-upper): Use feedmail-say-chatter.
	(feedmail-binmail-linuxish-template): New constant.
	(feedmail-buffer-to-sendmail): Doc fix.  Add debug call.
	Respect feedmail-sendmail-f-doesnt-sell-me-out.
	(feedmail-send-it): Add debug call.
	Use feedmail-queue-buffer-file-name, and
	feedmail-send-it-immediately-wrapper.
	(feedmail-message-action-send): Add debug call.
	Use feedmail-send-it-immediately-wrapper.
	(feedmail-queue-express-to-queue): Add debug call.
	Run feedmail-queue-express-hook.
	(feedmail-message-action-help): Add debug call.  Use feedmail-p-h-b-n.
	(feedmail-message-action-help-blat):
	Rename from feedmail-queue-send-edit-prompt-help-first.
	(feedmail-run-the-queue): Add debug call.  Set buffer-file-type.
	Check line-endings.  Handle errors better.
	(feedmail-queue-reminder-brief, feedmail-queue-reminder-medium):
	Doc fix.  Add debug call.
	(feedmail-queue-send-edit-prompt): Doc fix.  Add debug call.
	Use feedmail-queue-send-edit-prompt-inner.
	(feedmail-queue-runner-prompt, feedmail-scroll-buffer): New functions.
	(feedmail-queue-send-edit-prompt-inner): New function, extracted
	from feedmail-queue-send-edit-prompt.
	(feedmail-queue-send-edit-prompt-help)
	(feedmail-queue-send-edit-prompt-help-later): Remove functions.
	(feedmail-tidy-up-slug): Add debug call.
	Respect feedmail-queue-slug-suspect-regexp.
	(feedmail-queue-subject-slug-maker): Use buffer-substring-no-properties.
	(feedmail-dump-message-to-queue): Add debug call.
	Expand queue-directory.
	(feedmail-dump-message-to-queue): Change message slightly.
	Use feedmail-say-chatter.
	(feedmail-rfc822-date): Add debug call.  Bind system-time-locale.
	(feedmail-send-it-immediately-wrapper): New function.
	(feedmail-send-it-immediately): Add debug calls.  Use let not let*.
	Insert empty string rather than newline.  Handle full-frame case.
	Use catch/throw.  Use feedmail-say-chatter.
	(feedmail-fiddle-from): Try mail-host-address.
	(feedmail-default-message-id-generator): Doc fix.
	Bind system-time-locale.  Handle missing end.
	(feedmail-fiddle-x-mailer): Add debug call.
	Handle feedmail-x-mailer-line being nil.
	(feedmail-accume-n-nuke-header, feedmail-deduce-address-list):
	Add debug call.  Use buffer-substring-no-properties.
	(feedmail-say-debug, feedmail-say-chatter): New functions.
	(feedmail-find-eoh): Give an explicit error.

2011-05-13  Ulf Jasper  <ulf.jasper@web.de>

	* net/newst-treeview.el (newsticker-treeview-face): Change default
	family from helvetica to sans.
	(newsticker-treeview-tool-bar-map): Move tool-bar icons to
	etc/images/newsticker.

	* net/newst-reader.el (newsticker-feed-face): Change default
	family from helvetica to sans.

	* net/newst-plainview.el (newsticker-new-item-face)
	(newsticker-old-item-face, newsticker-immortal-item-face)
	(newsticker-obsolete-item-face, newsticker-date-face)
	(newsticker-statistics-face): Change default family from
	helvetica to sans.
	(newsticker--plainview-tool-bar-map): Move tool-bar icons to
	etc/images/newsticker.

	* net/newst-backend.el (newsticker--do-run-auto-mark-filter),
	(newsticker--process-auto-mark-filter-match): : Tell user about
	auto-marking.

2011-05-13  Didier Verna  <didier@xemacs.org>

	Common Lisp indentation improvements on defmethod and lambda-lists.
	* cl-indent.el: Advertise the changes and remove obsolete TODO entries.
	(lisp-lambda-list-keyword-parameter-indentation)
	(lisp-lambda-list-keyword-parameter-alignment)
	(lisp-lambda-list-keyword-alignment): New customizable user options.
	(lisp-indent-defun-method): Improve docstring.
	(extended-loop-p): Fix comment.
	(lisp-indent-lambda-list-keywords-regexp): New variable.
	(lisp-indent-lambda-list): New function.
	(lisp-indent-259): Use it.
	(lisp-indent-defmethod): Support for more than one
	method qualifier and properly indent methods lambda-lists.
	(defgeneric): Provide a missing common-lisp-indent-function property.

2011-05-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* thingatpt.el (bounds-of-thing-at-point): Return nil rather than
	bounds for the empty string (bug#8667).

2011-05-13  Glenn Morris  <rgm@gnu.org>

	* mail/feedmail.el (feedmail-buffer-to-sendmail): Require sendmail.

	* mail/sendmail.el (sendmail-program): Try executable-find first.
	(sendmail-send-it): `sendmail-program' cannot be unbound.

	* calendar/appt.el (appt-make-list): Simplify.
	(appt-time-msg-list): Doc fix.
	(appt-check): Change mode-line message at the time of the appointment.

2011-05-12  Andreas Schwab  <schwab@linux-m68k.org>

	* progmodes/ld-script.el (ld-script-keywords)
	(ld-script-builtins): Update keywords list.

2011-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/grep.el (grep-filter): Don't trip on partial lines.

	* shell.el (shell-completion-vars): New function.
	(shell-mode):
	* simple.el (read-shell-command): Use it.
	(blink-matching-open): No need for " [...]" in minibuffer-message.

2011-05-12  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-now-displayed): Remove pointless variable.
	(appt-check): Simplify.

2011-05-12  Eli Zaretskii  <eliz@gnu.org>

	* smerge-mode.el (smerge-resolve): Use null-device rather than a
	literal "/dev/null".

2011-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-complete-symbol, lisp-completion-at-point):
	Fix typo.

2011-05-12  Ralph Schleicher  <rs@ralph-schleicher.de>

	* progmodes/which-func.el (which-function):
	Use add-log-current-defun instead of add-log-current-defun-function,
	which might not be defined (Bug#8260).

2011-05-12  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defmumble):
	Let byte-compile-initial-macro-environment always take precedence.

2011-05-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/rcirc.el: Add support for SSL/TLS connections.
	(rcirc-server-alist): New field `encryption'.
	(rcirc): Check `encryption' settings.
	(rcirc-connect): New arg `encryption'.  Use open-network-stream.
	Merge make-local-variable into `set'.
	(rcirc--connection-open-p): New function.
	(rcirc-send-string, rcirc-clean-up-buffer): Use it to handle case where
	the process is not a network process (e.g. running gnutls-cli).
	(set-rcirc-decode-coding-system, set-rcirc-encode-coding-system):
	Make rcirc-(en|de)code-coding-system local here.
	(rcirc-mode): Merge make-local-variable into `set'.
	(rcirc-parent-buffer): Make permanent buffer-local.
	(rcirc-multiline-minor-mode): Don't do it here.
	(rcirc-switch-to-server-buffer): Don't switch to a random buffer if
	there's no server buffer.

2011-05-11  Glenn Morris  <rgm@gnu.org>

	* newcomment.el (comment-kill): Prefix "unused" local.

	* term/w32console.el (get-screen-color): Declare.

	* emacs-lisp/bytecomp.el (byte-compile-arglist-warn):
	Handle symbol elements of byte-compile-initial-macro-environment.

2011-05-10  Leo Liu  <sdl.web@gmail.com>

	* bookmark.el (bookmark-bmenu-mode-map):
	Bind bookmark-bmenu-search to `/'.

	* mail/footnote.el: Convert to utf-8 encoding.
	(footnote-unicode-string, footnote-unicode-regexp): New variable.
	(Footnote-unicode): New function.
	(footnote-style-alist): Add unicode style to the list.
	(footnote-style): Doc fix.

2011-05-10  Jim Meyering  <meyering@redhat.com>

	Fix doubled-word typos.
	* international/quail.el (quail-insert-kbd-layout): and and -> and
	* kermit.el: and and -> and
	* net/ldap.el (ldap-search-internal): to to -> to
	* progmodes/vhdl-mode.el (vhdl-offsets-alist): Likewise.
	* progmodes/js.el (js-mode): and and -> and
	* textmodes/artist.el (artist-move-to-xy): at at -> at
	(artist-draw-region-trim-line-endings): if if -> if
	And Safetyc -> Safety.
	* textmodes/reftex-dcr.el (reftex-view-crossref): at at -> at a

2011-05-10  Glenn Morris  <rgm@gnu.org>
            Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (hack-one-local-variable-eval-safep):
	Consider "eval: (foo-mode)" to be safe.  (Bug#8613)

2011-05-10  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries-hook)
	(diary-mark-entries-hook, diary-nongregorian-listing-hook)
	(diary-nongregorian-marking-hook, diary-list-entries)
	(diary-include-other-diary-files, diary-mark-entries)
	(diary-mark-included-diary-files): Doc fixes.

2011-05-09  Juanma Barranquero  <lekktu@gmail.com>

	* misc.el: Require tabulated-list.el during compilation.

2011-05-09  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-start):
	Run compilation-filter-hook for the async case too.
	(compilation-filter-hook): Doc fix.

2011-05-09  Deniz Dogan  <deniz@dogan.se>

	* wdired.el: Remove outdated installation comment.  Fix usage
	comment.

2011-05-09  Juanma Barranquero  <lekktu@gmail.com>

	* misc.el: Implement new command `list-dynamic-libraries'.
	(list-dynamic-libraries--loaded-only-p): New variable.
	(list-dynamic-libraries--refresh): New function.
	(list-dynamic-libraries): New command.

2011-05-09  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Fix the ant regexp to handle end-line and end-column info from jikes.
	Re-introduce maven regexp.  Give the ruby-Test::Unit regexp a
	higher priority to avoid clobbering by gnu.

2011-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* cus-face.el (custom-declare-face): Call custom-theme-recalc-face
	if the face has existing theme settings (Bug#8454).

2011-05-08  Ralph Schleicher  <rs@ralph-schleicher.de>

	* progmodes/perl-mode.el (perl-imenu-generic-expression):
	Only match variables declared via `my' or `our' (Bug#8261).

	* net/browse-url.el (browse-url-of-dired-file): Allow browsing of
	special file names `.' and `..' (Bug#8259).

2011-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/grep.el (grep-mode-font-lock-keywords):
	Remove buffer-changing entries.
	(grep-filter): New function.
	(grep-mode): Add it to compilation-filter-hook.

	* progmodes/compile.el (compilation-filter-hook)
	(compilation-filter-start): New defvars.
	(compilation-filter): Call compilation-filter-hook prior to
	updating the process mark.

2011-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/eieio.el (defmethod): Fix typo in last change.

2011-05-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/sendmail.el (send-mail-function): On MS-Windows, default to
	mailclient-send-it even if window-system is nil.  (Bug#8595)

	* term/w32console.el (terminal-init-w32console):
	Call get-screen-color and use its output to set the frame
	background-mode.  (Bug#8597)

2011-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	Make bytecomp.el understand that defmethod defines funs (bug#8631).
	* emacs-lisp/eieio.el (eieio--defalias, eieio--defgeneric-init-form):
	New functions.
	(defgeneric, eieio--defmethod): Use them.
	(eieio-defgeneric): Remove.
	(defmethod): Call defgeneric in a way visible to the byte-compiler.

2011-05-07  Glenn Morris  <rgm@gnu.org>

	* calendar/timeclock.el (timeclock-log-data): Remove unused local.
	Use let rather than let*.
	(timeclock-find-discrep): Remove unused local.

	* calendar/diary-lib.el (diary-comment-start): Doc fix.

	* calendar/appt.el (appt-time-msg-list): Doc fix.

2011-05-06  Noah Friedman  <friedman@splode.com>

	* apropos.el (apropos-print-doc): Only use
	emacs-lisp-docstring-fill-column when it is bound to an integer,
	per that variable's documentation.

2011-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* lpr.el (print-region-1): Echo lpr-program's output, so error messages
	and warnings are not silently discarded (e.g. use -d instead of -P).

2011-05-06  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-message-warning-time): Doc fix.
	(appt-warning-time-regexp): New option.
	(appt-make-list): Respect appt-message-warning-time.

	* calendar/diary-lib.el (diary-comment-start, diary-comment-end):
	New options.
	(diary-add-to-list): Strip comments from the displayed string.
	(diary-mode): Set comment-start and comment-end.

	* vc/diff-mode.el (smerge-refine-subst): Declare.
	(diff-refine-hunk): Don't require smerge-mode when compiling.

2011-05-06  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (list-processes): Return nil as the docstring says.

2011-05-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/ange-ftp.el (ange-ftp-binary-file-name-regexp): Set default
	to "".
	(ange-ftp-write-region, ange-ftp-insert-file-contents)
	(ange-ftp-copy-file-internal): Use only `ange-ftp-binary-file' for
	determining of binary transfer.  (Bug#7383)

2011-05-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Fix port computation bug.  (Bug#8618)

2011-05-05  Glenn Morris  <rgm@gnu.org>

	* allout-widgets.el (allout-widgets-mode-inhibit): Declare before use.

	* simple.el (shell-dynamic-complete-functions)
	(comint-dynamic-complete-functions): Declare.

	* net/network-stream.el (gnutls-negotiate):
	* simple.el (tabulated-list-print): Fix declarations.

	* progmodes/gud.el (syntax-symbol, syntax-point):
	Remove unnecessary and incorrect declarations.

	* emacs-lisp/check-declare.el (check-declare-scan):
	Handle byte-compile-initial-macro-environment in bytecomp.el

2011-05-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	Fix earlier half-done eieio-defmethod change (bug#8338).
	* emacs-lisp/eieio.el (eieio--defmethod): Rename from eieio-defmethod.
	Streamline and change calling convention.
	(defmethod): Adjust accordingly and simplify.
	(eieio-defclass): Fix broken calls to eieio-defmethod and redirect to
	new eieio--defmethod.
	(slot-boundp): Minor CSE simplification.

2011-05-05  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/glasses.el (glasses-separate-capital-groups): New option.
	(glasses-make-readable): Use glasses-separate-capital-groups.

2011-05-05  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/warnings.el (warning-level-aliases): Reflow docstring.
	(warning-series): Doc fix.
	(display-warning): Don't try to create the buffer if we just found it.

2011-05-04  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/autoload.el (generated-autoload-file): Set to nil.
	(autoload-find-generated-file): New function.
	(generate-file-autoloads): Bind generated-autoload-file to
	buffer-file-name.
	(update-file-autoloads, update-directory-autoloads):
	Use autoload-find-generated-file.  If called interactively, prompt for
	output file (Bug#7989).
	(batch-update-autoloads): Doc fix.

2011-05-04  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (dynamic-library-alist): Add `gnutls'.

2011-05-04  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-fancy-date-pattern): Turn it into a
	function, so it follows changes in calendar-date-style.
	(diary-fancy-date-matcher): New function.
	(diary-fancy-font-lock-keywords): Use diary-fancy-date-matcher.
	(diary-fancy-font-lock-fontify-region-function):
	Use diary-fancy-date-pattern as a function.

	* calendar/diary-lib.el (diary-fancy-date-pattern): Do not use
	non-numbers for `year' etc pseudo-variables.  (Bug#8583)

2011-05-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/gnutls.el (gnutls-negotiate): Use CL-style keyword arguments
	instead of positional arguments.  Allow :keylist and :crlfiles
	arguments.
	(open-gnutls-stream): Call it.

	* net/network-stream.el (network-stream-open-starttls): Adjust to
	call `gnutls-negotiate' with :process and :hostname arguments.

2011-05-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--message): New function.
	(completion--do-completion, minibuffer-complete)
	(minibuffer-force-complete, minibuffer-complete-word): Use it.
	(completion--do-completion): Don't ignore completion-auto-help when in
	icomplete-mode.

	* whitespace.el (whitespace-trailing-regexp): Don't rely on the
	internal encoding (e.g. tibetan zero is not whitespace).
	(global-whitespace-mode): Prefer save-current-buffer.
	(whitespace-trailing-regexp): Remove useless save-match-data.
	(whitespace-empty-at-bob-regexp): Minor simplification.

2011-05-03  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/autoload.el (generated-autoload-file): Doc fix (Bug#7989).

2011-05-03  Agustín Martín Domingo  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-add-per-file-word-list):
	Use `concat' to create string for insertion.

2011-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el (bibtex-fill-field-bounds, bibtex-fill-entry):
	Avoid open-line which runs post-self-insert-hook.
	(bibtex-fill-entry): Remove unused `end' var.

2011-05-03  Dirk Ullrich  <dirk.ullrich@googlemail.com>  (tiny change)

	* textmodes/ispell.el (ispell-add-per-file-word-list):
	Protect against `nil' value of `comment-start' (Bug#8579).

2011-05-03  Leo Liu  <sdl.web@gmail.com>

	* isearch.el (isearch-yank-pop): New command.
	(isearch-mode-map): Bind it to `M-y'.
	(isearch-forward): Mention it.

2011-05-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (minibuffer-complete-shell-command): Remove.
	(minibuffer-local-shell-command-map): Use completion-at-point.
	(read-shell-command): Setup completion vars here instead.
	(read-expression-map): Bind TAB to symbol completion.

	* textmodes/ispell.el (lookup-words): Use with-temp-buffer; signal
	error directly rather via storing it into `results'.

2011-05-02  Leo Liu  <sdl.web@gmail.com>

	* vc/diff.el: Fix description.

2011-05-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* server.el (server-eval-at): New function.

2011-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (open-network-stream): Take a :nowait
	parameter and pass it on to `make-network-process'.
	(network-stream-open-plain): Ditto.

2011-04-30  Andreas Schwab  <schwab@linux-m68k.org>

	* faces.el (face-spec-set-match-display): Don't match toolkit
	options on terminal frames.

2011-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/pascal.el: Use lexical binding.
	(pascal-mode-map): Remove author preferences.

	* pcomplete.el (pcomplete-std-complete): Don't abuse
	completion-at-point.

2011-04-28  Juanma Barranquero  <lekktu@gmail.com>

	* calc/calccomp.el (math-comp-to-string-flat-term): Simplify by
	removing code that has been dead since 1991 or so.

	* startup.el (command-line): When warning about "_emacs", use a
	delayed warning to allow the user to filter it out.

2011-04-28  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el (rcirc-handler-353): Fix bug for channels which the
	user has not joined.

2011-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcomplete.el (pcomplete-completions-at-point): Return nil if there
	aren't any completions at point.

2011-04-28  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (display-delayed-warnings): New function.
	(delayed-warnings-hook): New variable.

2011-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-at-point, completion-help-at-point):
	Don't presume that a given completion-at-point-function will always
	use the same calling convention.

	* pcomplete.el (pcomplete-completions-at-point):
	Obey pcomplete-ignore-case.  Don't call pcomplete-norm-func unless
	pcomplete-seen is non-nil.
	(pcomplete-comint-setup): Also recognize the new comint/shell
	completion functions.
	(pcomplete-do-complete): Don't call pcomplete-norm-func unless
	pcomplete-seen is non-nil.

2011-04-27  Niels Giesen  <niels.giesen@gmail.com>

	* calendar/icalendar.el (diary-lib): Add require statement.
	(icalendar--create-uid): Read out a uid from a text-property on
	the first character in the entry.  This allows for code to add its
	own uid to the entry.
	(icalendar--convert-float-to-ical): Add export of
	`diary-float'-entries save for those with the optional DAY
	argument.

2011-04-27  Daniel Colascione  <dan.colascione@gmail.com>

	* subr.el (shell-quote-argument): Use alternate escaping strategy
	when we spot a variable reference in a string.

2011-04-26  Daniel Colascione  <dan.colascione@gmail.com>

	* cus-start.el (all): Define customization for debug-on-event.

2011-04-26  Daniel Colascione  <dan.colascione@gmail.com>

	* subr.el (shell-quote-argument): Escape correctly under Windows.

2011-04-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/cua-base.el (cua-selection-mode): Make it toggle again.

2011-04-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-actions): Add POS argument.
	Delete region between POS and (pos).

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Use `nil' position in `tramp-process-actions' call.
	(tramp-maybe-open-connection): Call `tramp-process-actions' with pos.

	* net/tramp-smb.el (tramp-smb-maybe-open-connection): Use `nil'
	position in `tramp-process-actions' call.

	* net/trampver.el: Update release number.

2011-04-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* custom.el (defcustom): Obey lexical-binding.

	Fix octave-inf completion problems reported by Alexander Klimov.
	* progmodes/octave-inf.el (inferior-octave-mode-syntax-table):
	Inherit from octave-mode-syntax-table.
	(inferior-octave-mode): Set info-lookup-mode.
	(inferior-octave-completion-at-point): New function.
	(inferior-octave-complete): Use it and completion-in-region.
	(inferior-octave-dynamic-complete-functions): Use it as well, and use
	comint-filename-completion.
	* progmodes/octave-mod.el (octave-mode-syntax-table): Use _ syntax for
	symbol elements which shouldn't be word elements.
	(octave-font-lock-keywords, octave-beginning-of-defun)
	(octave-function-header-regexp): Adjust regexps accordingly.
	(octave-mode-map): Also use info-lookup-symbol for C-c C-h.

2011-04-25  Juanma Barranquero  <lekktu@gmail.com>

	* net/gnutls.el (gnutls-errorp): Declare before first use.

2011-04-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/gnutls.el (gnutls-negotiate): Add hostname, verify-flags,
	verify-error, and verify-hostname-error parameters.  Check whether
	default trustfile exists before going to use it.  Add missing
	argument to gnutls-message-maybe call.  Return return value.
	Reported by Claudio Bley <claudio.bley@gmail.com>.
	(open-gnutls-stream): Add usage example.

	* net/network-stream.el (network-stream-open-starttls): Give host
	parameter to `gnutls-negotiate'.
	(gnutls-negotiate): Adjust `gnutls-negotiate' declaration.
	* subr.el (shell-quote-argument): Escape correctly under Windows.

2011-04-24  Daniel Colascione  <dan.colascione@gmail.com>

	* progmodes/cc-engine.el (c-forward-decl-or-cast-1):
	Use correct match group (bug#8438).

2011-04-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-built-in-p): Fix typo.
	(package-menu--generate): New arg specifying packages to show.
	(package-menu-refresh, package-menu-execute, list-packages):
	Callers changed.
	(package-show-package-list): New function, replacing deleted
	package--list-packages (renamed because it is non-internal).

	* finder.el (finder-list-matches): Use package-show-package-list
	instead of deleted package--list-packages.

	* vc/vc-annotate.el (vc-annotate-goto-line): New command.
	Based on a previous implementation by Juanma Barranquero (Bug#8366).
	(vc-annotate-mode-map): Bind it to RET.

2011-04-24  Uday S Reddy  <u.s.reddy@cs.bham.ac.uk>  (tiny change)

	* progmodes/etags.el (next-file): Don't use set-buffer to change
	buffers (Bug#8478).

2011-04-24  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (auto-mode-alist): Use js-mode for .json (Bug#8529).

	* apropos.el (apropos-label-face): Avoid variable-pitch face.
	(apropos-accumulator): Doc fix.
	(apropos-function, apropos-macro, apropos-command)
	(apropos-variable, apropos-face, apropos-group, apropos-widget)
	(apropos-plist): Add face property.
	(apropos-symbols-internal): Fix indentation.
	(apropos-print): Simplify help, and recognize apropos-multi-type.
	(apropos-print-doc): Use button-type-get to extract the button's
	face property.  Fill docstring (Bug#8352).

2011-04-23  Juanma Barranquero  <lekktu@gmail.com>

	* buff-menu.el (Buffer-menu--buffers): Fix typo in docstring (bug#8535).

	* play/mpuz.el (mpuz-silent): Doc fix.
	(mpuz-mode-map): Use mapc.
	(mpuz-put-number-on-board): Rename parameter L to COLUMNS.
	(mpuz-letter-to-digit, mpuz-check-all-solved, mpuz-create-buffer):
	Fix typos in docstrings.

	* play/doctor.el (doc$, doctor-$, doctor-read-print, doctor-read-token)
	(doctor-nounp, doctor-pronounp): Fix typos in docstrings.

	* mouse-drag.el (mouse-drag-throw): Fix typo in docstring.

2011-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion--do-completion): Avoid the "Next char
	not unique" prompt if icomplete-mode is enabled (Bug#5849).

	* mouse.el (mouse-drag-mode-line-1): Make sure that if we push
	mouse-2 into unread-command-events, it is interpreted correctly.

	* image-mode.el (image-type, image-mode-map, image-minor-mode-map)
	(image-toggle-display): Doc fix.

2011-04-23  Stephen Berman  <stephen.berman@gmx.net>

	* textmodes/page.el (what-page): Use line-number-at-pos to
	calculate line number (Bug#6825).

2011-04-22  Juanma Barranquero  <lekktu@gmail.com>

	* eshell/esh-mode.el (find-tag-interactive): Declare function.
	(eshell-find-tag): Remove `with-no-warnings', unneeded now.
	Pass argument NO-DEFAULT to `find-tag-interactive'.

2011-04-22  Juanma Barranquero  <lekktu@gmail.com>

	Lexical-binding cleanup.

	* progmodes/ada-mode.el (ada-after-change-function, ada-loose-case-word)
	(ada-no-auto-case, ada-capitalize-word, ada-untab, ada-narrow-to-defun):
	* progmodes/ada-prj.el (ada-prj-initialize-values)
	(ada-prj-display-page, ada-prj-field-modified, ada-prj-display-help)
	(ada-prj-show-value):
	* progmodes/ada-xref.el (ada-find-any-references, ada-gdb-application):
	* progmodes/antlr-mode.el (antlr-with-displaying-help-buffer)
	(antlr-invalidate-context-cache, antlr-options-menu-filter)
	(antlr-language-option-extra, antlr-c++-mode-extra, antlr-run-tool):
	* progmodes/bug-reference.el (bug-reference-push-button):
	* progmodes/fortran.el (fortran-line-length):
	* progmodes/glasses.el (glasses-change):
	* progmodes/octave-mod.el (octave-fill-paragraph):
	* progmodes/python.el (python-mode, python-pdbtrack-track-stack-file)
	(python-pdbtrack-grub-for-buffer, python-sentinel):
	* progmodes/sql.el (sql-save-connection):
	* progmodes/tcl.el (tcl-indent-command, tcl-popup-menu):
	* progmodes/xscheme.el (xscheme-enter-debugger-mode):
	Mark unused parameters.

	* progmodes/compile.el (compilation--flush-directory-cache)
	(compilation--flush-parse, compile-internal): Mark unused parameters.
	(compilation-buffer-name): Rename parameter MODE-NAME to NAME-OF-MODE.
	(compilation-next-error-function): Remove unused variable `timestamp'.

	* progmodes/cpp.el (cpp-parse-close): Remove unused variable `begin'.
	(cpp-signal-read-only, cpp-grow-overlay): Mark unused parameters.

	* progmodes/dcl-mode.el (dcl-end-of-command):
	Remove unused variable `start'.
	(dcl-calc-command-indent-multiple, dcl-calc-cont-indent-relative)
	(dcl-option-value-basic, dcl-option-value-offset)
	(dcl-option-value-margin-offset, dcl-option-value-comment-line):
	Mark unused parameters.
	(dcl-save-local-variable): Remove unused variable `val'.
	(mode): Declare.

	* progmodes/delphi.el (delphi-save-state, delphi-after-change):
	Mark unused parameters.
	(delphi-ignore-changes): Move before first use.
	(delphi-charset-token-at): Remove unused variable `start'.
	(delphi-else-start): Remove unused variable `if-count'.
	(delphi-comment-block-start, delphi-comment-block-end):
	Remove unused variable `kind'.
	(delphi-indent-line): Remove unused variable `new-point'.

	* progmodes/ebrowse.el (ebrowse-files-list)
	(ebrowse-list-of-matching-members, ebrowse-tags-list-members-in-file):
	Mark unused parameters.  Don't quote `lambda'.
	(ebrowse-sort-tree-list, ebrowse-same-tree-member-buffer-list):
	Don't quote `lambda'.
	(ebrowse-revert-tree-buffer-from-file, ebrowse-tags-choose-class)
	(ebrowse-goto-visible-member/all-member-lists): Mark unused parameters.
	(ebrowse-create-tree-buffer): Rename parameter OBARRAY to CLASSES.
	(ebrowse-toggle-mark-at-point): Remove unused variable `pnt'.
	Use `ignore-errors'.
	(ebrowse-frozen-tree-buffer-name, ebrowse-find-source-file)
	(ebrowse-view/find-file-and-search-pattern)
	(ebrowse-view/find-member-declaration/definition):
	Rename parameter TAGS-FILE-NAME to TAGS-FILE.
	(ebrowse-find-class-declaration, ebrowse-view-class-declaration):
	Rename parameter PREFIX-ARG to PREFIX.
	(ebrowse-tags-read-name): Remove unused variables `start' and
	`member-info'.
	(ebrowse-display-member-buffer): Rename variable `tags-file-name'
	to `tags-file'.

	* progmodes/etags.el (local-find-tag-hook): Declare.
	(tag-partial-file-name-match-p, tag-any-match-p, list-tags):
	Mark unused parameters.

	* progmodes/executable.el (compilation-error-regexp-alist): Declare.
	(executable-interpret): Mark unused parameter.

	* progmodes/flymake.el (flymake-process-sentinel)
	(flymake-after-change-function)
	(flymake-create-temp-with-folder-structure)
	(flymake-get-include-dirs-dot): Mark unused parameters.
	(flymake-safe-delete-directory): Remove unused variable `err'.

	* progmodes/gdb-mi.el (speedbar-change-initial-expansion-list)
	(speedbar-timer-fn, speedbar-line-text)
	(speedbar-change-expand-button-char, speedbar-delete-subblock)
	(speedbar-center-buffer-smartly): Declare functions.
	(gdb-find-watch-expression): Remove unused variable `array'.
	(gdb-edit-value, gdb-gdb, gdb-ignored-notification, gdb-thread-created)
	(gdb-starting): Mark unused parameters.
	(gud-gdbmi-marker-filter): Remove unused variable `output-record'.
	(gdb-table-string): Remove unused variable `res'.
	(gdb-place-breakpoints): Remove unused variables `flag' and `bptno'.
	(gdb-disassembly-handler-custom): Remove unused variable `pos'.
	(gdb-display-buffer): Remove unused variable `cur-size'.

	* progmodes/gud.el (gud-def): Use `defalias' instead of `defun' to
	allow lexical-binding compilation.
	(gud-expansion-speedbar-buttons, gud-gdb-goto-stackframe)
	(gud-dbx-massage-args, gud-xdb-massage-args, gud-perldb-massage-args)
	(gud-jdb-massage-args, gud-jdb-find-source, gud-find-class):
	Mark unused parameters.
	(gud-gdb-marker-filter): Remove unused variable `match'.
	(gud-find-class): Bind `syntax-symbol' and `syntax-point' to suitable
	lambda expressions and funcall them, instead of using `fset'.

	* progmodes/hideif.el (hif-parse-if-exp): Rename parameter
	HIF-TOKEN-LIST to TOKEN-LIST and let-bind `hif-token-list'.

	* progmodes/hideshow.el (hs-hide-block-at-point): Remove unused
	variable `header-beg'; use `let'.

	* progmodes/icon.el (indent-icon-exp): Remove unused variables
	`restart', `last-sexp' and `at-do'.

	* progmodes/js.el (js--debug): Mark unused parameter.
	(js--parse-state-at-point): Remove unused variable `bound'; use `let'.
	(js--splice-into-items): Remove unused variable `item'.
	(js--read-symbol, js--read-tab): Pass 1/-1 to `ido-mode', not t/nil.

	* progmodes/make-mode.el (makefile-make-font-lock-keywords):
	Rename parameter FONT-LOCK-KEYWORDS to FL-KEYWORDS.
	(makefile-complete): Remove unused variable `try'.
	(makefile-fill-paragraph, makefile-match-function-end):
	Mark unused parameters.

	* progmodes/octave-inf.el (inferior-octave-complete):
	Remove unused variable `proc'.
	(inferior-octave-output-digest): Mark unused parameter.

	* progmodes/perl-mode.el (perl-calculate-indent):
	Remove unused variable `err'.

	* progmodes/prolog.el (prolog-mode-keybindings-inferior)
	(prolog-indent-line): Mark unused parameters.
	(prolog-indent-line): Remove unused variable `beg'.

	* progmodes/ps-mode.el (reporter-prompt-for-summary-p)
	(reporter-dont-compact-list): Declare.

	* progmodes/sh-script.el (sh-font-lock-quoted-subshell):
	Remove unused variable `char'.
	(sh-debug): Mark unused parameter.
	(sh-get-indent-info): Remove unused variable `start'.
	(sh-calculate-indent): Remove unused variable `var'.

	* progmodes/simula.el (simula-popup-menu): Mark unused parameter.
	(simula-electric-keyword): Remove unused variable `null'.
	(simula-search-backward, simula-search-forward): Remove unused
	variables `begin' and `end'.

	* progmodes/vera-mode.el (vera-guess-basic-syntax):
	Remove unused variable `pos'.
	(vera-electric-tab, vera-comment-uncomment-region):
	Mark unused parameters.
	(vera-electric-tab): Rename parameter PREFIX-ARG to PREFIX.

2011-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package--builtins, package-alist)
	(package-load-descriptor, package-built-in-p, package-activate)
	(define-package, package-installed-p)
	(package-compute-transaction, package-buffer-info)
	(package--push): Doc fix.  Distinguish more clearly between
	version strings and version lists.

2011-04-21  Juanma Barranquero  <lekktu@gmail.com>

	Lexical-binding cleanup.

	* play/5x5.el (5x5-make-random-solution, 5x5-make-mutate-current)
	(5x5-make-mutate-best):
	* play/fortune.el (fortune-in-buffer):
	* play/gomoku.el (gomoku-init-display):
	* play/solitaire.el (solitaire, solitaire-do-check):
	* play/tetris.el (tetris-default-update-speed-function):
	Mark unused parameters.

	* play/bubbles.el (bubbles-mode): Set `show-trailing-whitespace'.
	(bubbles--shift): Remove unused variable `char-org'.
	(bubbles--set-faces): Remove unused variable `fg-col'.  Simplify.
	(bubbles--show-images): Remove unused variable `char'.

	* play/decipher.el (decipher-keypress, decipher-alphabet-keypress)
	(decipher-get-undo, decipher-set-map, decipher-complete-alphabet)
	(decipher-resync, decipher-loop-with-breaks, decipher--analyze)
	(decipher-analyze-buffer): Use ?\s.
	(decipher-make-checkpoint): Remove unused variable `mapping'.

	* play/doctor.el (doctor-doc): Rename parameter DOCTOR-SENT to SENT.

	* play/gamegrid.el (gamegrid-add-score-with-update-game-score):
	Remove unused variable `result'; use `let'.

	* play/gametree.el (gametree-current-layout, gametree-apply-layout):
	Rename parameter TOP-LEVEL to FROM-TOP-LEVEL; use `ignore-errors'.
	(gametree-children-shown-p, gametree-compute-reduced-score):
	Use `ignore-errors'.

	* play/handwrite.el (ps-lpr-switches): Declare.
	(handwrite): Remove unused variables `pmin' and `lastp'.

	* play/hanoi.el (hanoi-move-ring): Remove unused variable `total-steps'.

	* play/landmark.el (landmark-init-display)
	(landmark-update-naught-weights): Mark unused parameters.
	(landmark-y): Remove unused variable `noise'.  Simplify.
	(landmark-human-plays): Remove unused variable `score'.

	* play/mpuz.el (mpuz-try-letter): Remove unused variable `message'.
	(mpuz-try-proposal): Remove unused variable `game'.

	* play/zone.el (life-patterns): Declare.

2011-04-20  Juanma Barranquero  <lekktu@gmail.com>

	* vc/vc.el (ediff-vc-internal): Declare function.

2011-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shell.el: Use lexical-binding and std completion UI.
	(shell-filter-ctrl-a-ctrl-b): Work as a preoutput filter.
	(shell-mode): Put shell-filter-ctrl-a-ctrl-b on
	comint-preoutput-filter-functions rather than on
	comint-output-filter-functions.
	(shell-command-completion, shell--command-completion-data)
	(shell-filename-completion, shell-environment-variable-completion)
	(shell-c-a-p-replace-by-expanded-directory): New functions.
	(shell-dynamic-complete-functions, shell-dynamic-complete-command)
	(shell-dynamic-complete-filename, shell-replace-by-expanded-directory)
	(shell-dynamic-complete-environment-variable): Use them.
	(shell-dynamic-complete-as-environment-variable)
	(shell-dynamic-complete-as-command): Remove.
	(shell-match-partial-variable): Match past point.
	* comint.el: Clean up use of completion-at-point-functions.
	(comint-completion-at-point): New function.
	(comint-mode): Use it completion-at-point-functions.
	(comint-dynamic-complete): Make it obsolete.
	(comint-replace-by-expanded-history-before-point): Add dry-run arg.
	(comint-c-a-p-replace-by-expanded-history): New function.
	(comint-dynamic-complete-functions)
	(comint-replace-by-expanded-history): Use it.
	* minibuffer.el (completion-table-with-terminator): Allow dynamic
	termination strings.  Try harder to avoid second try-completion.
	(completion-in-region-mode-map): Disable bindings that don't work yet.

	* comint.el: Use lexical-binding.  Require CL.
	(comint-dynamic-complete-functions): Use comint-filename-completion.
	(comint-completion-addsuffix): Tweak custom type.
	(comint-filename-completion, comint--common-suffix)
	(comint--common-quoted-suffix, comint--table-subvert)
	(comint--complete-file-name-data): New functions.
	(comint-dynamic-complete-as-filename, comint-dynamic-complete-filename)
	(comint-dynamic-list-filename-completions): Use them.
	(comint-dynamic-simple-complete): Make obsolete.

	* minibuffer.el (completion-in-region-mode):
	Keep completion-in-region-mode--predicate global.
	(completion-in-region--postch):
	Assume completion-in-region-mode--predicate is not null.

	* progmodes/flymake.el (flymake-start-syntax-check-process):
	Obey `dir'.  Simplify.

	* vc/vc.el (vc-version-ediff): Call ediff-vc-internal directly, since
	we're in VC after all.

2011-04-20  Christoph Scholtes  <cschol2112@googlemail.com>

	* vc/vc.el (vc-diff-build-argument-list-internal)
	(vc-version-ediff, vc-ediff): New commands.
	(vc-version-diff): Use vc-diff-build-argument-list-internal.

2011-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-decompile-bytecode-1): Remove dead code,
	add sanity check.

	* obsolete/erc-hecomplete.el: Make obsolete.
	* obsolete/: Standardize obsolescence info in the header.

2011-04-20  Glenn Morris  <rgm@gnu.org>

	* calendar/solar.el (solar-horizontal-coordinates):
	Use the longitude argument rather than `calendar-longitude'.
	(solar-date-next-longitude): Remove unused locals.

2011-04-20  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: New version 13.2.1.

2011-04-20  felix  <EmacsWiki>  (tiny change)

	* whitespace.el (global-whitespace-mode): Keep highlight when
	switching between major modes on a file.

2011-04-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/octave-mod.el (octave-in-comment-p, octave-in-string-p)
	(octave-not-in-string-or-comment-p): Use syntax-ppss so it works with
	multi-line comments as well.

2011-04-19  Juanma Barranquero  <lekktu@gmail.com>

	Lexical-binding cleanup.

	* arc-mode.el (archive-mode-revert):
	* cmuscheme.el (scheme-interactively-start-process):
	* custom.el (custom-initialize-delay):
	* dnd.el (dnd-open-local-file, dnd-open-remote-url):
	* dos-w32.el (direct-print-region-helper, direct-print-region-function):
	* emacs-lock.el (emacs-lock-clear-sentinel):
	* ezimage.el (defezimage):
	* follow.el (follow-avoid-tail-recenter):
	* fringe.el (set-fringe-mode-1):
	* generic-x.el (bat-generic-mode-compile):
	* help-mode.el (help-info-variable, help-do-xref)
	(help-mode-revert-buffer):
	* help.el (view-emacs-todo):
	* iswitchb.el (iswitchb-completion-help):
	* jka-compr.el (jka-compr-make-temp-name, jka-compr-load):
	* kmacro.el (kmacro-cycle-ring-next, kmacro-cycle-ring-previous)
	(kmacro-delete-ring-head, kmacro-bind-to-key, kmacro-view-macro):
	* locate.el (locate-update):
	* longlines.el (longlines-encode-region)
	(longlines-after-change-function):
	* outline.el (outline-isearch-open-invisible):
	* ps-def.el (declare-function, charset-dimension, char-width)
	(encode-char):
	* ps-mule.el (ps-mule-plot-string):
	* recentf.el (recentf-make-menu-items, recentf-cancel-dialog)
	(recentf-edit-list-select, recentf-edit-list-validate)
	(recentf-open-files-action):
	* rect.el (delete-whitespace-rectangle-line)
	(rectangle-number-line-callback):
	* register.el (window-configuration-to-register)
	(frame-configuration-to-register):
	* scroll-bar.el (scroll-bar-mode, toggle-horizontal-scroll-bar):
	* select.el (xselect-convert-to-string, xselect-convert-to-length)
	(xselect-convert-to-targets, xselect-convert-to-delete)
	(xselect-convert-to-filename, xselect-convert-to-charpos)
	(xselect-convert-to-lineno, xselect-convert-to-colno)
	(xselect-convert-to-os, xselect-convert-to-host)
	(xselect-convert-to-user, xselect-convert-to-class)
	(xselect-convert-to-name, xselect-convert-to-integer)
	(xselect-convert-to-atom, xselect-convert-to-identity):
	* subr.el (declare, ignore, process-kill-without-query)
	(text-clone-maintain):
	* terminal.el (te-get-char, te-tic-sentinel):
	* tool-bar.el (tool-bar-make-keymap):
	* tooltip.el (tooltip-timeout, tooltip-hide, tooltip-help-tips):
	* type-break.el (type-break-mode, type-break-noninteractive-query):
	* view.el (View-back-to-mark):
	* wid-browse.el (widget-browse-action, widget-browse-widget)
	(widget-browse-widgets, widget-browse-sexp):
	* widget.el (define-widget-keywords):
	* xt-mouse.el (xterm-mouse-translate, turn-off-xterm-mouse-tracking):
	Mark unused parameters.

	* align.el (align-adjust-col-for-rule): Mark unused parameter.
	(align-areas): Remove unused variable `look'.
	(align-region): Remove unused variables `real-end' and `pos-list'.

	* apropos.el (apropos-score-doc): Remove unused variable `i'.

	* bindings.el (mode-line-modified, mode-line-remote):
	Mark unused parameters.
	(mode-line-mule-info): Mark unused parameter; don't quote `lambda'.

	* buff-menu.el (Buffer-menu-revert-function): Mark unused parameters.
	(Buffer-menu-mode): Mark unused parameter; don't quote `lambda'.

	* comint.el (comint-history-isearch-pop-state)
	(comint-postoutput-scroll-to-bottom, comint-truncate-buffer)
	(comint-strip-ctrl-m, comint-read-noecho): Mark unused parameters.
	(comint-substitute-in-file-name): Doc fix.

	* completion.el (cmpl-statistics-block): Mark unused parameter.
	(add-completions-from-tags-table, add-completions-from-lisp-buffer)
	(save-completions-to-file, load-completions-from-file):
	Remove unused local variable `e'.

	* composite.el (compose-chars): Remove unused variable `len'.
	(lgstring-insert-glyph): Remove unused variable `g'.
	(compose-glyph-string): Remove unused variables `ascent',
	`descent', `lbearing' and `rbearing'.
	(compose-glyph-string-relative): Remove unused variables
	`lbearing', `rbearing' and `wadjust'.
	(compose-gstring-for-graphic): Remove unused variables `header',
	`wadjust', `xoff' and `yoff'.  Use `let', not `let*'.
	(compose-gstring-for-terminal): Remove unused variables `header'
	and `nchars'.  Use `let', not `let*'.

	* cus-edit.el (Custom-set, Custom-save, custom-reset)
	(Custom-reset-current, Custom-reset-saved, Custom-reset-standard)
	(Custom-buffer-done, custom-buffer-create-internal)
	(custom-browse-visibility-action, custom-browse-group-tag-action)
	(custom-browse-variable-tag-action, custom-browse-face-tag-action)
	(widget-magic-mouse-down-action, custom-toggle-parent)
	(custom-add-parent-links, custom-toggle-hide-variable)
	(custom-face-edit-value-visibility-action, custom-face-edit-fix-value)
	(custom-toggle-hide-face, face, hook, custom-group-link-action)
	(custom-face-menu-create, custom-variable-menu-create, get)
	(custom-group-menu-create, Custom-no-edit): Mark unused parameters.
	(custom-reset-standard-save-and-update): Remove unused variable `value'.
	(customize-apropos): Remove unused variable `tests'.
	(custom-group-value-create): Remove unused variable `hidden-p'.
	(sort-fold-case): Declare.

	* cus-theme.el (custom-reset-standard-faces-list)
	(custom-reset-standard-variables-list): Declare.
	(customize-create-theme, custom-theme-revert, custom-theme-write)
	(custom-theme-choose-mode, customize-themes, custom-theme-save):
	Mark unused parameters.

	* dabbrev.el (dabbrev-completion): Remove unused variable `init'.

	* delim-col.el (delimit-columns-max): Move defvar before first use.

	* descr-text.el (describe-char-categories): Don't quote `lambda'.
	(describe-char): Don't quote `lambda'.  Mark unused parameter.

	* desktop.el (desktop-save-buffer-p): Mark unused parameter.
	(auto-insert): Declare.
	(desktop-restore-file-buffer): Rename desktop-* parameters;
	mark unused ones.
	(desktop-create-buffer): Rename desktop-* parameters and bind them.
	(desktop-buffer): Rename desktop-* parameters.

	* dframe.el (x-sensitive-text-pointer-shape, x-pointer-shape): Declare.
	(dframe-reposition-frame-xemacs, dframe-help-echo)
	(dframe-hack-buffer-menu, dframe-set-timer, dframe-set-timer-internal):
	Mark unused parameters.

	* dired-aux.el (backup-extract-version-start, overwrite-query)
	(overwrite-backup-query, rename-regexp-query)
	(rename-non-directory-query): Declare.
	(dired-shell-stuff-it, dired-do-create-files): Mark unused parameters.
	(dired-add-entry): Remove unused variable `orig-file-name'.
	(dired-copy-file-recursive): Remove unused variable `dirfailed'.
	Use parameter PRESERVE-TIME instead of accessing dynamic variable
	`dired-copy-preserve-time' directly.
	(dired-do-create-files-regexp): Remove unused variable `fn-count'.
	(dired-insert-subdir-newpos): Rename unused variable `pos'.

	* dired-x.el (dired-omit-size-limit): Move defcustom before first use.
	(dired-virtual-revert, dired-make-relative-symlink):
	Mark unused parameters.
	(manual-program): Declare.
	(dired-x-hands-off-my-keys): Rename parameters of lambda expression.
	(inode, s, mode, nlink, uid, gid, size, time, name, sym): Declare them,
	wrapped in `with-no-warnings' to avoid replacing one warning by another.

	* dirtrack.el (dirtrack): Remove unused variable `multi-line'.

	* dos-fns.el (dos-8+3-filename): Remove unused variable `i'.

	* echistory.el (electric-history-in-progress, Helper-return-blurb):
	Declare.

	* edmacro.el (edmacro-finish-edit): Remove unused variable `kmacro'.

	* electric.el (Electric-command-loop): Rename parameter
	INHIBIT-QUIT to INHIBIT-QUITTING and bind `inhibit-quit'.

	* expand.el (expand-in-literal): Remove unused variable `here'.

	* facemenu.el (facemenu-add-new-color):
	Remove unused variable `docstring'.

	* faces.el (face-id, make-face-bold, make-face-unbold, make-face-italic)
	(make-face-unitalic, make-face-bold-italic): Mark unused parameters.
	(face-attr-construct): Mark unused parameter.  Doc fix.
	(read-color): Remove unused variable `hex-string'.

	* files.el (parse-colon-path): Rename argument CD-PATH to SEARCH-PATH.
	(locate-dominating-file): Remove unused vars `prev-file' and `user'.
	(remote-file-name-inhibit-cache, revert-buffer): Clean up docstrings.
	(display-buffer-other-frame): Remove unused variable `old-window'.
	(kill-buffer-hook): Declare.
	(insert-file-contents-literally, set-auto-mode, risky-local-variable-p):
	Mark unused parameters.
	(after-find-file): Pass 1 to `auto-save-mode', not t.

	* files-x.el (auto-insert): Declare.
	(modify-file-local-variable-prop-line): Remove unused variable `val'.

	* find-lisp.el (find-lisp-find-dired-internal): Remove unused
	variable `buf'.  Mark unused parameter.
	(find-lisp-insert-directory): Mark unused parameter.

	* format.el (format-decode-run-method): Mark unused parameter; doc fix.
	(format-encode-region): Remove unused variables `cur-buf' and `result'.
	(format-common-tail): Remove, unused.
	(format-deannotate-region): Remove unused variable `loc'.
	(format-annotate-region): Remove unused variable `p'.
	(format-annotate-single-property-change): Remove unused variables
	`default' and `tail'.

	* forms.el (read-file-filter): Declare.
	(forms--iif-hook, forms--revert-buffer): Mark unused parameters.

	* frame.el (frame-creation-function-alist): Mark unused parameter.
	(frame-geom-spec-cons): Pass FRAME to `frame-geom-value-cons'.

	* hilit-chg.el (hilit-chg-cust-fix-changes-face-list, hilit-chg-clear):
	Remove unused parameters.
	(hilit-chg-set-face-on-change): Remove unused variable `beg-decr'.
	(highlight-compare-with-file): Remove unused variable `buf-b-read-only'.

	* htmlfontify.el (hfy-default-footer, hfy-decor, hfy-invisible)
	(hfy-parse-tags-buffer, hfy-prepare-index-i, hfy-prepare-index)
	(hfy-prepare-tag-map): Mark unused parameters.
	(htmlfontify-buffer): Use `called-interactively-p'.

	* ibuf-ext.el (ibuffer-do-kill-lines, ibuffer-jump-to-buffer)
	(ibuffer-copy-filename-as-kill, ibuffer-mark-on-buffer)
	(ibuffer-do-occur): Mark unused parameters.
	(ibuffer-forward-next-marked): Remove unused variable `curmark'.
	(ibuffer-diff-buffer-with-file-1): Remove unused variable `proc'.

	* ibuffer.el: Don't quote `lambda'.
	(ibuffer-count-marked-lines, ibuffer-count-deletion-lines)
	(ibuffer-unmark-all, ibuffer-toggle-marks, ibuffer-redisplay-engine):
	Mark unused parameters.

	* ido.el (ido-mode, ido-wide-find-dir-or-delete-dir)
	(ido-completing-read): Mark unused parameters.
	(ido-copy-current-word): Mark unused parameters;
	remove unused variable `name'.
	(ido-sort-merged-list): Remove unused parameter `dirs'.

	* ielm.el (ielm-input-sender): Mark unused parameter.
	(ielm-string, ielm-form, ielm-pos, ielm-result, ielm-error-type)
	(ielm-output, ielm-wbuf, ielm-pmark): Declare.
	(ielm-eval-input): Rename argument IELM-STRING to INPUT-STRING to keep
	`ielm-string' as a dynamic variable accessible from the IELM prompt.
	Bind `ielm-string' to INPUT-STRING.  Remove unused variable `err'.

	* image-dired.el (image-dired-display-thumbs): Remove unused
	variables `curr-file' and `count'.
	(image-dired-remove-tag): Remove unused variable `start'.
	(image-dired-tag-files, image-dired-create-thumbs): Remove unused
	variable `curr-file'
	(image-dired-rotate-original): Remove unused variable `temp-file'.
	(image-dired-mouse-select-thumbnail, image-dired-mouse-toggle-mark):
	Remove unused variable `file'.
	(image-dired-gallery-generate): Remove unused variable `curr'.
	(image-dired-dired-edit-comment-and-tags): Mark unused parameters.

	* indent.el (tab-to-tab-stop): Remove unused variable `opoint'.

	* info-xref.el (info-xref-goto-node-p): Remove unused variable `err'.

	* informat.el (texinfo-command-start, texinfo-command-end): Declare.

	* isearch.el (minibuffer-history-symbol): Declare.
	(isearch-edit-string): Remove unused variable `err'.
	(isearch-message-prefix, isearch-message-suffix):
	Mark unused parameters.

	* ls-lisp.el (ls-lisp-insert-directory): Remove unused variable `fil'.

	* macros.el (insert-kbd-macro): Remove unused variable `mods'.

	* makesum.el (double-column): Remove unused variable `cnt'.

	* misearch.el (multi-isearch-pop-state): Mark unused parameter.
	(ido-ignore-item-temp-list): Declare.

	* mouse-drag.el (mouse-drag-throw): Remove unused variables
	`mouse-delta', `window-last-row', `mouse-col-delta', `window-last-col',
	`adjusted-mouse-col-delta' and `adjusted-mouse-delta'.
	(mouse-drag-drag): Remove unused variables `mouse-delta' and
	`mouse-col-delta'.

	* mouse-sel.el (mouse-extend-internal):
	Remove unused variable `orig-window-frame'.

	* pcomplete.el (pcomplete-args, pcomplete-begins, pcomplete-last)
	(pcomplete-index, pcomplete-stub, pcomplete-seen, pcomplete-norm-func):
	Move declarations before first use.
	(pcomplete-opt): Mark unused parameters; doc fix.

	* proced.el (proced-revert): Mark unused parameter.
	(proced-send-signal): Remove unused variable `err'.

	* ps-print.el (ps-print-preprint-region, ps-print-preprint):
	Rename parameter PREFIX-ARG to ARG.
	(ps-basic-plot-string, ps-basic-plot-whitespace):
	Mark unused parameters.

	* replace.el (replace-count): Define.
	(occur-revert-function): Mark unused parameters.
	(ido-ignore-item-temp-list, isearch-error, isearch-forward)
	(isearch-case-fold-search, isearch-string): Declare.
	(occur-engine): Rename parameter CASE-FOLD-SEARCH to CASE-FOLD and
	bind `case-fold-search'.  Remove unused variables `beg' and `end',
	and simplify.
	(replace-eval-replacement): Rename parameter REPLACE-COUNT to
	COUNT and bind `replace-count'.
	(replace-loop-through-replacements): Rename parameter REPLACE-COUNT
	to COUNT.

	* savehist.el (print-readably, print-string-length): Declare.

	* shadowfile.el (shadow-expand-cluster-in-file-name):
	Remove unused variable `cluster'.
	(shadow-copy-file): Remove unused variable `i'.
	(shadow-noquery, shadow-clusters, shadow-site-cluster)
	(shadow-parse-fullname, shadow-parse-name, shadow-define-cluster)
	(shadow-define-literal-group, shadow-define-regexp-group)
	(shadow-make-group, shadow-shadows-of): Clean up docstrings.

	* shell.el (shell-filter-ctrl-a-ctrl-b): Mark unused parameter.
	(shell): Use `called-interactively-p'.
	(shell-directory-tracker): Remove unused variable `chdir-failure'.

	* simple.el (compilation-context-lines, comint-file-name-quote-list)
	(comint-file-name-chars, comint-delimiter-argument-list): Declare.
	(delete-backward-char): Remove unused variable `ocol'.
	(minibuffer-avoid-prompt, minibuffer-history-isearch-pop-state)
	(line-move-1, event-apply-alt-modifier, event-apply-super-modifier)
	(event-apply-hyper-modifier, event-apply-shift-modifier)
	(event-apply-control-modifier, event-apply-meta-modifier):
	Mark unused parameters.
	(undo-make-selective-list): Remove duplicate variable `undo-elt'.
	(normal-erase-is-backspace-mode): Remove unused variable `old-state'.

	* speedbar.el (speedbar-ignored-directory-expressions)
	(speedbar-supported-extension-expressions, speedbar-directory-buttons)
	(speedbar-find-file, speedbar-dir-follow)
	(speedbar-directory-buttons-follow, speedbar-tag-find)
	(speedbar-buffer-buttons, speedbar-buffer-buttons-temp)
	(speedbar-buffers-line-directory, speedbar-buffer-click):
	Mark unused parameters.
	(speedbar-tag-file): Remove unused variable `mode'.
	(speedbar-buffers-tail-notes): Remove unused variable `mod'; simplify.

	* strokes.el (strokes-decode-buffer): Remove unused variable `ext'.

	* talk.el (talk): Remove unused variable `display'.

	* tar-mode.el (tar-subfile-save-buffer): Remove unused variable `name'.
	(tar-write-region-annotate): Mark unused parameter.

	* time.el (now, time, load, mail, 24-hours, hour, 12-hours, am-pm)
	(minutes, seconds, time-zone, day, year, monthname, month, dayname):
	Declare them, wrapped in `with-no-warnings' to avoid replacing one
	warning by another.

	* time-stamp.el (time-stamp-string-preprocess):
	Remove unused variable `require-padding'.

	* tree-widget.el (widget-glyph-enable): Declare.
	(tree-widget-action): Mark unused parameter.

	* w32-fns.el (x-get-selection): Mark unused parameter.
	(autoload-make-program, generated-autoload-file): Declare.

	* wdired.el (wdired-revert): Mark unused parameters.
	(wdired-xcase-word): Remove unused variable `err'.

	* whitespace.el (whitespace-buffer-changed): Mark unused parameters.
	(whitespace-help-scroll): Remove unused variable `data-help'.

	* wid-edit.el (widget-mouse-help, widget-overlay-inactive)
	(widget-image-insert, widget-after-change, default)
	(widget-default-format-handler, widget-default-notify)
	(widget-default-prompt-value, widget-info-link-action)
	(widget-url-link-action, widget-function-link-action)
	(widget-variable-link-action, widget-file-link-action)
	(widget-emacs-library-link-action, widget-emacs-commentary-link-action)
	(widget-field-prompt-internal, widget-field-action, widget-field-match)
	(widget-choice-mouse-down-action, toggle, widget-radio-button-notify)
	(widget-insert-button-action, widget-delete-button-action, visibility)
	(widget-documentation-link-action, widget-documentation-string-action)
	(widget-const-prompt-value, widget-regexp-match, symbol)
	(widget-coding-system-prompt-value)
	(widget-key-sequence-value-to-external, sexp)
	(widget-sexp-value-to-internal, character, vector, cons)
	(widget-choice-prompt-value, widget-boolean-prompt-value)
	(widget-color--choose-action): Mark unused parameters.
	(widget-item-match-inline, widget-choice-match-inline)
	(widget-checklist-match, widget-checklist-match-inline)
	(widget-group-match): Rename parameter VALUES to VALS.
	(widget-field-value-set): Remove unused variable `size'.
	(widget-color-action): Remove unused variables `value' and `start'.

	* windmove.el (windmove-wrap-loc-for-movement): Remove unused
	variable `dir'.  Doc fix.
	(windmove-find-other-window): Don't pass it.

	* window.el (count-windows): Mark unused parameter.
	(bw-adjust-window): Remove unused variable `err'.

	* woman.el (woman-file-name): Remove unused variable `default'.
	(woman-expand-directory-path): Rename parameters WOMAN-MANPATH and
	WOMAN-PATH to PATH-DIRS and PATH-REGEXPS, respectively.
	(global-font-lock-mode): Declare.
	(woman-decode-region): Mark unused parameter.
	(woman-get-tab-stop): Rename parameter TAB-STOP-LIST to TAB-STOPS.

	* x-dnd.el (x-dnd-default-test-function, x-dnd-handle-old-kde)
	(x-dnd-handle-xdnd, x-dnd-handle-motif): Mark unused parameters.
	(x-dnd-handle-moz-url): Remove unused variable `title'.
	(x-dnd-handle-xdnd): Remove unused variables `x', `y' and `ret-action'.

	* xml.el (xml-parse-tag, xml-parse-attlist):
	Remove unused variable `pos'.

2011-04-19  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-list-holidays, cal-tex-cursor-month)
	(cal-tex-cursor-week, cal-tex-cursor-week2, cal-tex-cursor-week-iso)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-filofax-daily, cal-tex-mini-calendar)
	* calendar/cal-html.el (cal-html-insert-minical):
	* calendar/diary-lib.el (diary-list-entries-1, diary-list-entries)
	(calendar-mark-date-pattern):
	Prefix "unused" locals.

	* calendar/cal-dst.el (dst-adjust-time): Remove never-implemented
	optional argument `style'.

	* calendar/appt.el (appt-make-list):
	* calendar/cal-china.el (calendar-chinese-date-string):
	* calendar/cal-hebrew.el (calendar-hebrew-list-yahrzeits)
	(diary-hebrew-yahrzeit):
	* calendar/cal-tex.el (cal-tex-last-blank-p, cal-tex-cursor-week2):
	* calendar/calendar.el (calendar-generate-window):
	* calendar/time-date.el (time-to-days):
	Remove unused local variables.

2011-04-18  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/tabulated-list.el (tabulated-list-mode): Use a custom
	glyphless-char-display table.
	(tabulated-list-glyphless-char-display): New var.

2011-04-18  Sam Steingold  <sds@gnu.org>

	* vc/add-log.el (change-log-font-lock-keywords): Add "Thanks to"
	to acknowledgments.

2011-04-17  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-sexp-entry):
	* calendar/holidays.el (holiday-sexp):
	Set debug-on-error rather than the removed stack-trace-on-error.

2011-04-16  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el: Use lexical-binding.
	(f90-get-correct-indent): Remove unnecessary local variable `cont'.

2011-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/sendmail.el (mail-mode-map): Use completion-at-point.
	(mail-mode): Setup mailalias completion here instead.
	* mail/mailalias.el: Use lexical-binding.
	(pattern, mailalias-done): Declare dynamic.
	(mail-completion-at-point-function): New function, from mail-complete.
	(mail-complete): Use it.
	(mail-completion-expand): New function.
	(mail-get-names): Use it.
	(mail-directory, mail-directory-process, mail-directory-stream):
	Don't use `pattern' for lexically bound arg.

	* emacs-lisp/lisp-mode.el (eval-defun-2): Use eval-sexp-add-defvars.

	* htmlfontify.el (hfy-etags-cmd): Remove inoperant eval-and-compile.
	(hfy-e2x-etags-cmd, hfy-etags-cmd-alist-default)
	(hfy-etags-cmd-alist): Don't eval-and-compile any more.

	* emacs-lisp/bytecomp.el (byte-temp-output-buffer-show)
	(byte-save-window-excursion, byte-temp-output-buffer-setup)
	(byte-interactive-p): Define them again, for use when inlining
	old code.

2011-04-15  Juanma Barranquero  <lekktu@gmail.com>

	* loadup.el: Use `string-to-number', not `string-to-int'.

2011-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gud.el (gud-gdb): Use completion-at-point instead of
	gud-gdb-complete-command.
	(gud-gdb-completions): New function, from gud-gdb-complete-command.
	(gud-gdb-completion-at-point): New function.
	(gud-gdb-completions): Remove.

2011-04-14  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-sh-handle-file-attributes): Handle the case
	when the scripts fail.  Use `tramp-do-file-attributes-with-ls' then.
	(tramp-do-copy-or-rename-file-out-of-band): Do not check any longer
	whether `executable-find' is bound.

	* net/tramp-smb.el (tramp-smb-handle-copy-file): Fix docstring.

2011-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-in-region-mode-predicate)
	(completion-in-region-mode--predicate): New vars.
	(completion-in-region, completion-in-region--postch)
	(completion-in-region-mode): Use them.
	(completion--capf-wrapper): Also return the hook function.
	(completion-at-point, completion-help-at-point):
	Adjust and provide a predicate.

	Preserve arg names for advice of subr and lexical functions (bug#8457).
	* help-fns.el (help-function-arglist): Consolidate the subr and
	new-byte-code cases.  Add argument `preserve-names' to extract names
	from the docstring when needed.
	* emacs-lisp/advice.el (ad-define-subr-args, ad-undefine-subr-args)
	(ad-subr-args-defined-p, ad-get-subr-args, ad-subr-arglist): Remove.
	(ad-arglist): Use help-function-arglist's new arg.
	(ad-definition-type): Use cond.

2011-04-13  Juanma Barranquero  <lekktu@gmail.com>

	* autorevert.el (auto-revert-handler):
	Bind `remote-file-name-inhibit-cache', not `tramp-cache-inhibit-cache',
	which was removed in revno:101730 (2010-10-02).
	Don't quote lambda.

	* image-mode.el (image-transform-set-scale):
	Fix change in revno:103877 (2011-04-09).

2011-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* net/network-stream.el (network-stream-open-starttls): Only do
	opportunistic STARTTLS upgrades if we have built-in gnutls support.
	Upgrades via gnutls-cli are too slow to be done opportunistically.

2011-04-12  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (dframe-current-frame): Remove spurious quote.

2011-04-12  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-end-document):
	Try to automatically use latin1 input if needed.

	* calendar/cal-hebrew.el (diary-hebrew-rosh-hodesh):
	Don't try to cons a mark onto an empty element.

2011-04-11  Leo Liu  <sdl.web@gmail.com>

	* ido.el (ido-buffer-internal): Allow method 'kill for virtual
	buffers.
	(ido-kill-buffer-at-head): Support killing virtual buffers.

2011-04-10  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-show-inline-help): New var.
	(completion--do-completion, minibuffer-complete)
	(minibuffer-force-complete, minibuffer-complete-word):
	Inhibit minibuffer messages if completion-show-inline-help is nil.

	* icomplete.el (icomplete-mode): Bind completion-show-inline-help
	to avoid interference from inline help (Bug#5849).

2011-04-10  Leo Liu  <sdl.web@gmail.com>

	* emacs-lisp/tabulated-list.el (tabulated-list-print-entry):
	Fix typo.

2011-04-09  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display-image): Signal an error if
	not in Image mode.
	(image-transform-mode, image-transform-resize)
	(image-transform-set-rotation): Doc fix.
	(image-transform-set-resize): Delete.
	(image-transform-set-scale, image-transform-fit-to-height)
	(image-transform-fit-to-width): Handle image-toggle-display-image
	and image-transform-resize directly.

2011-04-08  Sho Nakatani  <lay.sakura@gmail.com>

	* doc-view.el (doc-view-fit-width-to-window)
	(doc-view-fit-height-to-window, doc-view-fit-page-to-window):
	New functions for fitting the shown image to the Emacs window size.
	(doc-view-mode-map): Add bindings for the new functions.

2011-04-08  Juanma Barranquero  <lekktu@gmail.com>

	* vc-annotate.el (vc-annotate-show-log-revision-at-line):
	Fix typo in docstring.

2011-04-08  Eli Zaretskii  <eliz@gnu.org>

	* files.el (file-size-human-readable): Produce one digit after
	decimal, like "ls -lh" does.

	* ls-lisp.el (ls-lisp-format-file-size): Allow for 7 characters in
	the file size representation.

	* simple.el (list-processes): If async subprocesses are not
	available, error out with a clear error message.

2011-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (help-form-show): New function, to be called from C.
	Put help-form output in a buffer named differently than *Help*.

2011-04-08  Eli Zaretskii  <eliz@gnu.org>

	* files.el (file-size-human-readable): New function.

	* ls-lisp.el (ls-lisp-format-file-size): Use it, instead of
	computing the representation inline.  Don't require `cl'.

2011-04-08  Glenn Morris  <rgm@gnu.org>

	* man.el (Man-page-header-regexp): Solaris < 2.6 no longer supported.

	* net/browse-url.el (browse-url-firefox):
	Test system-type, not system-configuration.

	* vc/log-edit.el (log-edit-empty-buffer-p): New function.
	(log-edit-insert-cvs-template, log-edit-insert-cvs-rcstemplate):
	Use log-edit-empty-buffer-p.  (Bug#7598)

	* net/rlogin.el (rlogin-process-connection-type): Simplify.
	(rlogin-mode-map): Initialize in the defvar.
	(rlogin): Use ignore-errors.

	* replace.el (occur-mode-map): Some fixes for menu items.

2011-04-07  Aaron S. Hawley  <aaron.s.hawley@gmail.com>

	* play/morse.el (denato-region): Handle varying case.  (Bug#8386)

2011-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/cconv.el (cconv--analyse-use): Ignore "ignored" when
	issuing unused warnings.

	* emacs-lisp/tabulated-list.el (tabulated-list-print): Use lambda
	macro directly.

	* simple.el: Lisp reimplement of list-processes.  Based on an
	earlier reimplementation by Leo Liu, but using tabulated-list.el.
	(process-menu-mode): New major mode.
	(list-processes--refresh, list-processes):
	(process-menu-visit-buffer): New functions.

	* files.el (save-buffers-kill-emacs): Don't assume any return
	value of list-processes, which is undocumented anyway.

2011-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/tabulated-list.el: New file.

	* emacs-lisp/package.el: Use Tabulated List mode.
	(package-menu-mode-map): Inherit from tabulated-list-mode-map.
	(package-menu-mode): Derive from tabulated-list-mode.  Set up the
	table format using Tabulated List mode variables.
	(package--push): New macro, replacing package-list-maybe-add.
	(package-menu--generate): Use package--push.  Renamed from
	package--generate-package-list.
	(package-menu-refresh, list-packages): Use it.
	(package-menu--print-info): Rename from package-print-package.
	Return insertion data instead of inserting it directly.
	(package-menu-describe-package, package-menu-execute):
	Use tabulated-list-get-id.
	(package-menu-mark-delete, package-menu-mark-install)
	(package-menu-mark-unmark, package-menu-backup-unmark)
	(package-menu-mark-obsolete-for-deletion):
	Use tabulated-list-put-tag.
	(package--list-packages, package-menu-revert)
	(package-menu-get-package, package-menu-get-version)
	(package-menu-sort-by-column): Functions deleted.
	(package-menu-package-list, package-menu-sort-key): Vars deleted.
	(package-menu--status-predicate, package-menu--version-predicate)
	(package-menu--name-predicate)
	(package-menu--description-predicate): Handle arguments in the
	Tabulated List format.
	(package-list-packages-no-fetch): Call list-packages.

2011-04-06  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (after-find-file-from-revert-buffer): Remove variable.
	(after-find-file): Don't bind it.
	(revert-buffer-in-progress-p): New variable.
	(revert-buffer): Bind it.
	Pass nil for `after-find-file-from-revert-buffer'.

	* saveplace.el (save-place-find-file-hook): Use new variable
	`rever-buffer-in-progress-p', not `after-find-file-from-revert-buffer'.

2011-04-06  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (AUTOGEN_VCS): New variable.
	(autoloads): Use $AUTOGEN_VCS.

	* calendar/cal-move.el (calendar-scroll-toolkit-scroll): New function.
	* calendar/calendar.el (calendar-mode-map):
	Check for toolkit scroll bars.  (Bug#8305)

2011-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* minibuffer.el (completion-in-region--postch)
	(completion-in-region-mode): Remove unnecessary messages.

2011-04-05  Juanma Barranquero  <lekktu@gmail.com>

	* font-lock.el (font-lock-refresh-defaults):
	Don't bind `hi-lock--inhibit-font-lock-hook', removed in
	revno:99634.2.463 (2010-10-09) and revno:101913 (2010-10-12).

	* info.el (Info-directory-list, Info-read-node-name-2)
	(Info-split-parameter-string): Doc fixes.
	(Info-virtual-nodes): Reflow docstring.
	(Info-find-file, Info-directory-toc-nodes, Info-history-toc-nodes)
	(Info-apropos-toc-nodes, info-finder, Info-get-token)
	(Info-find-emacs-command-nodes, Info-speedbar-key-map):
	Fix typos in docstrings.
	(Info-revert-buffer-function, Info-search, Info-isearch-pop-state)
	(Info-speedbar-hierarchy-buttons, Info-speedbar-goto-node)
	(Info-speedbar-buttons, Info-desktop-buffer-misc-data)
	(Info-restore-desktop-buffer): Mark unused parameters.
	(Info-directory-find-file, Info-directory-find-node)
	(Info-history-find-file, Info-history-find-node, Info-toc-find-node)
	(Info-virtual-index-find-node, Info-apropos-find-file)
	(Info-apropos-find-node, Info-finder-find-file, Info-finder-find-node):
	Mark unused parameters; fix typos in docstrings.
	(Info-virtual-index): Remove unused local variable `nodename'.

2011-04-05  Deniz Dogan  <deniz@dogan.se>

	* net/rcirc.el: Update my e-mail address.
	(rcirc-mode-map): Remove M-o binding.

2011-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Save the cursor's theme-face
	directly, instead of using face-override-spec.

	* custom.el (load-theme): Minor optimization in assigning faces.

2011-04-04  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (describe-variable): Complete all variables having
	documentation, including keywords.
	http://lists.gnu.org/archive/html/emacs-devel/2011-04/msg00112.html

2011-04-04  Juanma Barranquero  <lekktu@gmail.com>

	Convert to lexical-binding.

	* bs.el (bs-refresh, bs-sort-buffer-interns-are-last)
	(bs--get-marked-string, bs--get-modified-string)
	(bs--get-readonly-string, bs--get-size-string, bs--get-name)
	(bs--get-mode-name, bs--get-file-name): Mark unused arguments.
	(bs--configuration-name-for-prefix-arg): Rename argument PREFIX-ARG.

	* ehelp.el (electric-help-execute-extended)
	(electric-help-ctrl-x-prefix):
	* hexl.el (hexl-revert-buffer-function):
	* linum.el (linum-after-change, linum-after-scroll):
	* emacs-lisp/re-builder.el (reb-auto-update): Mark unused arguments.

	* help-fns.el (help-describe-category-set): Remove unused ERR variable.

2011-04-04  Daiki Ueno  <ueno@unixuser.org>

	* epa-dired.el:
	* epa-mail.el:
	* epa-hook.el:
	* epa-file.el:
	* epa.el:
	* epg.el: Use lexical binding.

2011-04-03  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-create-files): Add docstring (Bug#7970).

	* textmodes/flyspell.el (flyspell-word): Recognize default
	dictionary case for flyspell-mark-duplications-exceptions.
	Use regexp matching for languages.
	(flyspell-mark-duplications-exceptions): Add "that" and "had" for
	default dictionary (Bug#7926).

2011-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package--with-work-buffer):
	Recognize https URLs.

	* net/network-stream.el: Move from gnus/proto-stream.el.
	Change prefix to network-stream throughout.
	(open-protocol-stream): Merge into open-network-stream, leaving
	open-protocol-stream as an alias.  Handle nil BUFFER args.

	* subr.el (open-network-stream): Move to net/network-stream.el.

2011-04-02  Glenn Morris  <rgm@gnu.org>

	* find-dired.el (find-exec-terminator): New option.
	(find-ls-option): Test for -ls support.
	(find-ls-subdir-switches): Test for -b in find-ls-option.
	(find-dired, find-grep-dired): Doc fixes.
	(find-dired): Use find-exec-terminator.

	* find-dired.el (find-ls-option, find-ls-subdir-switches)
	(find-grep-options): Do not autoload these defcustoms, remove purecopy.
	(find-name-arg): Remove purecopy.

	* progmodes/grep.el (grep-find-use-xargs): Doc fix.
	(grep-compute-defaults): Check for `-exec COMMAND +' support.
	Set grep-find-use-xargs, grep-find-command, and grep-find-template
	accordingly.  Don't add the null-device if not needed.

	* files.el (save-some-buffers): Doc fix.

2011-04-02  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (EMACS): Default to ../src/$(BLD)/emacs.exe.

2011-04-01  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/idlwave.el (idlwave-one-key-select, idlwave-list-abbrevs):
	Use `dolist' rather than `mapcar'.

2011-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	Add lexical binding.

	* subr.el (apply-partially): Use new closures rather than CL.
	(--dolist-tail--, --dotimes-limit--): Don't declare dynamic.
	(dolist, dotimes): Use slightly different expansion for lexical code.
	(functionp): Move to C.
	(letrec): New macro.
	(with-wrapper-hook): Use it and apply-partially instead of CL.
	(eval-after-load): Preserve lexical-binding.
	(save-window-excursion, with-output-to-temp-buffer): Turn them
	into macros.

	* simple.el (with-wrapper-hook, apply-partially): Move to subr.el.

	* help-fns.el (help-split-fundoc): Return nil if there's nothing else
	than the arglist.
	(help-add-fundoc-usage): Don't add `Not documented'.
	(help-function-arglist): Handle closures, subroutines, and new
	byte-code-functions.
	(help-make-usage): Remove leading underscores.
	(describe-function-1): Handle closures.
	(describe-variable): Use special-variable-p for completion.

	* files.el (lexical-binding): Declare safe.

	* emacs-lisp/pcase.el: Don't use destructuring-bind.
	(pcase--memoize): Rename from pcase-memoize.  Change weakness.
	(pcase): Add `let' pattern.
	Change memoization so it actually works.
	(pcase-mutually-exclusive-predicates): Add byte-code-function-p.
	(pcase--u1) <guard, pred>: Fix possible shadowing problem.
	<let>: New case.

	* emacs-lisp/macroexp.el: Use lexical binding.
	(macroexpand-all-1): Check obsolete macros.  Expand compiler-macros.
	Don't convert ' to #' without checking that it's indeed quoting
	a lambda.

	* emacs-lisp/lisp-mode.el (eval-last-sexp-1):
	Use eval-sexp-add-defvars.
	(eval-sexp-add-defvars): New fun.

	* emacs-lisp/float-sup.el (pi): Don't declare as dynamically bound.

	* emacs-lisp/eieio.el (byte-compile-file-form-defmethod):
	Don't autoload.
	(eieio-defgeneric-form-primary-only-one): Use `byte-compile' rather
	than the internal `byte-compile-lambda'.
	(defmethod): Don't hide code under quotes.
	(eieio-defmethod): New `code' argument.

	* emacs-lisp/eieio-comp.el: Remove.

	* emacs-lisp/edebug.el (edebug-eval-defun)
	(edebug-eval-top-level-form): Use eval-sexp-add-defvars.
	(edebug-toggle): Avoid `eval'.

	* emacs-lisp/disass.el (disassemble-internal): Handle new
	`closure' objects.
	(disassemble-1): Handle new byte codes.

	* emacs-lisp/cl.el (pushnew): Silence warning.

	* emacs-lisp/cl-macs.el (cl-byte-compile-block)
	(cl-byte-compile-throw): Remove.
	(cl-block-wrapper, cl-block-throw): Use compiler-macros instead.

	* emacs-lisp/cl-extra.el (cl-macroexpand-all): Properly quote CL
	closures.

	* emacs-lisp/cconv.el: New file.

	* emacs-lisp/bytecomp.el: Use lexical binding instead of
	a "bytecomp-" prefix.  Macroexpand everything as a separate phase.
	(byte-compile-initial-macro-environment):
	Handle declare-function here.
	(byte-compile--lexical-environment): New var.
	(byte-stack-ref, byte-stack-set, byte-discardN)
	(byte-discardN-preserve-tos): New lap codes.
	(byte-interactive-p): Don't use any more.
	(byte-compile-push-bytecodes, byte-compile-push-bytecode-const2):
	New macros.
	(byte-compile-lapcode): Use them and handle new lap codes.
	(byte-compile-obsolete): Remove.
	(byte-compile-arglist-signature): Handle new byte-code arg"lists".
	(byte-compile-arglist-warn): Check late def of inlinable funs.
	(byte-compile-cl-warn): Don't silence warnings for compiler-macros
	since they should have been expanded by now.
	(byte-compile--outbuffer): Rename from bytecomp-outbuffer.
	(byte-compile-from-buffer): Remove unused second arg.
	(byte-compile-preprocess): New function.
	(byte-compile-toplevel-file-form): New function to distinguish
	file-form calls from outside from file-form calls from hunk-handlers.
	(byte-compile-file-form): Simplify.
	(byte-compile-file-form-defsubst): Remove.
	(byte-compile-file-form-defmumble): Simplify now that
	byte-compile-lambda always returns a byte-code-function.
	(byte-compile): Preprocess.
	(byte-compile-byte-code-maker, byte-compile-byte-code-unmake):
	Remove, not used any more.
	(byte-compile-arglist-vars, byte-compile-make-lambda-lexenv)
	(byte-compile-make-args-desc): New funs.
	(byte-compile-lambda): Handle lexical functions.  Always return
	a byte-code-function.
	(byte-compile-reserved-constants): New var, to make up room for
	closed-over variables.
	(byte-compile-constants-vector): Obey it.
	(byte-compile-top-level): New args `lexenv' and `reserved-csts'.
	(byte-compile-macroexpand-declare-function): New function.
	(byte-compile-form): Call byte-compile-unfold-bcf to inline immediate
	byte-code-functions.
	(byte-compile-form): Check obsolescence here.
	(byte-compile-inline-lapcode, byte-compile-unfold-bcf): New functions.
	(byte-compile-variable-ref): Remove.
	(byte-compile-dynamic-variable-op): New fun.
	(byte-compile-dynamic-variable-bind, byte-compile-variable-ref)
	(byte-compile-variable-set): New funs.
	(byte-compile-discard): Add 2 args.
	(byte-compile-stack-ref, byte-compile-stack-set)
	(byte-compile-make-closure, byte-compile-get-closed-var): New funs.
	(byte-compile-funarg, byte-compile-funarg-2): Remove, handled in
	macroexpand-all instead.
	(byte-compile-quote-form): Remove.
	(byte-compile-push-binding-init, byte-compile-not-lexical-var-p)
	(byte-compile-bind, byte-compile-unbind): New funs.
	(byte-compile-let): Handle let* and lexical binding.
	(byte-compile-let*): Remove.
	(byte-compile-catch, byte-compile-unwind-protect)
	(byte-compile-track-mouse, byte-compile-condition-case):
	Handle a new :fun-body form, used for lexical scoping.
	(byte-compile-save-window-excursion)
	(byte-compile-with-output-to-temp-buffer): Remove.
	(byte-compile-defun): Simplify.
	(byte-compile-stack-adjustment): New fun.
	(byte-compile-out): Use it.
	(byte-compile-refresh-preloaded): Don't reload byte-compiler files.

	* emacs-lisp/byte-run.el (make-obsolete): Don't set the `byte-compile'
	handler any more.

	* emacs-lisp/byte-opt.el: Use lexical binding.
	(byte-inline-lapcode): Remove (to bytecomp).
	(byte-compile-inline-expand): Pay attention to inlining to/from
	lexically bound code.
	(byte-compile-unfold-lambda): Don't handle byte-code-functions
	any more.
	(byte-optimize-form-code-walker): Don't handle save-window-excursion
	any more and don't call compiler-macros.
	(byte-compile-splice-in-already-compiled-code): Remove.
	(byte-code): Don't inline any more.
	(disassemble-offset): Receive `bytes' as argument rather than via
	dynamic scoping.
	(byte-compile-tag-number): Declare before first use.
	(byte-decompile-bytecode-1): Handle new byte-codes, don't change
	`return' even if make-spliceable.
	(byte-compile-side-effect-and-error-free-ops): Add stack-ref, remove
	obsolete interactive-p.
	(byte-optimize-lapcode): Optimize new lap-codes.
	Don't trip up on new form of `byte-constant' lap code.

	* emacs-lisp/autoload.el (make-autoload): Don't burp on trivial macros.

	* emacs-lisp/advice.el (ad-arglist): Use help-function-arglist.

	* custom.el (custom-initialize-default, custom-declare-variable):
	Use `defvar'.

	* Makefile.in (BIG_STACK_DEPTH, BIG_STACK_OPTS, BYTE_COMPILE_FLAGS):
	New variables.
	(compile-onefile, .el.elc, compile-calc, recompile): Use them.
	(COMPILE_FIRST): Add macroexp and cconv.
	* makefile.w32-in: Mirror changes in Makefile.in.

	* vc/cvs-status.el:
	* vc/diff-mode.el:
	* vc/log-edit.el:
	* vc/log-view.el:
	* vc/smerge-mode.el:
	* textmodes/bibtex-style.el:
	* textmodes/css.el:
	* startup.el:
	* uniquify.el:
	* minibuffer.el:
	* newcomment.el:
	* reveal.el:
	* server.el:
	* mpc.el:
	* emacs-lisp/smie.el:
	* doc-view.el:
	* dired.el:
	* abbrev.el: Use lexical binding.

2011-04-01  Eli Zaretskii  <eliz@gnu.org>

	* info.el (info-display-manual): New function.

2011-03-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loadup.el: Load minibuffer after loaddefs, to use define-minor-mode.

2011-03-31  Tassilo Horn  <tassilo@member.fsf.org>

	* net/rcirc.el (rcirc-handler-001): Only authenticate, if there's
	an entry for that server in rcirc-authinfo.  (Bug#8385)

2011-03-31  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-find-tag-default): Handle multiple `%'.

	* generic-x.el (etc-fstab-generic-mode): Add ext4, sysfs keywords.

2011-03-30  Christoph Scholtes  <cschol2112@googlemail.com>

	* progmodes/python.el (python-default-interpreter)
	(python-python-command-args, python-jython-command-args)
	(python-which-shell, python-which-args, python-which-bufname)
	(python-file-queue, python-comint-output-filter-function)
	(python-toggle-shells, python-shell): Remove obsolete defcustoms,
	variables and functions.

2011-03-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-table-dynamic): Optimize `boundaries'.
	(completion-in-region-mode): New minor mode.
	(completion-in-region): Use it.
	(completion-in-region--data, completion-in-region-mode-map): New vars.
	(completion-in-region--postch): New function.
	(completion--capf-misbehave-funs, completion--capf-safe-funs):
	New vars.
	(completion--capf-wrapper): New function.
	(completion-at-point): Use it to track well-behavedness of
	hook functions.
	(completion-help-at-point): New command.

2011-03-30  Jason Merrill  <jason@redhat.com>  (tiny change)

	* vc/add-log.el (add-change-log-entry): Don't use whitespace
	syntax class to search for whitespace on a single line
	(Message-ID: <4D938140.4030905@redhat.com>).

2011-03-30  Leo Liu  <sdl.web@gmail.com>

	* abbrev.el (abbrev-edit-save-to-file, abbrev-edit-save-buffer):
	New commands.
	(edit-abbrevs-map): Bind them here.
	(write-abbrev-file): New optinal arg VERBOSE.  (Bug#5937)

2011-03-29  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-hide-by-annotation, allout-flag-region):
	Reduce possibility of overlay leakage by making them volatile.

	* allout-widgets.el (allout-widgets-tally): Define as nil so the
	hash is not shared between buffers.  Mode initialization is
	responsible for giving it a useful starting value.
	(allout-item-span): Reduce possibility of overlay leakage by
	making them volatile.
	(allout-widgets-count-buttons-in-region): Add diagnostic function
	for tracking down button overlay leaks.

2011-03-29  Leo Liu  <sdl.web@gmail.com>

	* ido.el (ido-read-internal): Use the default history var
	minibuffer-history if no HISTORY is specified.

2011-03-28  Brian T. Sniffen  <bsniffen@akamai.com>  (tiny change)

	* net/imap.el (imap-shell-open, imap-process-connection-type):
	Use imap-process-connection-type for 'shell' streams as well as
	Kerberos, SSL, other subprocesses.

2011-03-28  Leo Liu  <sdl.web@gmail.com>

	* abbrev.el (abbrev-table-empty-p): New function.
	(prepare-abbrev-list-buffer): Place empty abbrev tables after
	nonempty ones.  (Bug#5937)

2011-03-27  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add boolean ns-auto-hide-menu-bar.

2011-03-27  Leo Liu  <sdl.web@gmail.com>

	* ansi-color.el (ansi-color-names-vector): Allow cons cell value
	for foreground and background colors.
	(ansi-color-make-color-map): Adapt.

2011-03-25  Leo Liu  <sdl.web@gmail.com>

	* midnight.el (midnight-time-float): Remove.  Note it calculates
	the microsecond component incorrectly and seconds-to-time does the
	same job.
	Remove redundant (require 'timer).

	* ido.el (ido-read-internal): Simplify with read-from-minibuffer.
	(ido-completions): Remove unused arguments.  (Bug#8329)

2011-03-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion--flush-all-sorted-completions):
	Remove itself from hook.
	(completion-at-point): Let the functions perform the completion
	immediately and return nil or t.
	* comint.el (comint-dynamic-complete-functions): Now identical to
	completion-at-point-functions.
	(comint-dynamic-list-input-ring): Remove unused var `index'.
	(comint--match-partial-filename, comint--unquote&expand-filename):
	New funs, split from comint-match-partial-filename.
	(comint-dynamic-complete): Use completion-at-point.
	(comint-dynamic-complete-filename): Use comint--match-partial-filename.

2011-03-24  Drew Adams  <drew.adams@oracle.com>

	* thingatpt.el: Support `defun'.

2011-03-23  Leo Liu  <sdl.web@gmail.com>

	* abbrevlist.el: Move to obsolete/abbrevlist.el.

	* help-mode.el (help-mode-finish): Tweak regexp.

2011-03-23  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-opt.el (eshell-eval-using-options):
	Do not bind unused local variable `eshell-option-stub'.

	* progmodes/gdb-mi.el (gdb): Fix typo in previous change.

2011-03-22  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/derived.el (define-derived-mode): Wrap declaration of
	keymap variable in `with-no-warnings' to avoid a warning when the
	keymap has been already `defconst'ed.

2011-03-22  Leo Liu  <sdl.web@gmail.com>

	* abbrev.el (write-abbrev-file): Use utf-8 for writing if it can
	encode all chars in abbrevs; otherwise use emacs-mule or
	utf-8-emacs.  (Bug#8308)

2011-03-22  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (backward-delete-char-untabify):
	Avoid warning about using `delete-backward-char'.

	* image.el (image-type-file-name-regexps): Make it variable.
	`imagemagick-register-types' modifies it, and the user may want
	to add new extensions for known image types.
	(imagemagick-register-types): Throw error if not using ImageMagick.

2011-03-22  Leo Liu  <sdl.web@gmail.com>

	* net/rcirc.el (rcirc-completion-at-point): Return nil if point is
	located before rcirc-prompt-end-marker.
	(rcirc-complete): Error if point is not after rcirc prompt.
	Handle the case when table is nil.
	(rcirc-user-authenticated): Define to fix compiler warning.

2011-03-22  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom--inhibit-theme-enable): Make it affect only
	custom-theme-set-variables and custom-theme-set-faces.
	(provide-theme): Ignore custom--inhibit-theme-enable.
	(load-theme): Enable the theme explicitly if NO-ENABLE is non-nil.
	(custom-enabling-themes): Delete variable.
	(enable-theme): Accept only loaded themes as arguments.
	Ignore the special custom-enabled-themes variable.
	(custom-enabled-themes): Forbid themes from setting this.
	Eliminate use of custom-enabling-themes.
	(custom-push-theme): Quote "changed" custom var entry.

2011-03-21  Leo Liu  <sdl.web@gmail.com>

	* ido.el (ido-read-internal): Add ido-selected to history instead
	of user input.

2011-03-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (deferred-action-list, deferred-action-function):
	Mark obsolete.

2011-03-21  Leo Liu  <sdl.web@gmail.com>

	* vc/log-view.el: Remove (require 'wid-edit), not needed after the
	change on 2011-02-13 (bug#8309).

	* minibuffer.el (read-file-name-function): Change default value.
	(read-file-name--defaults): Rename from read-file-name-defaults.
	(read-file-name-default): Rename from read-file-name.
	(read-file-name): Call read-file-name-function.

2011-03-21  Glenn Morris  <rgm@gnu.org>

	* eshell/esh-opt.el (eshell-eval-using-options, eshell-process-args):
	Doc fixes.

2011-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* cus-theme.el: Add missing provide statement.
	(customize-create-theme): Extract theme value correctly.
	(custom-theme-visit-theme): Autoload.
	(customize-create-theme): Prompt before inserting default faces.

2011-03-20  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-menu.el (calc-units-menu): Add entries for logarithmic
	units and musical notes.

2011-03-20  Leo  <sdl.web@gmail.com>

	* ido.el (ido-read-internal): Use completing-read-default.
	(ido-completing-read): Fix compatibility with completing-read.

2011-03-20  Christian Ohler  <ohler@gnu.org>

	* emacs-lisp/ert.el (ert-run-tests-batch): Remove unused variable.
	(ert-delete-all-tests): Use `called-interactively-p' rather than
	`interactive-p'.
	(ert--make-xrefs-region): Respect END.

2011-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* dired-aux.el (dired-create-directory): Signal an error if the
	directory already exists (Bug#8246).

	* facemenu.el (list-colors-display): Call list-faces-display
	inside with-help-window.
	(list-colors-print): Use display property to align the final
	column, instead of checking window-width.

2011-03-19  Eli Zaretskii  <eliz@gnu.org>

	* emerge.el (emerge-metachars): Separate value for ms-dos and
	windows-nt systems.
	(emerge-protect-metachars): Quote correctly for ms-dos and
	windows-nt systems.

2011-03-19  Ralph Schleicher  <rs@ralph-schleicher.de>

	* info.el (info-initialize): Replace all uses of `:' with
	path-separator for compatibility with non-Unix systems.
	Cache quoting of path-separator.  (Bug#8258)

2011-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* avoid.el (mouse-avoidance-mode, mouse-avoidance-nudge-dist)
	(mouse-avoidance-threshold, mouse-avoidance-banish-destination)
	(mouse-avoidance-mode): Fix typos in docstrings.

2011-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (package-subdirectory-regexp): Move from package.el.
	Omit \\` and \\', and let callers add them.

	* emacs-lisp/package.el (package-strip-version)
	(package-load-all-descriptors): Add \\` and \\' to
	package-subdirectory-regexp before using it.
	(package-untar-buffer): New arg DIR; ensure that file untars only
	into this expected directory.  Remove superfluous delete-region.
	(package-unpack): Caller changed.
	(package-tar-file-info): Use package-subdirectory-regexp.

2011-03-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc/diff-mode.el (diff-mode-map): Shadow problematic bindings from
	diff-mode-shared-map (bug#8284).
	(diff-mode-shared-map): Re-introduce some bindings that were problematic.

2011-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* calendar/time-date.el (format-seconds): Use assoc instead of
	assoc-string, since assoc-string doesn't exist in XEmacs.

2011-03-17  Juanma Barranquero  <lekktu@gmail.com>

	* custom.el (custom-known-themes): Reflow docstring.
	(custom-theme-load-path): Fix typo in docstring.
	(load-theme): Fix typo in error message.
	(custom-available-themes, custom-variable-theme-value):
	Use `let', not `let*'.

2011-03-17  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/README: Mention inclusion of musical notes.

	* calc/calc-units.el (calc-lu-quant): Rename from
	`calc-logunits-quantity'.
	(calcFunc-lupquant): Rename from `calcFunc-powerquant'.
	(calcFunc-lufquant): Rename from `calcFunc-fieldquant'.
	(calc-db): Rename from `calc-dblevel'.
	(calcFunc-dbpower): Rename from `calcFunc-dbpowerlevel'.
	(calcFunc-dbfield): Rename from `calcFunc-dbfieldlevel'.
	(calc-np): Rename from `calc-nplevel'.
	(calcFunc-nppower): Rename from `calcFunc-nppowerlevel'.
	(calcFunc-npfield): Rename from `calcFunc-npfieldlevel'.
	(calc-lu-plus): Rename from `calc-logunits-add'.
	(calcFunc-lupadd): Rename from `calcFunc-lupoweradd'.
	(calcFunc-lufadd): Rename from `calcFunc-lufieldadd'.
	(calc-lu-minus): Rename from `calc-logunits-sub'.
	(calcFunc-lupsub): Rename from `calcFunc-lupowersub'.
	(calcFunc-lufsub): Rename from `calcFunc-lufieldsub'.
	(calc-lu-times): Rename from `calc-logunits-mul'.
	(calcFunc-lupmul): Rename from `calcFunc-lupowermul'.
	(calcFunc-lufmul): Rename from `calcFunc-lufieldmul'.
	(calc-lu-divide): Rename from `calc-logunits-div'.
	(calcFunc-lupdiv): Rename from `calcFunc-lupowerdiv'.
	(calcFunc-lufdiv): Rename from `calcFunc-lufielddiv'.

	* calc/calc-ext.el (calc-init-extensions): Update the names of the
	functions being autoloaded.

	* calc/calc.el (calc-lu-power-reference): Rename from
	`calc-logunits-power-reference'.
	(calc-lu-field-reference): Rename from
	`calc-logunits-field-reference'.

	* calc/calc-help (calc-l-prefix-help): Mention musical note functions.

2011-03-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-all-sorted-completions):
	Use :completion-cycle-penalty text property if present.

2011-03-16  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-yank-processing): Adjust for new rebulleting
	regime so bullet being yanked is used without prompting the user
	for a choice.

2011-03-16  Juanma Barranquero  <lekktu@gmail.com>

	* startup.el (command-line): Warn the user that _emacs is deprecated.

2011-03-16  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/delphi.el (delphi-search-path, delphi-indent-level)
	(delphi-verbose, delphi-comment-face, delphi-string-face)
	(delphi-keyword-face, delphi-ignore-changes, delphi-indent-line)
	(delphi-mode-abbrev-table, delphi-debug-buffer, delphi-tab)
	(delphi-find-unit, delphi-find-current-xdef, delphi-fill-comment)
	(delphi-new-comment-line, delphi-font-lock-defaults)
	(delphi-debug-mode-map, delphi-mode-syntax-table, delphi-mode):
	Fix typos in docstrings.

2011-03-15  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-make-topic-prefix, allout-rebullet-heading):
	Invert the roles of character and string values for INSTEAD, so a
	string is used for the more common case of a defaulting prompt.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ruby-mode.el (ruby-backward-sexp):
	* progmodes/ebrowse.el (ebrowse-draw-file-member-info):
	* play/gamegrid.el (gamegrid-make-face):
	* play/bubbles.el (bubbles--grid-width, bubbles--grid-height)
	(bubbles--colors, bubbles--shift-mode, bubbles--initialize-images):
	* notifications.el (notifications-notify):
	* net/xesam.el (xesam-search-engines):
	* net/quickurl.el (quickurl-list-insert):
	* vc/vc-hg.el (vc-hg-dir-printer): Fix use of case.

2011-03-15  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line): Update package subdirectory regexp.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* allout.el (allout-abbreviate-flattened-numbering)
	(allout-mode-deactivate-hook): Fix up obsolescence "date".

	* subr.el (read-char-choice): Only show the cursor after the prompt,
	not after the answer.

2011-03-15  Kevin Ryde  <user42@zip.com.au>

	* help-fns.el (variable-at-point): Skip leading quotes, if any
	(bug#8253).

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-save-excursion): Change the
	warning message.

2011-03-14  Michael Albinus  <michael.albinus@gmx.de>

	* shell.el (shell): When called interactively, offer to change the
	shell file name on remote hosts.

2011-03-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/ldap.el (ldap-search-internal): Add `auth-source-search'
	integration for LDAP parameters.  The host, base, user or binddn,
	and secret tokens can be specified in a netrc file, for instance.
	This is optional because an `auth-source' parameter must be
	specified in the search attributes.

2011-03-13  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (describe-mode): Link to the mode's definition (bug#8185).

2011-03-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ebuff-menu.el (electric-buffer-menu-mode-map): Move initialization
	into declaration.  Remove redundant and harmful binding.

2011-03-12  Eli Zaretskii  <eliz@gnu.org>

	* files.el (file-ownership-preserved-p): Pass `integer' as an
	explicit 2nd argument to `file-attributes'.  If the file's owner
	is the Administrators group on Windows, and the current user is
	Administrator, consider that a match.

	* server.el (server-ensure-safe-dir): Consider server directory
	safe on MS-Windows if its owner is the Administrators group while
	the current Emacs user is Administrator.  Use `=' to compare
	numerical UIDs, since they could be integers or floats.

2011-03-12  Juanma Barranquero  <lekktu@gmail.com>

	* vc/vc-bzr.el (vc-bzr-state): Handle bzr 2.3.0 (follow-up to bug#8170).

2011-03-12  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.2.1.

	* net/tramp-sh.el (tramp-methods): Exchange "%k" marker with options.

	* net/trampver.el: Update release number.

2011-03-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation--previous-directory): Fix up
	various nil/dead-marker mismatches (bug#8014).
	(compilation-directory-properties, compilation-error-properties):
	Don't call it at a position past the one we're about to change.

	* emacs-lisp/bytecomp.el (byte-compile-make-obsolete-variable):
	Disable obsolescence warnings in the file that declares it.

2011-03-11  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout-widgets.el (allout-widgets-tally):
	Initialize allout-widgets-tally as a hash table rather than nil to
	prevent mode-line redisplay warnings.  Also, clarify the module
	description and fix a comment typo.

2011-03-11  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (describe-variable): Don't complete keywords.
	Suggested by Teodor Zlatanov <tzz@lifelogs.com>.

2011-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-version-join): Impose a standard
	string representation for pre/alpha/beta version lists.
	(package-unpack-single): Standardize the directory name by passing
	it through package-version-join.
	(package-strip-rcs-id): Accept any version string that does not
	signal an error in version-to-list.

2011-03-10  Michael Albinus  <michael.albinus@gmx.de>

	* simple.el (delete-trailing-whitespace): Return nil for the
	benefit of `write-file-functions'.

2011-03-10  Glenn Morris  <rgm@gnu.org>

	* vc/vc-hg.el (vc-hg-pull, vc-hg-merge-branch): Use vc-hg-program.

	* vc/vc-git.el (vc-git-program): New option.
	(vc-git-branches, vc-git-pull, vc-git-merge-branch, vc-git-command)
	(vc-git--call): Use it.

	* eshell/esh-util.el (eshell-condition-case): Doc fix.

	* cus-edit.el (Custom-newline): If no button at point, look
	for a subgroup button at start-of-line.  (Bug#2298)

	* mail/rmail.el (rmail-msgend, rmail-msgbeg): Doc fixes.

2011-03-10  Julien Danjou  <julien@danjou.info>

	* avoid.el (mouse-avoidance-ignore-p): Do not move the cursor if
	`cursor-type' is nil.

2011-03-09  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-mode-map): Don't bind "C-_" to `calc-missing-key'.

2011-03-09  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el Summary: Change so yank of distinctive-bullet items
	preserves the existing header prefix, rebulleting it if necessary,
	rather than replacing it.  This is necessary for proper operation
	of cooperative addons like allout-widgets.
	(allout-make-topic-prefix, allout-rebullet-heading): Change
	SOLICIT arg to INSTEAD, and interpret additionally a string value
	as alternate bullet to be used, instead of prompting the user for
	a bullet character.

2011-03-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-sh.el (tramp-do-copy-or-rename-file-out-of-band):
	Do not use `tramp-file-name-port', because this returns also
	`tramp-default-port'.

2011-03-09  Deniz Dogan  <deniz.a.m.dogan@gmail.com>

	* net/rcirc.el (rcirc-handler-001): Remove useless
	with-rcirc-process-buffer.
	(rcirc-check-auth-status): Swap arguments to string-match.

2011-03-09  Glenn Morris  <rgm@gnu.org>

	* shell.el (shell-mode):
	Set comint-input-ring-size from HISTSIZE.  (Bug#7889)

	* progmodes/gdb-mi.el (gdb): Improve 2010-12-08 change.
	Check for GDBHISTFILE, HISTSIZE, etc.  (Bug#7889)

2011-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/package.el (package-refresh-contents)
	(package-menu-execute): Use condition-case-no-debug.

2011-03-08  Michael Albinus  <michael.albinus@gmx.de>

	* simple.el (shell-command-to-string): Use `process-file'.

	* emacs-lisp/package.el (package-tar-file-info): Handle also
	remote files.

	* emacs-lisp/package-x.el (package-upload-buffer-internal):
	Use `equal' for upload base check.

2011-03-08  Arni Magnusson  <arnima@hafro.is>  (tiny change)

	* textmodes/texinfo.el (texinfo-environments):
	Add deftypecv, deftypeivar, deftypemethod, deftypeop, html.  (Bug#2783)

2011-03-08  Glenn Morris  <rgm@gnu.org>

	* cus-start.el (cursor-in-non-selected-windows):
	Fix :set quoting oddness.  (Bug#8192)

	* font-lock.el (lisp-font-lock-keywords-1): Don't highlight `)'
	in some setf expressions.  (Bug#2159)

2011-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-available-themes): Return themes in
	alphabetical order.

See ChangeLog.15 for earlier changes.

;; Local Variables:
;; coding: utf-8
;; End:

  Copyright (C) 2011  Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.
